commit 01fdca26b9c6ff8250c0ba60825d991f104511dd
Author: Brian Clifton <brian@clifton.me>
Date:   Sun Apr 24 09:51:49 2016 -0700

    Updated most urls from http to https. Tested each one manually and updated the url if it redirected to a new location. Also fixed XSS issue with navbar.html (it tries to use an inline style, but is rendered via SSI, which is not allowed). This commit also converts all "https://cygwin.com/" urls to relative links "/"

diff --git a/acronyms/index.html b/acronyms/index.html
index f463904..19b8265 100755
--- a/acronyms/index.html
+++ b/acronyms/index.html
@@ -17,13 +17,13 @@ mailing lists.  Some are
 well-known (such as <a href="#IMHO">IMHO</a> and <a href="#FAQ">FAQ</a>),
 others less so (such as <a href="#HTH">HTH</a>).  Some were invented on
 this list, and are so fresh, they haven't even been cached by
-<a href="http://google.com/">Google</a> yet.  This document should present
+<a href="https://www.google.com/">Google</a> yet.  This document should present
 most acronyms you're likely to find on the Cygwin mailing lists, with an
 explanation and a brief history for some.  Note that this is not intended
 to be an all-inclusive list of all possible acronyms.  If you can't find
 the acronym you're looking for here, try another acronym resource, like <a
 href="http://www.astro.umd.edu/~marshall/abbrev.html">The Canonical Acronym
-List</a> or <a href="http://www.AcronymFinder.com/">AcronymFinder.com</a>.
+List</a> or <a href="https://www.acronymfinder.com/">AcronymFinder.com</a>.
 <div id="background">
 <b class="rtop"><b class="r1"></b><b class="r2"></b><b class="r3"></b><b class="r4"></b></b>
 <h2>The <a href="#OLOCA">OLOCA</a></h2>
@@ -59,9 +59,9 @@ As Far As I Recall
 <a name="APPS"><b>APPS</b></a>
 </td><td>
 Application Packaging Problems &amp; Solutions.  As opposed to bug reports.
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg02182.html">Inspired</a> by
+<a href="/ml/cygwin/2003-03/msg02182.html">Inspired</a> by
 Gerrit P. Haase as a mnemonic for the purpose of the
-<a href="http://cygwin.com/lists.html#cygwin-apps">cygwin-apps</a> mailing
+<a href="/lists.html#cygwin-apps">cygwin-apps</a> mailing
 list
 </td>
 </tr>
@@ -76,7 +76,7 @@ At The Moment
 </td><td>
 Are You Sure?
 Can also mean &quot;Are You Serious?&quot;.
-<a href="http://cygwin.com/ml/cygwin/2004-01/msg01115.html">First used
+<a href="/ml/cygwin/2004-01/msg01115.html">First used
 on the list</a> by Dave Korn
 </td>
 </tr>
@@ -84,10 +84,10 @@ on the list</a> by Dave Korn
 <a name="BLODA"><b>BLODA</b></a>
 </td><td>
 Big List Of Dodgy Apps.
-A <a href="http://cygwin.com/faq/faq.html#faq.using.bloda">list</a>
+A <a href="/faq/faq.html#faq.using.bloda">list</a>
 of applications that interfere with the normal working of Cygwin by
 intrusively injecting themselves in the system call chain.
-<a href="http://cygwin.com/ml/cygwin/2007-09/msg00014.html">First used
+<a href="/ml/cygwin/2007-09/msg00014.html">First used
 on the list</a> by Dave Korn.
 </td>
 </tr>
@@ -99,7 +99,7 @@ Bastard Operator From Hell.  A nasty character from a
 us a whole load of fun and a bunch of widely used terminology (<i>e.g.</i>,
 &quot;luser&quot;).  The original epitome of meanness.
 Currently at <a href="http://www.bofh.net/">BOFHweb</a>.
-<a href="http://cygwin.com/ml/cygwin/2004-01/msg00650.html">First used
+<a href="/ml/cygwin/2004-01/msg00650.html">First used
 on the list</a> by Alejandro Lopez-Valencia.
 See also <a href="#BWAM">BWAM</a>
 </td>
@@ -114,7 +114,7 @@ Blue Screen Of Death.  <b>Not</b> Cygwin's fault!
 <a name="BTDT"><b>BTDT</b></a>
 </td><td>
 Been There, Done That.
-<a href="http://cygwin.com/ml/cygwin/2003-09/msg01868.html">First used on the
+<a href="/ml/cygwin/2003-09/msg01868.html">First used on the
 list</a> by Andrew DeFaria
 </td>
 </tr>
@@ -131,7 +131,7 @@ Because We Are Mean&#8482;.
 A variation of <a href="#WJM">WJM</a> used in answering the &quot;Why isn't
 something working the way I think it should be?&quot; type of question.
 Follows the <a href="#MSFTEU">MSFTEU</a> Cygwin philosophy.
-<a href="http://cygwin.com/ml/cygwin-xfree/2003-05/msg00084.html">First used
+<a href="/ml/cygwin-xfree/2003-05/msg00084.html">First used
 on the list</a> by Sam Edge
 </td>
 </tr>
@@ -141,9 +141,9 @@ on the list</a> by Sam Edge
 Cygwin Apache MySQL PHP [Framework].
 The one that's been &quot;coming soon to a mirror near you&quot;&#8482; for
 almost two years now.
-<a href="http://cygwin.com/ml/cygwin-apps/2002-04/msg00233.html">Coined</a>
+<a href="/ml/cygwin-apps/2002-04/msg00233.html">Coined</a>
 by Stipe Tolj.
-<br><a href="http://cygwin.com/ml/cygwin/1998-12/msg00129.html">Correction</a>:
+<br><a href="/ml/cygwin/1998-12/msg00129.html">Correction</a>:
 make that <i>five</i> years!
 <img src="http://us.i1.yimg.com/us.yimg.com/i/mesg/emoticons/16.gif" width=18
 height=18 border=0 align=top>
@@ -167,14 +167,14 @@ Clearly Less Intimidating.  Also &quot;Command Line Interface&quot;
 <a name="CTDW"><b>CTDW</b></a>
 </td><td>
 Cygwin Technical Documentation Writer.
-<i>*<a href="http://cygwin.com/ml/cygwin/2003-03/msg00043.html">Ubersexy</a>*</i>
+<i>*<a href="/ml/cygwin/2003-03/msg00043.html">Ubersexy</a>*</i>
 </td>
 </tr>
 <tr valign=top><td>
 <a name="CYA"><b>CYA</b></a>
 </td><td>
 Cover Your Ass.
-<a href="http://cygwin.com/ml/cygwin/2004-02/msg01086.html">First used on the
+<a href="/ml/cygwin/2004-02/msg01086.html">First used on the
 list</a> by Thomas L. Roche
 </td>
 </tr>
@@ -184,21 +184,21 @@ list</a> by Thomas L. Roche
 Multiple variants have been suggested, take your pick:
 <ul>
 <li>Coolness You Get Where Initially None
-(<a href="http://cygwin.com/ml/cygwin/2003-03/msg00047.html">mine</a>)
+(<a href="/ml/cygwin/2003-03/msg00047.html">mine</a>)
 <li>Can You Guess What's Implemented Next
-(<a href="http://cygwin.com/ml/cygwin/2003-03/msg00047.html">mine</a>)
+(<a href="/ml/cygwin/2003-03/msg00047.html">mine</a>)
 <li>Cramming Your Gut With Indispensable Necessities
-(<a href="http://cygwin.com/ml/cygwin/2003-03/msg00049.html">Gary R. Van Sickle</a>)
+(<a href="/ml/cygwin/2003-03/msg00049.html">Gary R. Van Sickle</a>)
 <li>Cygwin: Your Greatest Winner In Necessities
-(<a href="http://cygwin.com/ml/cygwin/2003-03/msg00077.html">Ronald Landheer-Cieslak</a>)
+(<a href="/ml/cygwin/2003-03/msg00077.html">Ronald Landheer-Cieslak</a>)
 <li>Can't You Get With It, Ninnies?
-(<a href="http://cygwin.com/ml/cygwin/2003-03/msg00084.html">Christopher Faylor</a>)
+(<a href="/ml/cygwin/2003-03/msg00084.html">Christopher Faylor</a>)
 <li>Caught You Giving Whiny Info? Not!
-(<a href="http://cygwin.com/ml/cygwin/2003-11/msg00608.html">Geoffrey Ruscoe</a>)
+(<a href="/ml/cygwin/2003-11/msg00608.html">Geoffrey Ruscoe</a>)
 <li>Can You Grok When I'm Nice?
-(<a href="http://cygwin.com/ml/cygwin/2003-11/msg00615.html">Graucsh</a>)
+(<a href="/ml/cygwin/2003-11/msg00615.html">Graucsh</a>)
 <li>Callous Youthful Geeks With Insipid Neuroses
-(<a href="http://cygwin.com/ml/cygwin-talk/2007-q1/msg00185.html">David Rayner</a>)
+(<a href="/ml/cygwin-talk/2007-q1/msg00185.html">David Rayner</a>)
 </ul>
 </td>
 </tr>
@@ -206,11 +206,11 @@ Multiple variants have been suggested, take your pick:
 <a name="CYNUX"><b>CYNUX</b></a>
 </td><td>
 CYgwin's Not UniX.  Pronounced &quot;cynics&quot;.
-<a href="http://cygwin.com/ml/cygwin/2002-04/msg00441.html">First suggested</a>
+<a href="/ml/cygwin/2002-04/msg00441.html">First suggested</a>
 by Cliff Hones;
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg00646.html">resurfaced</a> in
+<a href="/ml/cygwin/2003-03/msg00646.html">resurfaced</a> in
 its present form in a post by Linda Walsh.  Pronounciation
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg00668.html">suggested</a> by,
+<a href="/ml/cygwin/2003-03/msg00668.html">suggested</a> by,
 well, me, and don't you <i>dare</i> dispute it!
 </td>
 </tr>
@@ -218,7 +218,7 @@ well, me, and don't you <i>dare</i> dispute it!
 <a name="DTRT"><b>DTRT</b></a>
 </td><td>
 Do The Right Thing.  Always a worthy goal...
-<a href="http://cygwin.com/ml/cygwin/2004-10/msg00339.html">First used
+<a href="/ml/cygwin/2004-10/msg00339.html">First used
 on the list</a> by Jani Tiainen
 </td>
 </tr>
@@ -227,7 +227,7 @@ on the list</a> by Jani Tiainen
 </td><td>
 Excuse My Butting In.  Anyone with sense enough to say this is usually
 excused...
-<a href="http://cygwin.com/ml/cygwin-apps/2004-06/msg00208.html">First used
+<a href="/ml/cygwin-apps/2004-06/msg00208.html">First used
 on the list</a> by Bas van Gompel.
 See also <a href="#IMHO">IMHO</a>
 </td>
@@ -236,15 +236,15 @@ See also <a href="#IMHO">IMHO</a>
 <a name="FAQ"><b>FAQ</b></a>
 </td><td>
 Frequently Asked Questions.  When written as &quot;The FAQ&quot;, refers to the
-<a href="http://cygwin.com/faq/">Cygwin FAQ</a>
+<a href="/faq/">Cygwin FAQ</a>
 </td>
 </tr>
 <tr valign=top><td>
 <a name="FTR"><b>FTR</b></a>
 </td><td>
 For The Record.  Should be found in the
-<a href="http://cygwin.com/ml/cygwin/">Cygwin mailing list archives</a>.
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg02127.html">Introduced</a> by
+<a href="/ml/cygwin/">Cygwin mailing list archives</a>.
+<a href="/ml/cygwin/2003-03/msg02127.html">Introduced</a> by
 Corinna Vinschen
 </td>
 </tr>
@@ -252,9 +252,9 @@ Corinna Vinschen
 <a name="FUCS"><b>FUCS</b></a>
 </td><td>
 Fast User Context Switching.  A feature of Windows XP that
-<a href="http://cygwin.com/ml/cygwin/2003-05/msg00282.html">fouled up</a>
+<a href="/ml/cygwin/2003-05/msg00282.html">fouled up</a>
 the older versions of the <tt>cygipc</tt> unofficial package.
-<a href="http://cygwin.com/ml/cygwin/2003-05/msg01139.html">Introduced</a> by
+<a href="/ml/cygwin/2003-05/msg01139.html">Introduced</a> by
 Frank Seesink
 </td>
 </tr>
@@ -262,7 +262,7 @@ Frank Seesink
 <a name="FWICS"><b>FWICS</b></a>
 </td><td>
 From What I Can See...
-<a href="http://cygwin.com/ml/cygwin/2001-04/msg01196.html">First used on the
+<a href="/ml/cygwin/2001-04/msg01196.html">First used on the
 list</a> by Earnie Boyd
 </td>
 </tr>
@@ -292,10 +292,10 @@ Could become the next swear word.
 <a name="GTG"><b>GTG</b></a>
 </td><td>
 Good To Go.  Used mostly on the
-<a href="http://cygwin.com/lists.html#cygwin-apps">cygwin-apps</a> mailing
+<a href="/lists.html#cygwin-apps">cygwin-apps</a> mailing
 list to indicate that a package is ready to be included in the Cygwin
 distribution.
-<a href="http://cygwin.com/ml/cygwin-apps/2004-01/msg00236.html">Coined</a>
+<a href="/ml/cygwin-apps/2004-01/msg00236.html">Coined</a>
 by Daniel Reed
 </td>
 </tr>
@@ -309,7 +309,7 @@ Hope This Helps
 <a name="IAFNAB"><b>IAFNAB</b></a>
 </td><td>
 It's A Feature, Not A Bug.
-<a href="http://cygwin.com/ml/cygwin/2003-05/msg00349.html">Coined</a>
+<a href="/ml/cygwin/2003-05/msg00349.html">Coined</a>
 by Shankar Unni
 </td>
 </tr>
@@ -319,7 +319,7 @@ by Shankar Unni
 I Am Not A Cygwin Expert.
 Usually an admission on the part of a person who is well on the way to
 becoming one.
-<a href="http://cygwin.com/ml/cygwin-apps/2003-07/msg00660.html">Coined</a>
+<a href="/ml/cygwin-apps/2003-07/msg00660.html">Coined</a>
 by David Rothenberger
 </td>
 </tr>
@@ -327,7 +327,7 @@ by David Rothenberger
 <a name="IANAL"><b>IANAL</b></a>
 </td><td>
 I Am Not A Lawyer.  Appears often in <a href="#GPL">GPL</a> discussions.
-You may <a href="http://cygwin.com/ml/cygwin/2003-03/msg02042.html">safely
+You may <a href="/ml/cygwin/2003-03/msg02042.html">safely
 ignore</a> anyone making this statement
 (<a href="#YANALATEYHSMBSI">YANALATEYHSMBSI</a>)
 </td>
@@ -343,7 +343,7 @@ When things go <font size=-1><b>BANG!</b></font> in gcc...
 <a name="IDTYRMTST"><b>IDTYRMTST</b></a>
 </td><td>
 I Don't Think You Really Meant To Say That.
-<a href="http://cygwin.com/ml/cygwin/2004-03/msg00538.html">First used
+<a href="/ml/cygwin/2004-03/msg00538.html">First used
 on the list</a> by Dave Korn.
 A milder form of <a href="#YOWTWYWT">YOWTWYWT</a>
 </td>
@@ -365,7 +365,7 @@ If I Understand Correctly
 </td><td>
 In My Arrogant Opinion.  A stronger form of <a href="#IMNSHO">IMNSHO</a>,
 rarely used.
-<a href="http://cygwin.com/ml/cygwin/2004-01/msg00650.html">First used
+<a href="/ml/cygwin/2004-01/msg00650.html">First used
 on the list</a> by Alejandro Lopez-Valencia.
 See also <a href="#BOFH">BOFH</a>
 </td>
@@ -399,11 +399,11 @@ In Other Words
 <a name="ITA"><b>ITA</b></a>
 </td><td>
 Inten[d|t] To Adopt.
-Used on the <a href="http://cygwin.com/lists.html#cygwin-apps">cygwin-apps</a>
+Used on the <a href="/lists.html#cygwin-apps">cygwin-apps</a>
 mailing list to indicate the intent to adopt an orphaned package already in
 the Cygwin distribution.  Usually followed by the package name.  Adopting a
 package gets an
-<a href="http://cygwin.com/ml/cygwin-apps/2003-11/msg00314.html">automatic
+<a href="/ml/cygwin-apps/2003-11/msg00314.html">automatic
 gold star</a>.
 See also <a href="#ITP">ITP</a>
 </td>
@@ -412,7 +412,7 @@ See also <a href="#ITP">ITP</a>
 <a name="ITIYM"><b>ITIYM</b></a>
 </td><td>
 I Take It You Mean...
-<a href="http://cygwin.com/ml/cygwin-xfree/2003-03/msg00046.html">First used on the list</a>
+<a href="/ml/cygwin-xfree/2003-03/msg00046.html">First used on the list</a>
 by Michel Bardiaux
 </td>
 </tr>
@@ -420,7 +420,7 @@ by Michel Bardiaux
 <a name="ITP"><b>ITP</b></a>
 </td><td>
 Inten[d|t] To Package.
-Used on the <a href="http://cygwin.com/lists.html#cygwin-apps">cygwin-apps</a>
+Used on the <a href="/lists.html#cygwin-apps">cygwin-apps</a>
 mailing list to indicate the intent to provide a new package.  Usually
 followed by the package name.
 See also <a href="#ITA">ITA</a>
@@ -445,7 +445,7 @@ height=18 border=0 align=top>) or <tt>:-)</tt>
 (<img src="http://us.i1.yimg.com/us.yimg.com/i/mesg/emoticons/01.gif" width=18
 height=18 border=0 align=top>) emoticons.<br>
 Frankly, I thought it was universal, but then Gareth
-<a href="http://cygwin.com/ml/cygwin/2003-04/msg02314.html">complained</a>
+<a href="/ml/cygwin/2003-04/msg02314.html">complained</a>
 that it wasn't in the <a href="#OLOCA">OLOCA</a>, so here it is.  Enjoy!
 </td>
 </tr>
@@ -453,7 +453,7 @@ that it wasn't in the <a href="#OLOCA">OLOCA</a>, so here it is.  Enjoy!
 <a name="JAT"><b>JAT</b></a>
 </td><td>
 Just A Thought.
-<a href="http://cygwin.com/ml/cygwin-apps/2003-08/msg00048.html">First used on
+<a href="/ml/cygwin-apps/2003-08/msg00048.html">First used on
 the list</a> by Ronald Landheer-Cieslak.
 See also <a href="#JTYMLTK">JTYMLTK</a>
 </td>
@@ -462,7 +462,7 @@ See also <a href="#JTYMLTK">JTYMLTK</a>
 <a name="JTYMLTK"><b>JTYMLTK</b></a>
 </td><td>
 Just Thought You Might Like To Know.
-<a href="http://cygwin.com/ml/cygwin/2003-08/msg00144.html">First used on the
+<a href="/ml/cygwin/2003-08/msg00144.html">First used on the
 list</a> by Ronald Landheer-Cieslak.
 See also <a href="#JAT">JAT</a>
 </td>
@@ -474,7 +474,7 @@ Luser Attitude Readjustment Tool.  Usually consists of a large billet of
 wood usable as a club, in the hands of a rather angry system administrator.
 When missing either component, an <a href="#RTFM">RTFM</a> or
 <a href="#STFW">STFW</a> message would work almost as well.
-<a href="http://cygwin.com/ml/cygwin/2004-01/msg00666.html">First used on the
+<a href="/ml/cygwin/2004-01/msg00666.html">First used on the
 list</a> (in a very appropriately numbered message) by Rafael Kitover
 </td>
 </tr>
@@ -488,7 +488,7 @@ Laughing Out Loud.  A rare treat, mostly in <a href="#OT">OT</a> messages.
 <a name="MSFTEU"><b>MSFTEU</b></a>
 </td><td>
 Maximum Surprise For The End User.  <b>The</b> Cygwin philosophy.
-<a href="http://cygwin.com/ml/cygwin/2005-05/msg00747.html">Coined</a> by
+<a href="/ml/cygwin/2005-05/msg00747.html">Coined</a> by
 Christopher Faylor.
 Very appropriate, as Cygwin runs on Microsoft Windows&trade;.
 See also <a href="#BWAM">BWAM</a> and <a href="#WJM">WJM</a>
@@ -510,7 +510,7 @@ No Problem.  Really...
 <a name="OLOCA"><b>OLOCA</b></a>
 </td><td>
 Official List of Cygwin Acronyms.  This document.
-<a href="http://cygwin.com/ml/cygwin/2003-02/msg02346.html">Coined</a> by
+<a href="/ml/cygwin/2003-02/msg02346.html">Coined</a> by
 Igor Pechtchanski.  Guess we're stuck with it now...
 <a href="#policy">See below</a> for the acronym inclusion policy
 </td>
@@ -535,7 +535,7 @@ constructing the <a href="#OLOCA">OLOCA</a>.
 <a name="OT"><b>OT</b></a>
 </td><td>
 Off-Topic.  Anything not belonging on the list according to the
-<a href="http://cygwin.com/lists.html">Cygwin mailing lists description</a>,
+<a href="/lists.html">Cygwin mailing lists description</a>,
 like non-Cygwin software, jokes or discussing acronyms.
 <b><i>Hey, wait a minute!..</i></b>
 See also <a href="#TITTTL">TITTTL</a>
@@ -562,7 +562,7 @@ decoding even the simplest anti-spam measures such as replacing &quot;@&quot;
 with &quot;AT&quot; and &quot;.&quot; with &quot;DOT&quot;).<br>
 Of course, there may be other raw e-mail addresses in messages, <i>e.g.</i>,
 in signatures, but that's the choice of the person sending the message.<br>
-<a href="http://cygwin.com/ml/cygwin/2004-03/msg01565.html">Coined</a> by
+<a href="/ml/cygwin/2004-03/msg01565.html">Coined</a> by
 Igor Pechtchanski.
 </td>
 </tr>
@@ -575,14 +575,14 @@ lo-ong line in the web archives.  Very annoying to have to scroll left and
 right as well as up and down.
 <b>Please be considerate!</b><br>
 Also, some MTAs simply truncate long lines at 998 characters (the maximum
-allowed by <a href="http://www.ietf.org/rfc/rfc2821.txt">RFC2821</a> and
-<a href="http://www.ietf.org/rfc/rfc2822.txt">RFC2822</a>) instead of
+allowed by <a href="https://www.ietf.org/rfc/rfc2821.txt">RFC2821</a> and
+<a href="https://www.ietf.org/rfc/rfc2822.txt">RFC2822</a>) instead of
 wrapping them, so information in your message may actually be lost if your
 mailer doesn't wrap lines or encode line continuations properly.<br>
 Note that this does <i>not</i> apply to cases where the lines do need to be
 long, <i>e.g.</i>, program output included verbatim, or patches.  In those
 cases it's ok to have long lines.<br>
-<a href="http://cygwin.com/ml/cygwin/2004-06/msg00458.html">Coined</a> by
+<a href="/ml/cygwin/2004-06/msg00458.html">Coined</a> by
 Igor Pechtchanski.
 </td>
 </tr>
@@ -613,7 +613,7 @@ Patches Gratefully Accepted.  See also <a href="#PTC">PTC</a>.  See also <a href
 <a name="PMI"><b>PMI</b></a>
 </td><td>
 Pardon My Ignorance.
-<a href="http://cygwin.com/ml/cygwin/2003-10/msg01294.html">First used on
+<a href="/ml/cygwin/2003-10/msg01294.html">First used on
 the list</a> by David Rayner (ZZapper).
 See also <a href="#WTF">WTF</a>
 </td>
@@ -623,7 +623,7 @@ See also <a href="#WTF">WTF</a>
 </td><td>
 Plain Outta Luck.
 Like when trying to run a Linux or Solaris binary on Cygwin.
-<a href="http://cygwin.com/ml/cygwin-xfree/2003-12/msg00222.html">First used on
+<a href="/ml/cygwin-xfree/2003-12/msg00222.html">First used on
 the list</a> by Michel Bardiaux.
 See also <a href="#YOWTWYWT">YOWTWYWT</a>
 </td>
@@ -636,7 +636,7 @@ not only gives access to more expertise than any one person can provide, but
 also ensures that the questions and answers are archived on the web for future
 enlightenment seekers.  Besides, the Cygwin community netiquette sez so.
 Pronounced &quot;Pee-Pee-Yows-Pee&quot;.
-<a href="http://cygwin.com/ml/cygwin/2005-06/msg00247.html">Suggested</a> by
+<a href="/ml/cygwin/2005-06/msg00247.html">Suggested</a> by
 Carlo Florendo
 </td>
 </tr>
@@ -651,7 +651,7 @@ See also <a href="#SHTDI">SHTDI</a>
 <a name="RFU"><b>RFU</b></a>
 </td><td>
 Request For Upload.
-Used on the <a href="http://cygwin.com/lists.html#cygwin-apps">cygwin-apps</a>
+Used on the <a href="/lists.html#cygwin-apps">cygwin-apps</a>
 mailing list by package maintainers to indicate that a new version of a
 package is available for upload into the Cygwin distribution.  Usually
 followed by the package name
@@ -683,7 +683,7 @@ Sorry, Could Not Resist
 </td><td>
 Somebody Has To Do It&#8482;.
 Are <b>you</b> volunteering?
-<a href="http://cygwin.com/ml/cygwin/2003-12/msg00139.html">Introduced</a> by
+<a href="/ml/cygwin/2003-12/msg00139.html">Introduced</a> by
 Christopher Faylor.
 See also <a href="#PTC">PTC</a>
 </td>
@@ -692,7 +692,7 @@ See also <a href="#PTC">PTC</a>
 <a name="STC"><b>STC</b></a>
 </td><td>
 Simple Test Case.
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg01076.html">First used on
+<a href="/ml/cygwin/2003-03/msg01076.html">First used on
 the list</a> by Ronald Landheer-Cieslak.
 </td>
 </tr>
@@ -701,7 +701,7 @@ the list</a> by Ronald Landheer-Cieslak.
 </td><td>
 Search The Web.  A younger cousin of <a href="#RTFM">RTFM</a>.
 The usual answer to &quot;What's <i>blah</i>?&quot;.  Most often refers to
-the <a href="http://google.com/">Google</a> search engine.
+the <a href="https://www.google.com/">Google</a> search engine.
 The &quot;F&quot; means the same as in <a href="#RTFM">RTFM</a>.
 See also <a href="#LART">LART</a>
 </td>
@@ -725,11 +725,11 @@ A common misspelling of <a href="#TITTTL">TITTTL</a>.
 <a name="TITTTL"><b>TITTTL</b></a>
 </td><td>
 Take It To The Talk List.
-This refers to the <a href="http://cygwin.com/lists.html#cygwin-talk">cygwin-talk</a> mailing list, where no message is off-topic.
+This refers to the <a href="/lists.html#cygwin-talk">cygwin-talk</a> mailing list, where no message is off-topic.
 Pronounced &quot;Tittle&quot;
-(<a href="http://cygwin.com/ml/cygwin-talk/2004-q3/msg00011.html"><i>try not
+(<a href="/ml/cygwin-talk/2004-q3/msg00011.html"><i>try not
 to snicker</i></a>).
-<a href="http://cygwin.com/ml/cygwin-talk/2004-q3/msg00010.html">First used on
+<a href="/ml/cygwin-talk/2004-q3/msg00010.html">First used on
 the list</a> by Dave Korn.
 See also <a href="#OT">OT</a>
 and <a href="#TITTL">TITTL</a>
@@ -745,7 +745,7 @@ Three Letter Acronym.  Not necessarily three letters long
 <a name="TMI"><b>TMI</b></a>
 </td><td>
 Too Much Information.  As in &quot;TMI mode&quot;.
-<a href="http://cygwin.com/ml/cygwin-apps/2004-11/msg00174.html">First used on
+<a href="/ml/cygwin-apps/2004-11/msg00174.html">First used on
 the list</a> by Christopher Faylor
 </td>
 </tr>
@@ -754,7 +754,7 @@ the list</a> by Christopher Faylor
 </td><td>
 There's More Than One Way To Do It.  Technically a Perl motto, but applies
 equally well to Cygwin.
-<a href="http://cygwin.com/ml/cygwin/2002-03/msg00369.html">First used on
+<a href="/ml/cygwin/2002-03/msg00369.html">First used on
 the list</a> by Soren Andersen
 </td>
 </tr>
@@ -775,7 +775,7 @@ from Corinna Vinschen
 </td><td>
 The Problem is Being Addressed.  Kind of like &quot;The check is in the
 mail&quot;, but more honest, or at least verifiable.
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg00009.html">Introduced</a> by
+<a href="/ml/cygwin/2003-03/msg00009.html">Introduced</a> by
 Christopher Faylor
 </td>
 </tr>
@@ -783,7 +783,7 @@ Christopher Faylor
 <a name="TTBOMK"><b>TTBOMK</b></a>
 </td><td>
 To The Best Of My Knowledge.
-<a href="http://www.cygwin.com/ml/cygwin/2002-01/msg00435.html">First used
+<a href="/ml/cygwin/2002-01/msg00435.html">First used
 on the list</a> by Soren Andersen
 </td>
 </tr>
@@ -797,14 +797,14 @@ To Tell The Truth.  I got dibs on that one (the acronym, that is)!
 <a name="UG"><b>UG</b></a>
 </td><td>
 User's Guide.  Most often refers to the
-<a href="http://cygwin.com/cygwin-ug-net/cygwin-ug-net.html">Cygwin User's Guide</a>
+<a href="/cygwin-ug-net/cygwin-ug-net.html">Cygwin User's Guide</a>
 </td>
 </tr>
 <tr valign=top><td>
 <a name="WADR"><b>WADR</b></a>
 </td><td>
 With All Due Respect.
-<a href="http://cygwin.com/ml/cygwin/2004-03/msg01396.html">First used on the
+<a href="/ml/cygwin/2004-03/msg01396.html">First used on the
 list</a> by Yitzchak Scott-Thoennes
 </td>
 </tr>
@@ -818,7 +818,7 @@ Wild-Assed Guess.  Usually correct for certain people
 <a name="WCTS"><b>WCTS</b></a>
 </td><td>
 Without Consulting The Source.
-<a href="http://cygwin.com/ml/cygwin-apps/2003-11/msg00012.html">First used
+<a href="/ml/cygwin-apps/2003-11/msg00012.html">First used
 on the list</a> by Daniel Reed.
 See also <a href="#WAG">WAG</a>
 </td>
@@ -836,7 +836,7 @@ for extra emphasis)
 Works Just Fine For Me.  As in "Nope, can't reproduce this here".
 Yet another way of saying "We're Just Frighteningly Freaking Mean"
 (or insert your favorite F-words here).
-<a href="http://cygwin.com/ml/cygwin/2004-10/msg00099.html">First used on the
+<a href="/ml/cygwin/2004-10/msg00099.html">First used on the
 list</a> by Christopher Faylor.
 Also <a href="#IWFM">IWFM</a> and <a href="#WFM">WFM</a>
 </td>
@@ -852,7 +852,7 @@ See also <a href="#BWAM">BWAM</a>
 <a name="WIBGI"><b>WIBGI</b></a>
 </td><td>
 Wouldn't It Be Great If...
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg00111.html">First used on the
+<a href="/ml/cygwin/2003-03/msg00111.html">First used on the
 list</a> by Ronald Landheer-Cieslak
 </td>
 </tr>
@@ -863,8 +863,8 @@ Who <i>or</i> What, depending on the context.  Usually implies a question mark.
 The &quot;TF&quot; is really padding, to make this a three-letter acronym,
 meaning something like &quot;pray tell&quot;.<br>
 Also the name of a very useful
-<a href="http://cygwin.com/packages/x86/wtf/">Cygwin</a> 
-<a href="http://cygwin.com/packages/x86_64/wtf/">package</a>
+<a href="/packages/x86/wtf/">Cygwin</a> 
+<a href="/packages/x86_64/wtf/">package</a>
 </td>
 </tr>
 <tr valign=top><td>
@@ -877,7 +877,7 @@ Yet Another <i>or</i> Yet Again, depending on its position in the sentence
 <a name="YAMWHTLT"><b>YAMWHTLT</b></a>
 </td><td>
 Yet Another Maintainer Who Has Too Little Time.  That's
-<a href="http://cygwin.com/ml/cygwin-apps/2010-11/msg00191.html">not Matthias
+<a href="/ml/cygwin-apps/2010-11/msg00191.html">not Matthias
 Andree</a>.
 </td>
 </tr>
@@ -886,7 +886,7 @@ Andree</a>.
 </td><td>
 You Are Not A Lawyer, And Therefore Everything You Have Said May Be Safely
 Ignored.  Born out of a heated <a href="#GPL">GPL</a> discussion.  Acronym
-<a href="http://cygwin.com/ml/cygwin/2003-03/msg02044.html">proposed</a> by
+<a href="/ml/cygwin/2003-03/msg02044.html">proposed</a> by
 Chuck Wilson.  A new standard response to <a href="#IANAL">IANAL</a>.  Don't
 try to pronounce it.  <i>Just... don't</i>
 </td>
@@ -904,9 +904,9 @@ at your own risk&quot;
 You Obviously Weren't Thinking When You Wrote That.  Pronounced
 &quot;Yow-twit&quot;.
 Applies a lot on this list.
-<a href="http://cygwin.com/ml/cygwin/2003-02/msg02119.html">Coined</a> by
+<a href="/ml/cygwin/2003-02/msg02119.html">Coined</a> by
 Max Bowsher.  Pronounciation
-<a href="http://cygwin.com/ml/cygwin/2003-02/msg02127.html">suggested</a> by
+<a href="/ml/cygwin/2003-02/msg02127.html">suggested</a> by
 Randall R. Schulz and hasn't been disputed yet.
 See also <a href="#IDTYRMTST">IDTYRMTST</a>
 </td>
@@ -917,7 +917,7 @@ See also <a href="#IDTYRMTST">IDTYRMTST</a>
 You Should Have Finished Reading The Thread.  Please do read the whole thread
 before replying.  The lists produce enough bandwidth even without the same
 point being reiterated in the same thread.
-<a href="http://cygwin.com/ml/cygwin-apps/2005-06/msg00184.html">Coined</a> by
+<a href="/ml/cygwin-apps/2005-06/msg00184.html">Coined</a> by
 Christopher Faylor
 </td>
 </tr>
@@ -926,9 +926,9 @@ Christopher Faylor
 </td><td>
 3rd Party Perverts.  People making others' lives difficult by using Cygwin
 in weird ways and having their products depend on that.
-Acronym <a href="http://cygwin.com/ml/cygwin/2003-11/msg00099.html">coined</a>
+Acronym <a href="/ml/cygwin/2003-11/msg00099.html">coined</a>
 by Christopher Faylor, after a
-<a href="http://cygwin.com/ml/cygwin/2003-11/msg00077.html">phrase</a> in
+<a href="/ml/cygwin/2003-11/msg00077.html">phrase</a> in
 Brian Dessent's message
 </td>
 </tr>
diff --git a/bugs.html b/bugs.html
index ce505ff..3d7ad98 100755
--- a/bugs.html
+++ b/bugs.html
@@ -18,7 +18,7 @@ in your best interests to do some initial research.
 
 <p>First, you need to verify that your potential problem hasn't already been
 reported by reading the <a href="faq.html">Cygwin FAQ</a> and the <a
-href="http://cygwin.com/ml/cygwin/">mailing list archives</a>.  If your
+href="/ml/cygwin/">mailing list archives</a>.  If your
 issue is still unresolved, feel free to write to the cygwin list with
 your problem.
 
diff --git a/cgi-bin2/package-grep-sh.cgi b/cgi-bin2/package-grep-sh.cgi
index dd2560f..8eacd58 100755
--- a/cgi-bin2/package-grep-sh.cgi
+++ b/cgi-bin2/package-grep-sh.cgi
@@ -84,7 +84,7 @@ PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     echo '<h1>Cygwin Package Search</h1>
 <form method="GET" action="//cygwin.com/cgi-bin2/package-grep-sh.cgi">
 Search package contents for a <a href="http://en.wikipedia.org/wiki/Regular_expression">regular expression</a> pattern,
-or view the <a href="https://cygwin.com/packages/package_list.html">full list</a> of packages<br>
+or view the <a href="/packages/package_list.html">full list</a> of packages<br>
 <input type="text" size=40 name="grep" value="'$param_grep_htmlencode'">
 <input type=submit value="Go"><br>'
     echo '<input type="radio" name="arch" value="x86" '
diff --git a/cgi-bin2/package-grep.cgi b/cgi-bin2/package-grep.cgi
index ca70f41..fb97391 100755
--- a/cgi-bin2/package-grep.cgi
+++ b/cgi-bin2/package-grep.cgi
@@ -85,10 +85,10 @@ PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     echo '<h1>Cygwin Package Search</h1>
 <form method="GET" action="//cygwin.com/cgi-bin2/package-grep.cgi">
 Search package contents for a
-<a href="http://www.gnu.org/software/grep/manual/grep.html">grep</a>
-<a href="http://www.gnu.org/software/grep/manual/grep.html#Basic-vs-Extended">basic</a>
-<a href="http://en.wikipedia.org/wiki/Regular_expression">regular expression</a>
-pattern, or view the <a href="https://cygwin.com/packages/package_list.html">full list</a>
+<a href="https://www.gnu.org/software/grep/manual/grep.html">grep</a>
+<a href="https://www.gnu.org/software/grep/manual/grep.html#Basic-vs-Extended">basic</a>
+<a href="https://en.wikipedia.org/wiki/Regular_expression">regular expression</a>
+pattern, or view the <a href="/packages/package_list.html">full list</a>
 of packages<br>
 <input type="text" size=40 name="grep" value="'$param_grep_htmlencode'">
 <input type=submit value="Go"><br>'
diff --git a/contrib.html b/contrib.html
index 375ba3a..931b36f 100755
--- a/contrib.html
+++ b/contrib.html
@@ -33,8 +33,8 @@ the <a href="donations.html">donations page</a>.
 
 <p>Two other important cygwin components are also not covered by the
 guidelines set forth on this page.  The cygwin setup utility <a
-href="http://sourceware.org/cygwin-apps/setup.html">"setup.exe"</a> and
-the <a href="http://sourceware.org/newlib/">newlib library</a> (used by
+href="https://sourceware.org/cygwin-apps/setup.html">"setup.exe"</a> and
+the <a href="https://sourceware.org/newlib/">newlib library</a> (used by
 cygwin for some common "libc"-like functions) also have different
 contribution rules.  See their project pages for more information.</p>
 
@@ -93,7 +93,7 @@ duplicated.
 make sure that you adhere to the brace, indentation, and whitespace
 style of the surrounding code.  For the most part, that means following
 the
-<a href="http://www.gnu.org/prep/standards/html_node/Writing-C.html#Writing-C">
+<a href="https://www.gnu.org/prep/standards/html_node/Writing-C.html#Writing-C">
 GNU coding standards</a> but some parts of the code which have been imported
 from other sources use other styles.  Just pay close attention to the
 formatting of the surrounding code and don't, e.g., add K&amp;R style coding
@@ -129,7 +129,7 @@ then do the following in bash:</p>
 it easy for someone to review and, if you don't have write access, push.  Give
 them a final once-over.  Ideally you include a ChangeLog entry in old CVS style
 in your description.  If you have never used a ChangeLog before, refer to the
-<a href="http://www.gnu.org/prep/standards/html_node/Change-Logs.html">GNU ChangeLog Standards</a>.  If you're satisfied with the patch and the log message,
+<a href="https://www.gnu.org/prep/standards/html_node/Change-Logs.html">GNU ChangeLog Standards</a>.  If you're satisfied with the patch and the log message,
 send the patches as they got created by git format-patch.  The git send-email
 command will usually do the right thing:</p>
 
diff --git a/cygwin-ug-net/cygcheck.html b/cygwin-ug-net/cygcheck.html
index 12d5403..d572f48 100644
--- a/cygwin-ug-net/cygcheck.html
+++ b/cygwin-ug-net/cygcheck.html
@@ -93,7 +93,7 @@ $ cygcheck -l less
       package names, package descriptions, and path/filenames of the contents
       of packages. This feature requires an active internet connection, since
       it must query the <code class="literal">cygwin.com</code> web site. In fact, it is
-      equivalent to the search that is available on the <a class="ulink" href="https://cygwin.com/packages/" target="_top">Cygwin package listing</a>
+      equivalent to the search that is available on the <a class="ulink" href="/packages/" target="_top">Cygwin package listing</a>
       page.</p><p>For example, perhaps you are getting an error because you are missing
       a certain DLL and you want to know which package includes that file:
       </p><div class="example"><a name="utils-search-ex"></a><p class="title"><b>Example 3.4. Searching all packages for a
diff --git a/cygwin-ug-net/highlights.html b/cygwin-ug-net/highlights.html
index b4aff4d..cace301 100644
--- a/cygwin-ug-net/highlights.html
+++ b/cygwin-ug-net/highlights.html
@@ -28,7 +28,7 @@ style ACLs and accompanying function calls are also supported.
 The chmod call maps UNIX-style permissions back to the Win32 equivalents. 
 Because many programs expect to be able to find the
 <code class="filename">/etc/passwd</code> and
-<code class="filename">/etc/group</code> files, we provide <a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-utils.html" target="_top">utilities</a>
+<code class="filename">/etc/group</code> files, we provide <a class="ulink" href="/cygwin-ug-net/using-utils.html" target="_top">utilities</a>
 that can be used to construct them from the user and group information
 provided by the operating system.</p><p>Users with Administrator rights are permitted to chown files.
 With version 1.1.3 Cygwin introduced a mechanism for setting real and
@@ -186,7 +186,7 @@ interferes with a proper <code class="literal">fork</code>, and if an
 unmovable object (process heap or system dll) ends up at the wrong
 location, Cygwin can do nothing to compensate (though it will
 retry a few times automatically).</p></li><li class="listitem" style="list-style-type: disc"><p>DLL injection by
-<a class="ulink" href="https://cygwin.com/faq/faq.html#faq.using.bloda" target="_top">
+<a class="ulink" href="/faq/faq.html#faq.using.bloda" target="_top">
 BLODA</a>. Badly-behaved applications which
 inject dlls into other processes often manage to clobber important
 sections of the child's address space, leading to base address
diff --git a/cygwin-ug-net/ov-ex-unix.html b/cygwin-ug-net/ov-ex-unix.html
index 8ec3ece..2d95eb0 100644
--- a/cygwin-ug-net/ov-ex-unix.html
+++ b/cygwin-ug-net/ov-ex-unix.html
@@ -24,7 +24,7 @@ By default, <span class="command"><strong>setup.exe</strong></span> only install
 packages.  Add any other packages by clicking on the <code class="literal">+</code>
 next to the Category name and selecting the package from the displayed
 list.  You may search for specfic tools by using the
-<a class="ulink" href="https://cygwin.com/packages/" target="_top">Setup Package Search</a>
+<a class="ulink" href="/packages/" target="_top">Setup Package Search</a>
 at the Cygwin web site.
 </p><p>
 After installation, you can find Cygwin-specific documentation in
diff --git a/cygwin-ug-net/setup-net.html b/cygwin-ug-net/setup-net.html
index 8c3034a..49fa071 100644
--- a/cygwin-ug-net/setup-net.html
+++ b/cygwin-ug-net/setup-net.html
@@ -1,8 +1,8 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 2. Setting Up Cygwin</title><link rel="stylesheet" type="text/css" href="docbook.css"><meta name="generator" content="DocBook XSL Stylesheets V1.78.1"><link rel="home" href="cygwin-ug-net.html" title="Cygwin User's Guide"><link rel="up" href="cygwin-ug-net.html" title="Cygwin User's Guide"><link rel="prev" href="ov-new.html" title="What's new and what changed in Cygwin"><link rel="next" href="setup-env.html" title="Environment Variables"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. Setting Up Cygwin</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ov-new.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="setup-env.html">Next</a></td></tr></table><hr></div><div class="chapter"><div class="titlepage"><div><div><h1 class="title"><a name="setup-net"></a>Chapter 2. Setting Up Cygwin</h1></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl class="toc"><dt><span class="sect1"><a href="setup-net.html#internet-setup">Internet Setup</a></span></dt><dd><dl><dt><span class="sect2"><a href="setup-net.html#setup-download">Download Source</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-dir">Selecting an Install Directory</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-localdir">Local Package Directory</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-connection">Connection Method</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-mirror">Choosing Mirrors</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-packages">Choosing Packages</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-progress">Download and Installation Progress</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-icons">Shortcuts</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-postinstall">Post-Install Scripts</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-troubleshooting">Troubleshooting</a></span></dt></dl></dd><dt><span class="sect1"><a href="setup-env.html">Environment Variables</a></span></dt><dd><dl><dt><span class="sect2"><a href="setup-env.html#setup-env-ov">Overview</a></span></dt><dt><span class="sect2"><a href="setup-env.html#setup-env-win32">Restricted Win32 environment</a></span></dt></dl></dd><dt><span class="sect1"><a href="setup-maxmem.html">Changing Cygwin's Maximum Memory</a></span></dt><dt><span class="sect1"><a href="setup-locale.html">Internationalization</a></span></dt><dd><dl><dt><span class="sect2"><a href="setup-locale.html#setup-locale-ov">Overview</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-how">How to set the locale</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-console">The Windows Console character set</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-problems">Potential Problems when using Locales</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-charsetlist">List of supported character sets</a></span></dt></dl></dd><dt><span class="sect1"><a href="setup-files.html">Customizing bash</a></span></dt></dl></div><div class="sect1"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="internet-setup"></a>Internet Setup</h2></div></div></div><p>To install the Cygwin net release, go to <a class="ulink" href="https://cygwin.com/" target="_top">https://cygwin.com/</a> and run either
-<a class="ulink" href="https://cygwin.com/setup-x86.exe" target="_top">setup-x86.exe</a>
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 2. Setting Up Cygwin</title><link rel="stylesheet" type="text/css" href="docbook.css"><meta name="generator" content="DocBook XSL Stylesheets V1.78.1"><link rel="home" href="cygwin-ug-net.html" title="Cygwin User's Guide"><link rel="up" href="cygwin-ug-net.html" title="Cygwin User's Guide"><link rel="prev" href="ov-new.html" title="What's new and what changed in Cygwin"><link rel="next" href="setup-env.html" title="Environment Variables"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. Setting Up Cygwin</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ov-new.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="setup-env.html">Next</a></td></tr></table><hr></div><div class="chapter"><div class="titlepage"><div><div><h1 class="title"><a name="setup-net"></a>Chapter 2. Setting Up Cygwin</h1></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl class="toc"><dt><span class="sect1"><a href="setup-net.html#internet-setup">Internet Setup</a></span></dt><dd><dl><dt><span class="sect2"><a href="setup-net.html#setup-download">Download Source</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-dir">Selecting an Install Directory</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-localdir">Local Package Directory</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-connection">Connection Method</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-mirror">Choosing Mirrors</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-packages">Choosing Packages</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-progress">Download and Installation Progress</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-icons">Shortcuts</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-postinstall">Post-Install Scripts</a></span></dt><dt><span class="sect2"><a href="setup-net.html#setup-troubleshooting">Troubleshooting</a></span></dt></dl></dd><dt><span class="sect1"><a href="setup-env.html">Environment Variables</a></span></dt><dd><dl><dt><span class="sect2"><a href="setup-env.html#setup-env-ov">Overview</a></span></dt><dt><span class="sect2"><a href="setup-env.html#setup-env-win32">Restricted Win32 environment</a></span></dt></dl></dd><dt><span class="sect1"><a href="setup-maxmem.html">Changing Cygwin's Maximum Memory</a></span></dt><dt><span class="sect1"><a href="setup-locale.html">Internationalization</a></span></dt><dd><dl><dt><span class="sect2"><a href="setup-locale.html#setup-locale-ov">Overview</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-how">How to set the locale</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-console">The Windows Console character set</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-problems">Potential Problems when using Locales</a></span></dt><dt><span class="sect2"><a href="setup-locale.html#setup-locale-charsetlist">List of supported character sets</a></span></dt></dl></dd><dt><span class="sect1"><a href="setup-files.html">Customizing bash</a></span></dt></dl></div><div class="sect1"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="internet-setup"></a>Internet Setup</h2></div></div></div><p>To install the Cygwin net release, go to <a class="ulink" href="/" target="_top">https://cygwin.com/</a> and run either
+<a class="ulink" href="/setup-x86.exe" target="_top">setup-x86.exe</a>
 to install the 32 bit version of Cygwin, or
-<a class="ulink" href="https://cygwin.com/setup-x86_64.exe" target="_top">setup-x86_64.exe</a>
+<a class="ulink" href="/setup-x86_64.exe" target="_top">setup-x86_64.exe</a>
 to install the 64 bit version of Cygwin.  This will download a GUI
 installer which can be run to download a complete cygwin installation
 via the internet.  Follow the instructions on each screen to install Cygwin.
@@ -11,9 +11,9 @@ via the internet.  Follow the instructions on each screen to install Cygwin.
 For easier reading the installer is called <span class="command"><strong>setup.exe</strong></span>
 throughout the following sections.  This refers likewise to both
 installer applications,
-<a class="ulink" href="https://cygwin.com/setup-x86.exe" target="_top">setup-x86.exe</a>
+<a class="ulink" href="/setup-x86.exe" target="_top">setup-x86.exe</a>
 for 32 bit, as well as
-<a class="ulink" href="https://cygwin.com/setup-x86_64.exe" target="_top">setup-x86_64.exe</a>
+<a class="ulink" href="/setup-x86_64.exe" target="_top">setup-x86_64.exe</a>
 for 64 bit.  Apart from the target architecture they are the same thing.
 </div><p>
 </p><p>
@@ -36,7 +36,7 @@ most installations, you can get a working minimal Cygwin environment
 installed by simply clicking the <code class="literal">Next</code> button
 at each page. The only exception to this is choosing a Cygwin mirror,
 which you can choose by experimenting with those listed at
-<a class="ulink" href="https://cygwin.com/mirrors.html" target="_top">https://cygwin.com/mirrors.html</a>. For more details about each of page of the 
+<a class="ulink" href="/mirrors.html" target="_top">https://cygwin.com/mirrors.html</a>. For more details about each of page of the 
 <span class="command"><strong>setup.exe</strong></span> installation, read on below.
 Please note that this guide assumes that you have a basic understanding
 of Unix (or a Unix-like OS). If you are new to Unix, you will also want 
@@ -109,7 +109,7 @@ authorization for proxy servers.
 Since there is no way of knowing from where you will be downloading
 Cygwin, you need to choose at least one mirror site.  Cygwin mirrors 
 are geographically distributed around the world; check the list at
-<a class="ulink" href="https://cygwin.com/mirrors.html" target="_top">https://cygwin.com/mirrors.html</a>
+<a class="ulink" href="/mirrors.html" target="_top">https://cygwin.com/mirrors.html</a>
 to find one near you. You can select multiple mirrors by holding down
 <code class="literal">CTRL</code> and clicking on each one. If you have the URL of 
 an unlisted mirror (for example, if your organization has an internal Cygwin 
@@ -196,7 +196,7 @@ Last of all, <span class="command"><strong>setup.exe</strong></span> will run an
 scripts to finish correctly setting up installed packages. Since each
 script is run separately, several windows may pop up. If you are 
 interested in what is being done, see the Cygwin Package Contributor's
-Guide at <a class="ulink" href="https://cygwin.com/setup.html" target="_top">https://cygwin.com/setup.html</a>
+Guide at <a class="ulink" href="/setup.html" target="_top">https://cygwin.com/setup.html</a>
 When the last post-install script is completed, <span class="command"><strong>setup.exe</strong></span> 
 will display a box announcing the completion. A few packages, such as
 the OpenSSH server, require some manual site-specific configuration. 
@@ -210,6 +210,6 @@ HTTP instead of FTP).  If you notice something is not working after
 running setup, you can check the <span class="command"><strong>setup.exe</strong></span> log file
 at <code class="literal">/var/log/setup.log.full</code>. Make a backup of this
 file before running <span class="command"><strong>setup.exe</strong></span> again, and follow the
-steps for <a class="ulink" href="https://cygwin.com/problems.html" target="_top">Reporting
+steps for <a class="ulink" href="/problems.html" target="_top">Reporting
 Problems with Cygwin</a>.
 </p></div></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ov-new.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="setup-env.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">What's new and what changed in Cygwin </td><td width="20%" align="center"><a accesskey="h" href="cygwin-ug-net.html">Home</a></td><td width="40%" align="right" valign="top"> Environment Variables</td></tr></table></div></body></html>
diff --git a/cygwin-ug-net/using-cygwinenv.html b/cygwin-ug-net/using-cygwinenv.html
index 071c5dd..d9a4cab 100644
--- a/cygwin-ug-net/using-cygwinenv.html
+++ b/cygwin-ug-net/using-cygwinenv.html
@@ -8,7 +8,7 @@ by prefixing with <code class="literal">no</code>.</p><div class="itemizedlist">
 foreign applications which try to inject threads into a Cygwin process,
 or which redirect system sockets by providing an enforced so-called
 <code class="literal">Layered Service Provider</code>.  This may or may not help to
-detect <a class="ulink" href="https://cygwin.com/faq/faq.html#faq.using.bloda" target="_top">
+detect <a class="ulink" href="/faq/faq.html#faq.using.bloda" target="_top">
 BLODAs</a>.  Don't use this option for day-to-day usage, it will slow
 down every thread and socket creation!</p></li><li class="listitem" style="list-style-type: disc"><p><code class="envar">(no)dosfilewarning</code> - If set, Cygwin will warn the
 first time a user uses an "MS-DOS" style path name rather than a POSIX-style
diff --git a/docs.html b/docs.html
index 45524b9..ad40f91 100755
--- a/docs.html
+++ b/docs.html
@@ -29,7 +29,7 @@ profile the Cygwin DLL</a>.
 <p>Information on building and using DLLs is <a href="cygwin-ug-net/dll.html">here</a>.</p>
 
 <P>Also note that there is quite a lot of useful information in the
-<a href="http://cygwin.com/ml/cygwin/">project mailing list</a>
+<a href="/ml/cygwin/">project mailing list</a>
 archives.
 </div>
 </body>
diff --git a/donations.html b/donations.html
index 81aee63..1b7e813 100755
--- a/donations.html
+++ b/donations.html
@@ -16,12 +16,12 @@
 
 <p>A: Yes, it is.  You get to use the software for free.  The only "strings
 attached" are that, in general, you must comply with the terms of the <a
-href="http://www.gnu.org/licenses/gpl.html">GNU General Public
+href="https://www.gnu.org/licenses/gpl.html">GNU General Public
 License</a>.
 
 <p>However, the fact that you can get the software for free doesn't mean that
 there is no cost to the people involved in producing it for you.  The
-people who bring you the <a href="http://cygwin.com/packages/">packages
+people who bring you the <a href="/cgi-bin2/package-grep.cgi">packages
 in the Cygwin distribution</a> have often invested a <em>considerable</em>
 amount of their personal time into the providing you with the best
 possible Cygwin experience.  This is particularly true of the people
@@ -131,12 +131,12 @@ name="submit" alt="Make payments with PayPal - it's fast, free and secure!">
 <br><p><a href="http://www.couponscodes.co.uk/">Promotional Codes</a> made a donation (06-May-16)
 <br><p><a href="http://superbwebsitebuilders.com/">Website builder reviews</a> made a donation (26-Apr-16)
 <br><p><a href="http://www.top7bestwebhosting.com/">top7bestwebhosting.com</a> made a donation (21-Apr-16)
-<br><p><a href="http://www.thelawfirm.io/">Chhabra Law Firm</a> says "Thank you to you and the numerous volunteers who have maintained this project over all these years." (03-Apr-16)
+<br><p><a href="https://www.thelawfirm.io/">Chhabra Law Firm</a> says "Thank you to you and the numerous volunteers who have maintained this project over all these years." (03-Apr-16)
 <br><p><a href="http://www.expertgolfpicks.com">Expert Golf Picks</a> says "Thank you very much and keep up the good work!" (18-Mar-16)
 <br><p><a href="http://www.psychics4today.com/">Psychics4Today.com</a> made a donation (17-Mar-16)
 <br><p><a href="http://www.marylandsearch.org/">Maryland Search</a> made a donation (16-Mar-16)
 <br><p><a href="http://www.binaryoptionrobotinfo.com/">Binary Option Robot Info</a> made a donation (14-Mar-16)
-<br><p><a href="http://spacecitydrones.com/">SpaceCityDrones.com</a> says "Keep up the good work" (22-Feb-16)
+<br><p><a href="https://www.spacecitydrones.com/">SpaceCityDrones.com</a> says "Keep up the good work" (22-Feb-16)
 <br><p><a href="http://www.bestflightdelaycompensation.com"/>delayed flight compensation</a> made a donation (15-Feb-16)
 <br><p><a href="https://www.cafecredit.com/">CafeCredit</a> says "Please keep Cygwin alive. Your commitment and hard work is appreciated by the Linux community. Thank you!" (02-Feb-16)
 <br><p><a href="http://www.top5hosting.co.uk/">top5hosting.co.uk</a> made a donation (25-Jan-16)
@@ -150,7 +150,7 @@ name="submit" alt="Make payments with PayPal - it's fast, free and secure!">
 <br><p><a href="http://www.tshowbox.com/">TShowBox</a> made a donation (24-Dec-15)
 <br><p><a href="http://www.appealslawgroup.com/">Criminal Defense Attorney</a> made a donation (15-Dec-15)
 <br><p><a href="http://www.abcprintables.com/">ABC Printables</a> Thank you for the great work you do! (28-Nov-15)
-<br><p><a href="http://www.appsfreeforpc.com/">Apps Free For PC</a> made a donation. (23-Nov-15)
+<br><p><a href="https://www.appsfreeforpc.com/">Apps Free For PC</a> made a donation. (23-Nov-15)
 <br><p><a href="http://www.roadrunnerautotransport.com/">RoadRunner Auto Transport</a> made a donation. (21-Nov-15)
 <br><p><a href="http://www.bestreviewshub.com/">Best Reviews Hub</a> says "Thank you very much." (01-Nov-15)
 <br><p><a href="http://www.keeping.com/">Help desk software</a> made a donation. (23-Oct-15)
@@ -174,9 +174,9 @@ name="submit" alt="Make payments with PayPal - it's fast, free and secure!">
 <br><p><a href="http://www.lowbudgetmovers.net/">Low Budget Movers</a> made a donation. (03-Mar-15)
 <br><p><a href="http://houstonhomesecurityjudge.com/">Houston Home Security Companies</a> made a donation. (01-Mar-15)
 <br><p><a href="http://hostgatorcouponbayou.com/">Hostgator Coupon Bayou</a> made a donation. (23-Feb-15)
-<br><p><a href="http://www.discountrue.com">Discountrue</a> made a donation. (14-Feb-15)
+<br><p><a href="https://www.discountrue.com/">Discountrue</a> made a donation. (14-Feb-15)
 <br><p><a href="http://www.psblaw.com/auto-accidents.html">PSB Car Accident Attorneys</a> made a donation. (28-Jan-15)
-<br><p><a href="http://modernlivingre.com">Modern Living Real Estate</a> made a donation. (15-Dec-14)
+<br><p><a href="https://modernlivingre.com/">Modern Living Real Estate</a> made a donation. (15-Dec-14)
 <br><p><a href="https://www.facebook.com/iherb.coupons.codes">iHerb coupon</a> made a donation. (23-Oct-14)
 <br><p><a href="http://www.youniquemascarabykris.com/">Younique Mascara by Kristen</a> made a donation. (22-Sep-14)
 <br><p><a href="http://sprueche-wuensche.de">Spr&uuml;che & W&uuml;nsche</a> appreciate this great project! (12-Sep-14)
@@ -184,11 +184,11 @@ name="submit" alt="Make payments with PayPal - it's fast, free and secure!">
 <br><p><a href="https://www.compareking.no/">CompareKing.no</a> (L&aring;n uten sikkerhet) Keep up the good work! (31-Aug-14)
 <br><p><a href="http://theboss-seo.com/" title="Best SEO" target="new">The Boss - SEO</a> made a donation. (30-Aug-14)
 <br><p><a href="http://simonly.today" title="Sim Only">Sim Only Vergelijken</a> Keep up the good work.  (15-Aug-14)
-<br><p><a href="http://www.beardbrand.com/collections/beard-oil/">www.beardbrand.com</a> made a donation.  (13-Aug-14)
-<br><p><a href="http://www.yourcontacts.com.au/">www.yourcontacts.com.au</a> made a donation.  (9-Aug-14)
+<br><p><a href="https://www.beardbrand.com/collections/beard-oil">www.beardbrand.com</a> made a donation.  (13-Aug-14)
+<br><p><a href="https://www.yourcontacts.com.au/">www.yourcontacts.com.au</a> made a donation.  (9-Aug-14)
 <br><p><a href="http://newfreebooks.com/">new free books</a> made a donation.  (19-Jul-14)
 <br><p><a href="http://www.debtsupporttrust.org.uk/how-can-we-help/bankruptcy/">Bankruptcy</a> Well done on the hard work!  (14-Jul-14)
-<br><p><a href="http://www.digitalexits.com/ecommerce-business-broker/">www.digitalexits.com</a> made a donation.  (19-Jun-14)
+<br><p><a href="https://www.digitalexits.com/ecommerce-business-broker/">www.digitalexits.com</a> made a donation.  (19-Jun-14)
 <br><p><a href="http://www.valuator.com.au/business-valuations/">www.valuator.com.au</a> made a donation.  (17-Jun-14)
 <br><p><a href="http://couponcodehoster.com/">Web Hosting Coupon Codes</a> made a donation.  (4-Jun-14)
 <br><p><a href="http://couponcoder.org/">Couponcoder.org</a> made a donation.  (13-May-14)
diff --git a/faq/faq.html b/faq/faq.html
index 6318b9d..75a5cdd 100644
--- a/faq/faq.html
+++ b/faq/faq.html
@@ -33,15 +33,15 @@ version of course only on 64 bit Windows.
 supports.  Because of this, Cygwin will behave differently, and
 exhibit different limitations, on the various versions of Windows.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.what.where"></a><p><b>1.3.</b></p></td><td align="left" valign="top"><p>Where can I get it?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>The home page for the Cygwin project is
-<a class="ulink" href="https://cygwin.com/" target="_top">https://cygwin.com/</a>.
+<a class="ulink" href="/" target="_top">https://cygwin.com/</a>.
 There you should find everything you need for Cygwin, including links
 for download and setup, a current list of mirror sites, a User's
 Guide, an API Reference, mailing lists and archives.
 </p><p>You can find documentation for the individual GNU tools typically
 as man pages or info pages as part of the Cygwin net distribution.
 Additionally you can get the latest docs at
-<a class="ulink" href="http://www.gnu.org/manual/" target="_top">http://www.gnu.org/manual/</a>.  (You should read GNU manuals from a
-local mirror.  Check <a class="ulink" href="http://www.gnu.org/server/list-mirrors.html" target="_top">http://www.gnu.org/server/list-mirrors.html</a>
+<a class="ulink" href="https://www.gnu.org/manual/" target="_top">https://www.gnu.org/manual/</a>.  (You should read GNU manuals from a
+local mirror.  Check <a class="ulink" href="https://www.gnu.org/server/mirror.html" target="_top">https://www.gnu.org/server/mirror.html</a>
 for a list of them.)
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.what.free"></a><p><b>1.4.</b></p></td><td align="left" valign="top"><p>Is it free software?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Yes.  Parts are GNU software (gcc, gas, ld, etc...), parts are covered
 by the standard X11 license, some of it is public domain, some of
@@ -53,7 +53,7 @@ these tools.
 </p><p>In particular, if you intend to port a proprietary (non-GPL'd)
 application using Cygwin, you will need the proprietary-use license 
 for the Cygwin library.  This is available for purchase from Red Hat;
-please visit <a class="ulink" href="https://cygwin.com/licensing.html" target="_top">https://cygwin.com/licensing.html</a> for more
+please visit <a class="ulink" href="/licensing.html" target="_top">https://cygwin.com/licensing.html</a> for more
 information.  All other questions should be sent to the public project
 mailing list cygwin@cygwin.com.
 </p><p>Note that when we say "free" we mean freedom, not price.  The goal of
@@ -64,7 +64,7 @@ freedoms, so it is free software.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.what.version"></a><p><b>1.5.</b></p></td><td align="left" valign="top"><p>What version of Cygwin <span class="emphasis"><em>is</em></span> this, anyway?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>To find the version of the Cygwin DLL installed, you can use
 <code class="filename">uname</code> as on Linux or <code class="filename">cygcheck</code>. Refer to each command's
 <code class="literal">--help</code> output and the
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/" target="_top">Cygwin User's Guide</a>
+<a class="ulink" href="/cygwin-ug-net/" target="_top">Cygwin User's Guide</a>
 for more information.
 </p><p>If you are looking for the version number for the whole Cygwin
 release, there is none. Each package in the Cygwin release has its own
@@ -73,11 +73,11 @@ the efforts of net volunteers who maintain the Cygwin binary ports.
 Each package has its own version numbers and its own release process.
 </p><p>So, how do you get the most up-to-date version of Cygwin?  Easy.  Just
 download the Cygwin Setup program by following the instructions
-<a class="ulink" href="https://cygwin.com/install.html" target="_top">here</a>.
+<a class="ulink" href="/install.html" target="_top">here</a>.
 The setup program will handle the task of updating the packages on your system
 to the latest version. For more information about using Cygwin's
 <code class="filename">setup.exe</code>, see 
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/setup-net.html" target="_top">Setting Up Cygwin</a>
+<a class="ulink" href="/cygwin-ug-net/setup-net.html" target="_top">Setting Up Cygwin</a>
 in the Cygwin User's Guide. 
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.what.who"></a><p><b>1.6.</b></p></td><td align="left" valign="top"><p>Who's behind the project?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p><span class="bold"><strong>(Please note that if you have cygwin-specific
 questions, all of these people will appreciate it if you use the cygwin
@@ -96,7 +96,7 @@ of related packages.
 </p><p>
 The packages in the Net release are maintained by a large group of people;
 a complete list can be found
-<a class="ulink" href="https://cygwin.com/cygwin-pkg-maint" target="_top">here</a>.
+<a class="ulink" href="/cygwin-pkg-maint" target="_top">here</a>.
 </p><p>Please note that all of us working on Cygwin try to be as responsive as
 possible and deal with patches and questions as we get them, but realistically
 we don't have time to answer all of the email that is sent to the main mailing
@@ -109,14 +109,14 @@ installer <span class="command"><strong>setup-*.exe</strong></span>.  It is flex
 You can pick and choose the packages you wish to install, and update
 them individually.  Full source code is available for all packages and
 tools.  More information on using Cygwin Setup may be found at
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/setup-net.html" target="_top">https://cygwin.com/cygwin-ug-net/setup-net.html</a>.
+<a class="ulink" href="/cygwin-ug-net/setup-net.html" target="_top">https://cygwin.com/cygwin-ug-net/setup-net.html</a>.
 </p><p>If you do it any other way, you're on your own!
 If something doesn't work right for you, and
 it's not covered here or in the latest development snapshot at
-<a class="ulink" href="https://cygwin.com/snapshots/" target="_top">https://cygwin.com/snapshots/</a>, then by all means report it to the
+<a class="ulink" href="/snapshots/" target="_top">https://cygwin.com/snapshots/</a>, then by all means report it to the
 mailing list.
 </p><p>For a searchable list of packages that can be installed with Cygwin,
-see <a class="ulink" href="https://cygwin.com/packages/" target="_top">https://cygwin.com/packages/</a>.
+see <a class="ulink" href="/packages/" target="_top">https://cygwin.com/packages/</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.automated"></a><p><b>2.2.</b></p></td><td align="left" valign="top"><p>What about an automated Cygwin installation?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>The Cygwin Setup program is designed to be interactive, but there are
 a few different ways to automate it. If you are deploying to multiple systems,
 the best way is to run through a full installation once, saving the entire 
@@ -128,8 +128,8 @@ package tree is in <code class="literal">x:\cygwin-local\</code> (see the next F
 an explanation of those options.)
 </p><p>
 For other options, search the mailing lists with terms such as 
-<a class="ulink" href="http://www.google.com/search?q=cygwin+automated+setup" target="_top">cygwin automated setup</a> or
-<a class="ulink" href="http://www.google.com/search?q=automated+cygwin+install" target="_top">automated cygwin install</a>.
+<a class="ulink" href="https://www.google.com/search?q=cygwin+automated+setup" target="_top">cygwin automated setup</a> or
+<a class="ulink" href="https://www.google.com/search?q=automated+cygwin+install" target="_top">automated cygwin install</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.cli"></a><p><b>2.3.</b></p></td><td align="left" valign="top"><p>Does Setup accept command-line arguments?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Yes, the full listing is written to the <code class="literal">setup.log</code> file 
 when you run <code class="literal">setup-x86.exe --help</code> or
 <code class="literal">setup-x86_64.exe --help</code>. The current options are:
@@ -196,10 +196,10 @@ now.)
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.old-versions"></a><p><b>2.6.</b></p></td><td align="left" valign="top"><p>Can I use Cygwin Setup to get old versions of packages (like gcc-2.95)?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Cygwin Setup can be used to install any packages that are on a
 Cygwin mirror, which usually includes one version previous to the
 current one. The complete list may be searched at 
-<a class="ulink" href="https://cygwin.com/packages/" target="_top">https://cygwin.com/packages/</a>.  There is no complete archive of
+<a class="ulink" href="/packages/" target="_top">https://cygwin.com/packages/</a>.  There is no complete archive of
 older packages. If you have a problem with the current version of
 a Cygwin package, please report it to the mailing list using the 
-guidelines at <a class="ulink" href="https://cygwin.com/problems.html" target="_top">https://cygwin.com/problems.html</a>.
+guidelines at <a class="ulink" href="/problems.html" target="_top">https://cygwin.com/problems.html</a>.
 </p><p>That said, if you really need an older package, you may be able to find
 an outdated or archival mirror by searching the web for an old package
 version (for example, <code class="literal">gcc2-2.95.3-10-src.tar.bz2</code>), but keep in
@@ -226,7 +226,7 @@ The Cygwin public key is protected from attacker subversion
 during transmission by the previous step, and this public
 key is then used to protect all later steps.
 You can confirm that the key is in setup by looking at the setup project
-(<a class="ulink" href="http://sourceware.org/cygwin-apps/setup.html" target="_top">http://sourceware.org/cygwin-apps/setup.html</a>)
+(<a class="ulink" href="https://sourceware.org/cygwin-apps/setup.html" target="_top">https://sourceware.org/cygwin-apps/setup.html</a>)
 source code file <code class="literal">cyg-pubkey.h</code>
 (the key is automatically generated from file <code class="literal">cygwin.pub</code>).
 </p></li><li class="listitem"><p>The setup program downloads
@@ -268,7 +268,7 @@ the setup program <code class="literal">setup-x86.exe</code> (32-bit) or
 <code class="literal">setup-x86_64.exe</code> (64-bit), and then
 check its signature (using a signature-checking tool you trust)
 using the Cygwin public key
-(<a class="ulink" href="https://cygwin.com/key/pubring.asc" target="_top">https://cygwin.com/key/pubring.asc</a>).
+(<a class="ulink" href="/key/pubring.asc" target="_top">https://cygwin.com/key/pubring.asc</a>).
 This was noted on the front page for installing and updating.
 </p><p>
 If you use the actual Cygwin public key, and have an existing secure
@@ -292,7 +292,7 @@ We also provide automatic mechanisms
 do not want to perform the signature checking on the setup program itself.
 Once the correct setup program is running, it will counter other attacks
 as described in
-<a class="ulink" href="https://cygwin.com/faq/faq.html#faq.setup.install-security" target="_top">https://cygwin.com/faq/faq.html#faq.setup.install-security</a>.
+<a class="ulink" href="/faq/faq.html#faq.setup.install-security" target="_top">https://cygwin.com/faq/faq.html#faq.setup.install-security</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.virus"></a><p><b>2.9.</b></p></td><td align="left" valign="top"><p>Is Cygwin Setup, or one of the packages, infected with a virus?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Unlikely.  Unless you can confirm it, please don't report it to the
 mailing list.  Anti-virus products have been known to detect false
 positives when extracting compressed tar archives.  If this causes
@@ -314,19 +314,19 @@ disk if you are paranoid.
 </p></li></ol></div><p>This should be safe, but only if Cygwin Setup is not substituted by
 something malicious.
 See also
-<a class="ulink" href="https://cygwin.com/faq/faq.html#faq.setup.install-security" target="_top">https://cygwin.com/faq/faq.html#faq.setup.install-security</a>
+<a class="ulink" href="/faq/faq.html#faq.setup.install-security" target="_top">https://cygwin.com/faq/faq.html#faq.setup.install-security</a>
 for a description of how the
 Cygwin project counters man-in-the-middle (MITM) attacks.
-</p><p>See also <a class="ulink" href="https://cygwin.com/faq/faq.html#faq.using.bloda" target="_top">https://cygwin.com/faq/faq.html#faq.using.bloda</a>
+</p><p>See also <a class="ulink" href="/faq/faq.html#faq.using.bloda" target="_top">https://cygwin.com/faq/faq.html#faq.using.bloda</a>
 for a list of applications that have been known, at one time or another, to
 interfere with the normal functioning of Cygwin.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.what-packages"></a><p><b>2.11.</b></p></td><td align="left" valign="top"><p>What packages should I download? Where are 'make', 'gcc', 'vi', etc?  </p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>When using Cygwin Setup for the first time, the default is to install
 a minimal subset of all available packages.  If you want anything beyond that,
 you will have to select it explicitly.  See 
-<a class="ulink" href="https://cygwin.com/packages/" target="_top">https://cygwin.com/packages/</a> for a searchable list of available
+<a class="ulink" href="/packages/" target="_top">https://cygwin.com/packages/</a> for a searchable list of available
 packages, or use <code class="literal">cygcheck -p </code> as described in the Cygwin
 User's Guide at
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-utils.html#cygcheck" target="_top">https://cygwin.com/cygwin-ug-net/using-utils.html#cygcheck</a>.
+<a class="ulink" href="/cygwin-ug-net/using-utils.html#cygcheck" target="_top">https://cygwin.com/cygwin-ug-net/using-utils.html#cygcheck</a>.
 </p><p>If you want to build programs, of course you'll need <code class="literal">gcc</code>,
 <code class="literal">binutils</code>, <code class="literal">make</code> and probably other packages from the
 ``Devel'' category. Text editors can be found under ``Editors''.
@@ -379,9 +379,9 @@ at <a class="ulink" href="ftp://cygwin.com/pub/cygwin/unsupported/clean_setup.pl
 prior actions is in <code class="literal">/var/log/setup.log</code>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.setup-fails"></a><p><b>2.15.</b></p></td><td align="left" valign="top"><p>What if setup fails?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>First, make sure that you are using the latest version of Cygwin Setup.
 The latest version is always available from the Cygwin Home Page at
-<a class="ulink" href="https://cygwin.com/" target="_top">https://cygwin.com/</a>.
+<a class="ulink" href="/" target="_top">https://cygwin.com/</a>.
 </p><p>If you are downloading from the Internet, setup will fail if it cannot
-download the list of mirrors at <a class="ulink" href="https://cygwin.com/mirrors.html" target="_top">https://cygwin.com/mirrors.html</a>.
+download the list of mirrors at <a class="ulink" href="/mirrors.html" target="_top">https://cygwin.com/mirrors.html</a>.
 It could be that the network is too busy.  Something similar could be the
 cause of a download site not working.  Try another mirror, or try again
 later.
@@ -418,7 +418,7 @@ translated to POSIX form.
 returned by <span class="command"><strong>getent passwd</strong></span>.  If you want to learn how this
 field is set by Cygwin and how you can change it, this is explained in great
 detail in the Cygwin User's Guide at
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>.
+<a class="ulink" href="/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>.
 </p></li></ol></div><p>When using Cygwin from a network login (via ssh for instance),
 <code class="literal">HOME</code> is always taken from the passwd entry.
 </p><p>If your <code class="literal">HOME</code> is set to a value such as /cygdrive/c,
@@ -447,7 +447,7 @@ well.
 </p></li></ol></div></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.uninstall-all"></a><p><b>2.20.</b></p></td><td align="left" valign="top"><p>How do I uninstall <span class="bold"><strong>all</strong></span> of Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Setup has no automatic uninstall facility.  The recommended method to remove all 
 of Cygwin is as follows:
 </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>If you have any Cygwin services running, remove by repeating 
-the instructions in <a class="ulink" href="https://cygwin.com/faq/faq.html#faq.setup.uninstall-service" target="_top">https://cygwin.com/faq/faq.html#faq.setup.uninstall-service</a> for
+the instructions in <a class="ulink" href="/faq/faq.html#faq.setup.uninstall-service" target="_top">https://cygwin.com/faq/faq.html#faq.setup.uninstall-service</a> for
 all services that you installed.  Common services that might have been
 installed are <code class="literal">sshd</code>, <code class="literal">cron</code>, 
 <code class="literal">cygserver</code>, <code class="literal">inetd</code>, <code class="literal">apache</code>, 
@@ -456,10 +456,10 @@ installed are <code class="literal">sshd</code>, <code class="literal">cron</cod
 that might be running in the background.  Exit the command prompt and ensure
 that no Cygwin processes remain.  Note: If you want to save your mount points for a later 
 reinstall, first save the output of <code class="literal">mount -m</code> as described at 
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-utils.html#mount" target="_top">https://cygwin.com/cygwin-ug-net/using-utils.html#mount</a>.
+<a class="ulink" href="/cygwin-ug-net/using-utils.html#mount" target="_top">https://cygwin.com/cygwin-ug-net/using-utils.html#mount</a>.
 </p></li><li class="listitem"><p>If you installed <code class="literal">cyglsa.dll</code> by running the
 shell script <code class="literal">/usr/bin/cyglsa-config</code> as described in
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>, then you need to
+<a class="ulink" href="/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>, then you need to
 configure Windows to stop using the LSA authentication package.  You do so by
 editing the registry and restoring
 <code class="literal">/HKEY_LOCAL_MACHINE/SYSTEM/CurrentControlSet/Control/Lsa/Authentication Packages</code>
@@ -501,7 +501,7 @@ bugfix that you need to try, and you are willing to deal with any
 problems, or at the request of a Cygwin developer.
 </p><p>You cannot use Cygwin Setup to install a snapshot.
 </p><p>First, you will need to download the snapshot from the snapshots
-page at <a class="ulink" href="https://cygwin.com/snapshots/" target="_top">https://cygwin.com/snapshots/</a>.  Note the directory where
+page at <a class="ulink" href="/snapshots/" target="_top">https://cygwin.com/snapshots/</a>.  Note the directory where
 you saved the snapshot tarball.
 </p><p>Before installing a snapshot, you must first Close <span class="bold"><strong>all</strong></span> Cygwin
 applications, including shells and services (e.g., <code class="literal">inetd</code>, <code class="literal">sshd</code>).
@@ -527,7 +527,7 @@ to <code class="literal">C:\cygwin\bin\cygwin1.dll</code> (assuming you installe
 </p><p>The operative word in trying the snapshots is "<span class="emphasis"><em>trying</em></span>".  If you
 notice a problem with the snapshot that was not present in the release
 DLL (what we call a "regression"), please report it to the Cygwin
-mailing list (see <a class="ulink" href="https://cygwin.com/problems.html" target="_top">https://cygwin.com/problems.html</a> for problem
+mailing list (see <a class="ulink" href="/problems.html" target="_top">https://cygwin.com/problems.html</a> for problem
 reporting guidelines).  If you wish to go back to the older version of the
 DLL, again, close all Cygwin processes, delete
 <code class="literal">C:\cygwin\bin\cygwin1.dll</code>, and
@@ -536,8 +536,8 @@ rename <code class="literal">C:\cygwin\bin\cygwin1-prev.dll</code> back to
 <code class="literal">C:\cygwin</code>).  To restore the rest of the snapshot
 files, reinstall the "<code class="literal">cygwin</code>" package using Setup.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.setup.mirror"></a><p><b>2.22.</b></p></td><td align="left" valign="top"><p>Can Cygwin Setup maintain a ``mirror''?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>NO.  Cygwin Setup cannot do this for you.  Use a tool designed for
-this purpose.  See <a class="ulink" href="http://rsync.samba.org/" target="_top">http://rsync.samba.org/</a>,
-<a class="ulink" href="http://www.gnu.org/software/wget/" target="_top">http://www.gnu.org/software/wget/</a> for utilities that can do this for you.
+this purpose.  See <a class="ulink" href="https://rsync.samba.org/" target="_top">https://rsync.samba.org/</a>,
+<a class="ulink" href="https://www.gnu.org/software/wget/" target="_top">https://www.gnu.org/software/wget/</a> for utilities that can do this for you.
 For more information on setting up a custom Cygwin package server, see
 the Cygwin Setup homepage at
 <a class="ulink" href="https://sourceware.org/cygwin-apps/setup.html" target="_top">https://sourceware.org/cygwin-apps/setup.html</a>.
@@ -566,20 +566,20 @@ list what man pages the package includes.)  Some older packages still keep
 their documentation in <code class="literal">/usr/doc/</code>
 instead of <code class="literal">/usr/share/doc/</code>.
 </p><p>There are links to quite a lot of documentation on the main Cygwin
-project web page, <a class="ulink" href="https://cygwin.com/" target="_top">https://cygwin.com/</a>, including this FAQ.
+project web page, <a class="ulink" href="/" target="_top">https://cygwin.com/</a>, including this FAQ.
 Be sure to at least read any 'Release Notes' or 'Readme' or 'read this'
 links on the main web page, if there are any.
 </p><p>There is a comprehensive Cygwin User's Guide at
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/cygwin-ug-net.html" target="_top">https://cygwin.com/cygwin-ug-net/cygwin-ug-net.html</a>
+<a class="ulink" href="/cygwin-ug-net/cygwin-ug-net.html" target="_top">https://cygwin.com/cygwin-ug-net/cygwin-ug-net.html</a>
 and an API Reference at
-<a class="ulink" href="https://cygwin.com/cygwin-api/cygwin-api.html" target="_top">https://cygwin.com/cygwin-api/cygwin-api.html</a>.
+<a class="ulink" href="/cygwin-api/cygwin-api.html" target="_top">https://cygwin.com/cygwin-api/cygwin-api.html</a>.
 </p><p>You can find documentation for the individual GNU tools at
-<a class="ulink" href="http://www.fsf.org/manual/" target="_top">http://www.fsf.org/manual/</a>.  (You should read GNU manuals from
+<a class="ulink" href="https://www.gnu.org/manual/" target="_top">https://www.gnu.org/manual/</a>.  (You should read GNU manuals from
 a local mirror, check
-<a class="ulink" href="http://www.fsf.org/server/list-mirrors.html" target="_top">http://www.fsf.org/server/list-mirrors.html</a> for a list of them.)
+<a class="ulink" href="https://www.gnu.org/server/mirror.html" target="_top">https://www.gnu.org/server/mirror.html</a> for a list of them.)
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.resources.mailing-lists"></a><p><b>3.2.</b></p></td><td align="left" valign="top"><p>What Cygwin mailing lists can I join?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Comprehensive information about the Cygwin mailing lists can be found at
-<a class="ulink" href="https://cygwin.com/lists.html" target="_top">https://cygwin.com/lists.html</a>.
-</p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.resources.problems"></a><p><b>3.3.</b></p></td><td align="left" valign="top"><p>What if I have a problem? (Or: Why won't you/the mailing list answer my questions?)</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Comprehensive information about reporting problems with Cygwin can be found at <a class="ulink" href="https://cygwin.com/problems.html" target="_top">https://cygwin.com/problems.html</a>.
+<a class="ulink" href="/lists.html" target="_top">https://cygwin.com/lists.html</a>.
+</p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.resources.problems"></a><p><b>3.3.</b></p></td><td align="left" valign="top"><p>What if I have a problem? (Or: Why won't you/the mailing list answer my questions?)</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Comprehensive information about reporting problems with Cygwin can be found at <a class="ulink" href="/problems.html" target="_top">https://cygwin.com/problems.html</a>.
 </p></td></tr><tr class="qandadiv"><td align="left" valign="top" colspan="2"><h3 class="title"><a name="faq.using"></a>4. Using Cygwin</h3></td></tr><tr class="toc"><td align="left" valign="top" colspan="2"><dl><dt>4.1. <a href="faq.html#faq.using.missing-dlls">Why can't my application locate cygncurses-8.dll?  or cygintl-3.dll?  or cygreadline6.dll?  or ...?</a></dt><dt>4.2. <a href="faq.html#faq.using.startup-slow">Starting a new terminal window is slow. What's going on?</a></dt><dt>4.3. <a href="faq.html#faq.using.slow">Why is Cygwin suddenly so slow?</a></dt><dt>4.4. <a href="faq.html#faq.using.shares">Why can't my services access network shares?</a></dt><dt>4.5. <a href="faq.html#faq.using.path">How should I set my PATH?</a></dt><dt>4.6. <a href="faq.html#faq.using.not-found">Bash (or another shell) says "command not found", but it's right there!</a></dt><dt>4.7. <a href="faq.html#faq.using.converting-paths">How do I convert between Windows and UNIX paths?</a></dt><dt>4.8. <a href="faq.html#faq.using.bashrc">Why doesn't bash read my .bashrc file on startup?</a></dt><dt>4.9. <a href="faq.html#faq.using.bash-insensitive">How can I get bash filename completion to be case insensitive?</a></dt><dt>4.10. <a href="faq.html#faq.using.filename-spaces">Can I use paths/filenames containing spaces in them?</a></dt><dt>4.11. <a href="faq.html#faq.using.shortcuts">Why can't I cd into a shortcut to a directory?</a></dt><dt>4.12. <a href="faq.html#faq.using.find">I'm having basic problems with find.  Why?</a></dt><dt>4.13. <a href="faq.html#faq.using.su">Why doesn't su work?</a></dt><dt>4.14. <a href="faq.html#faq.using.man">Why doesn't man -k,
 apropos or whatis work?</a></dt><dt>4.15. <a href="faq.html#faq.using.chmod">Why doesn't chmod work?</a></dt><dt>4.16. <a href="faq.html#faq.using.shell-scripts">Why doesn't my shell script work?</a></dt><dt>4.17. <a href="faq.html#faq.using.printing">How do I print under Cygwin?</a></dt><dt>4.18. <a href="faq.html#faq.using.unicode">Why don't international (Unicode) characters work?</a></dt><dt>4.19. <a href="faq.html#faq.using.weirdchars">My application prints international characters but I only
 see gray boxes</a></dt><dt>4.20. <a href="faq.html#faq.using.multiple-copies">Is it OK to have multiple copies of the DLL?</a></dt><dt>4.21. <a href="faq.html#faq.using.third-party.multiple-copies">
@@ -603,7 +603,7 @@ installed.  Scroll down to locate the missing package, for instance
 ``Reinstall''.  Continue with the installation.
 </p><p>For a detailed explanation of the general problem, and how to extend
 it to other missing DLLs and identify their containing packages, see
-<a class="ulink" href="https://cygwin.com/ml/cygwin/2002-01/msg01619.html" target="_top">https://cygwin.com/ml/cygwin/2002-01/msg01619.html</a>.
+<a class="ulink" href="/ml/cygwin/2002-01/msg01619.html" target="_top">https://cygwin.com/ml/cygwin/2002-01/msg01619.html</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.startup-slow"></a><p><b>4.2.</b></p></td><td align="left" valign="top"><p>Starting a new terminal window is slow. What's going on?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>There are many possible causes for this.</p><p>If your terminal windows suddenly began starting slowly after a
 Cygwin upgrade, it may indicate issues in the authentication
 setup.</p><p>For almost all its lifetime, Cygwin has used Unix-like
@@ -643,7 +643,7 @@ group:  files db</pre><p>This will limit the need for Cygwin to contact the AD d
     controller (DC) while still allowing for additional information to
     be retrieved from DC, such as when listing remote
     directories.</p></li><li class="listitem"><p>Either in addition to the previous item or instead of it, you
-    can run <a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-cygserver.html" target="_top"><span class="command"><strong>cygserver</strong></span></a>
+    can run <a class="ulink" href="/cygwin-ug-net/using-cygserver.html" target="_top"><span class="command"><strong>cygserver</strong></span></a>
     as a local caching service to speed up DC requests.</p><p>Cygwin programs will check with <span class="command"><strong>cygserver</strong></span>
     before trying to query the DC directly.</p></li><li class="listitem"><p>A less preferable option is to create a static read-only cache
     of the authentication data. This is the old-fashioned method of
@@ -655,7 +655,7 @@ group:  files db</pre><p>This will limit the need for Cygwin to contact the AD d
 group:  files</pre><p>By leaving out the <code class="computeroutput">db</code> option,
     we are telling the Cygwin DLL not to even try to do AD lookups. If
     your AD servers are slow, this local cache will speed things up. The
-    downside is that you open yourself up to the <a class="ulink" href="http://en.wikipedia.org/wiki/Cache_(computing)" target="_top">stale cache
+    downside is that you open yourself up to the <a class="ulink" href="https://en.wikipedia.org/wiki/Cache_(computing)" target="_top">stale cache
     problem</a>: any time the AD databases change, your local cache
     will go out of date until you update the files manually.</p></li></ol></div><p>If none of the above helps, the best troubleshooting method is to
 run your startup scripts in debug mode. Right-click your Cygwin Terminal
@@ -679,7 +679,7 @@ will slow things down tremendously if it does not exist.
 (sshd, inetd, etc), then it depends on the method used to switch to
 another user.  This problem as well as its solution is described in
 detail in the Cygwin User's Guide, see
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>.
+<a class="ulink" href="/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>.
 </p><p>Workarounds include using public network share that does not require
 authentication (for non-critical files), providing your password to a
 <span class="command"><strong>net use</strong></span> command, or running the service as your own
@@ -801,7 +801,7 @@ for memory cards or USB sticks to exchange pictures...
 </p><p>For other cases, understand that Cygwin attempts to show UNIX 
 permissions based on the security features of Windows, so the Windows 
 ACLs are likely the source of your problem.  See the Cygwin User's 
-Guide at <a class="ulink" href="https://cygwin.com/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>
+Guide at <a class="ulink" href="/cygwin-ug-net/ntsec.html" target="_top">https://cygwin.com/cygwin-ug-net/ntsec.html</a>
 for more information on how Cygwin maps Windows permissions.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.shell-scripts"></a><p><b>4.16.</b></p></td><td align="left" valign="top"><p>Why doesn't my shell script work?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>There are two basic problems you might run into.  One is the fact that
 <span class="command"><strong>/bin/sh</strong></span> is really <span class="command"><strong>bash</strong></span>.
@@ -830,11 +830,11 @@ idiom
 under the mount point as executable.  This can be used for individual
 files as well as directories.  Then Cygwin will not bother to read files
 to determine whether they are executable.
-</p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.printing"></a><p><b>4.17.</b></p></td><td align="left" valign="top"><p>How do I print under Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>lpr is available in the cygutils package.  Some <a class="ulink" href="https://cygwin.com/ml/cygwin/2008-05/msg00123.html" target="_top">usage hints</a> are available courtesy of Rodrigo Medina.
+</p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.printing"></a><p><b>4.17.</b></p></td><td align="left" valign="top"><p>How do I print under Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>lpr is available in the cygutils package.  Some <a class="ulink" href="/ml/cygwin/2008-05/msg00123.html" target="_top">usage hints</a> are available courtesy of Rodrigo Medina.
 </p><p>Jason Tishler has written a couple of messages that explain how to use
 a2ps (for nicely formatted text in PostScript) and ghostscript (to print
 PostScript files on non-PostScript Windows printers).  Start at
-<a class="ulink" href="https://cygwin.com/ml/cygwin/2001-04/msg00657.html" target="_top">https://cygwin.com/ml/cygwin/2001-04/msg00657.html</a>.  Note that
+<a class="ulink" href="/ml/cygwin/2001-04/msg00657.html" target="_top">https://cygwin.com/ml/cygwin/2001-04/msg00657.html</a>.  Note that
 these are old mails and <span class="command"><strong>a2ps</strong></span> as well as
 <span class="command"><strong>file</strong></span> are long available as part of the Cygwin distribution.
 </p><p>Alternatively, you can use the Windows <span class="command"><strong>print</strong></span>
@@ -851,7 +851,7 @@ formfeed character to your file.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.unicode"></a><p><b>4.18.</b></p></td><td align="left" valign="top"><p>Why don't international (Unicode) characters work?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Internationalization is a complex issue. The short answer is that
 Cygwin relies on the setting of the setting of LANG/LC_xxx environment
 variables. The long answer can be found in the User's Guide in the
-section <a class="ulink" href="https://cygwin.com/cygwin-ug-net/setup-locale.html" target="_top">Internationalization</a>
+section <a class="ulink" href="/cygwin-ug-net/setup-locale.html" target="_top">Internationalization</a>
 </p><p> Cygwin uses UTF-8 by default.  To use a different character set, you
 need to set the LC_ALL, LC_CTYPE or LANG environment variables.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.weirdchars"></a><p><b>4.19.</b></p></td><td align="left" valign="top"><p>My application prints international characters but I only
 see gray boxes</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>In the case of Cygwin programs, this likely means that the
@@ -882,7 +882,7 @@ mixing executables of different Cygwin installations, this could also happen
 if you have one a single Cygwin installation, for example, if you update the
 Cygwin package without exiting <span class="emphasis"><em>all</em></span> Cygwin apps (including
 services like sshd) beforehand.</p><p>The only DLL that is sanctioned by the Cygwin project is the one that
-you get by running <a class="ulink" href="https://cygwin.com/install.html" target="_top">setup-x86.exe or setup-x86_64.exe</a>,
+you get by running <a class="ulink" href="/install.html" target="_top">setup-x86.exe or setup-x86_64.exe</a>,
 installed in a directory controlled by this program.  If you have other
 versions on your system and desire help from the cygwin project, you should
 delete or rename all DLLs that are not installed by
@@ -907,7 +907,7 @@ contributing it for others to use)
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.bundling-cygwin"></a><p><b>4.22.</b></p></td><td align="left" valign="top"><p>
 Can I bundle Cygwin with my product for free?
 </p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>
-Only if you comply with Cygwin's <a class="ulink" href="https://cygwin.com/licensing.html" target="_top">license</a> very carefully.  If you
+Only if you comply with Cygwin's <a class="ulink" href="/licensing.html" target="_top">license</a> very carefully.  If you
 choose to distribute cygwin1.dll, you must be willing to distribute the
 exact source code used to build that copy of cygwin1.dll as per the
 terms of the GPL.  If you ship applications that link with cygwin1.dll,
@@ -932,7 +932,7 @@ installed distribution.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.missing-packages"></a><p><b>4.24.</b></p></td><td align="left" valign="top"><p>Why isn't package XYZ available in Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Probably because there is nobody willing or able to maintain it.  It
 takes time, and the priority for the Cygwin Team is the Cygwin package.
 The rest is a volunteer effort.  Want to contribute?  See
-<a class="ulink" href="https://cygwin.com/setup.html" target="_top">https://cygwin.com/setup.html</a>.
+<a class="ulink" href="/setup.html" target="_top">https://cygwin.com/setup.html</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.old-packages"></a><p><b>4.25.</b></p></td><td align="left" valign="top"><p>Why is the Cygwin package of XYZ so out of date?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>(Also: Why is the version of package XYZ older than the version that I
 can download from the XYZ web site?  Why is the version of package XYZ
 older than the version that I installed on my linux system?  Is there
@@ -993,7 +993,7 @@ The mount command will only add the mount point for the lifetime
 of your current Cygwin session.
 </p><p>You can change the default <code class="literal">cygdrive</code> prefix and whether it is binmode or textmode using the <code class="filename">/etc/fstab</code> file
 as well.  See the Cygwin User's Guide at
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using.html#mount-table" target="_top">https://cygwin.com/cygwin-ug-net/using.html#mount-table</a>
+<a class="ulink" href="/cygwin-ug-net/using.html#mount-table" target="_top">https://cygwin.com/cygwin-ug-net/using.html#mount-table</a>
 for more details.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.copy-and-paste"></a><p><b>4.27.</b></p></td><td align="left" valign="top"><p>How can I copy and paste into Cygwin console windows?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>First, consider using mintty instead of the standard console
 window.  In mintty, selecting with the left-mouse also copies,
@@ -1024,7 +1024,7 @@ throughout.  Sadly the mailing list archives are littered with examples
 of poorly written firewall-type software that causes things to break.
 Note that with many of these products, simply disabling the firewall
 does not remove these changes; it must be completely uninstalled.
-</p><p>See also <a class="ulink" href="https://cygwin.com/faq/faq.html#faq.using.bloda" target="_top">https://cygwin.com/faq/faq.html#faq.using.bloda</a>
+</p><p>See also <a class="ulink" href="/faq/faq.html#faq.using.bloda" target="_top">https://cygwin.com/faq/faq.html#faq.using.bloda</a>
 for a list of applications that have been known, at one time or another, to 
 interfere with the normal functioning of Cygwin.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.sharing-files"></a><p><b>4.29.</b></p></td><td align="left" valign="top"><p>How can I share files between Unix and Windows?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>During development, we have Linux boxes running Samba and NFS as well
@@ -1043,7 +1043,7 @@ configuration fails.
 </p><p>To help with this problem, Cygwin supports case sensitivity
 starting with Cygwin 1.7.0.  For a detailed description how to use that
 feature see the Cygwin User's Guilde at
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-specialnames.html" target="_top">https://cygwin.com/cygwin-ug-net/using-specialnames.html</a>.
+<a class="ulink" href="/cygwin-ug-net/using-specialnames.html" target="_top">https://cygwin.com/cygwin-ug-net/using-specialnames.html</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.dos-filenames"></a><p><b>4.31.</b></p></td><td align="left" valign="top"><p>What about DOS special filenames?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>In Windows, files cannot be named com1, lpt1, or aux (to name a few);
 either as the root filename or as the extension part.  If you do, you'll have
 trouble.  Unix programs don't avoid these names which can make things
@@ -1054,7 +1054,7 @@ letters 'aux' in it will hang.
 </p><p>At least that's what happens when using native Windows tools.  Cygwin
 1.7.0 and later can deal with these filenames just fine.  Again, see the
 User's Guide at
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-specialnames.html" target="_top">https://cygwin.com/cygwin-ug-net/using-specialnames.html</a>
+<a class="ulink" href="/cygwin-ug-net/using-specialnames.html" target="_top">https://cygwin.com/cygwin-ug-net/using-specialnames.html</a>
 for a detailed description of what's possible with filenames and what is not.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.hangs"></a><p><b>4.32.</b></p></td><td align="left" valign="top"><p>When it hangs, how do I get it back?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>If something goes wrong and the tools hang on you for some reason (easy
 to do if you try and read a file called aux.sh), first try hitting ^C to
@@ -1114,7 +1114,7 @@ software completely, it may be possible to specify directories whose
 contents are exempt from scanning.  In a default installation, this
 would be <code class="literal">C:\cygwin\bin</code>.  Obviously, this could be
 exploited by a hostile non-Cygwin program, so do this at your own risk.
-</p><p>See also <a class="ulink" href="https://cygwin.com/faq/faq.html#faq.using.bloda" target="_top">https://cygwin.com/faq/faq.html#faq.using.bloda</a>
+</p><p>See also <a class="ulink" href="/faq/faq.html#faq.using.bloda" target="_top">https://cygwin.com/faq/faq.html#faq.using.bloda</a>
 for a list of applications that have been known, at one time or another, to
 interfere with the normal functioning of Cygwin.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.emacs"></a><p><b>4.35.</b></p></td><td align="left" valign="top"><p>Is there a Cygwin port of GNU Emacs?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Yes.  Install the emacs package.  This provides everything you
@@ -1151,7 +1151,7 @@ file:
 </pre><p>Note that the 0775 can be anything as long as the 0010 bit is set.
 </p><p>Alternatively, use Windows shortcuts as symlinks.  See the CYGWIN
 environment variable option "winsymlinks" 
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-cygwinenv.html" target="_top">https://cygwin.com/cygwin-ug-net/using-cygwinenv.html</a>
+<a class="ulink" href="/cygwin-ug-net/using-cygwinenv.html" target="_top">https://cygwin.com/cygwin-ug-net/using-cygwinenv.html</a>
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.sshd-in-domain"></a><p><b>4.39.</b></p></td><td align="left" valign="top"><p>How do I setup sshd in a domain?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>
 If you want to be able to logon with domain accounts to a domain member
 machine, you should make sure that the "cyg_server" account under which
@@ -1259,7 +1259,7 @@ non-English versions of Windows. You might also want to use a
 domain group instead of a local group if your site uses Windows
 domains. For example, you might want to use the <code class="computeroutput">Domain
 Users</code> group instead.</p><p>For more information on <span class="command"><strong>setfacl</strong></span>, see
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-utils.html#setfacl" target="_top">https://cygwin.com/cygwin-ug-net/using-utils.html#setfacl</a></p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.same-with-rhosts"></a><p><b>4.41.</b></p></td><td align="left" valign="top"><p>Why is my .rhosts file not recognized by rlogin anymore after updating to Cygwin 1.7.34?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>The problem is exactly the same as with the key files of SSH.  See
+<a class="ulink" href="/cygwin-ug-net/using-utils.html#setfacl" target="_top">https://cygwin.com/cygwin-ug-net/using-utils.html#setfacl</a></p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.same-with-rhosts"></a><p><b>4.41.</b></p></td><td align="left" valign="top"><p>Why is my .rhosts file not recognized by rlogin anymore after updating to Cygwin 1.7.34?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>The problem is exactly the same as with the key files of SSH.  See
 <a class="xref" href="faq.html#faq.using.ssh-pubkey-stops-working" title="4.40.">Q: 4.40</a>.</p><p>The solution is the same:</p><pre class="screen">
   $ ls -l .rhosts
   -rw-rw----+ 1 user group 42 Nov 12  2010 .rhosts
@@ -1309,7 +1309,7 @@ Unless this has already been done on your machine, your machine is not
 IPv6-capable and that's why you see the "Address family not supported"
 error message.  Note, however, that the IPv6 stack on these systems
 don't fully support all features of IPv6.</p><p>For more information about IPv6 on Windows and how to install the
-IPv6 stack, see the <a class="ulink" href="http://www.microsoft.com/technet/network/ipv6/ipv6faq.mspx" target="_top">Microsoft TechNet IPv6 FAQ article</a>
+IPv6 stack, see the <a class="ulink" href="https://technet.microsoft.com/en-us/network/cc987595.aspx" target="_top">Microsoft TechNet IPv6 FAQ article</a>
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.using.bloda"></a><p><b>4.45.</b></p></td><td align="left" valign="top"><p>What applications have been found to interfere with Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>From time to time, people have reported strange failures and problems in
 Cygwin and Cygwin packages that seem to have no rational explanation.  Among
 the most common symptoms they report are fork failures, memory leaks, and file
@@ -1320,7 +1320,7 @@ often implements its functions by installing hooks into various parts of the sys
 including both the Explorer shell and the underlying kernel.  Sometimes these hooks
 are not implemented in an entirely transparent fashion, and cause changes in the
 behaviour which affect the operation of other programs, such as Cygwin.
-</p><p>Among the software that has been found to cause difficulties are:</p><div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; "><li class="listitem"><p>Sonic Solutions burning software containing DLA component (when DLA disabled)</p></li><li class="listitem"><p>Norton/McAfee/Symantec antivirus or antispyware</p></li><li class="listitem"><p>Logitech webcam software with "Logitech process monitor" service</p></li><li class="listitem"><p>Kerio, Agnitum or ZoneAlarm Personal Firewall</p></li><li class="listitem"><p>Iolo System Mechanic/AntiVirus/Firewall</p></li><li class="listitem"><p>LanDesk</p></li><li class="listitem"><p>Windows Defender </p></li><li class="listitem"><p>Various programs by Wave Systems Corp using wxvault.dll, including Embassy Trust Suite and Embassy Security Center</p></li><li class="listitem"><p>NOD32 Antivirus</p></li><li class="listitem"><p>ByteMobile laptop optimization client</p></li><li class="listitem"><p>Earthlink Total-Access</p></li><li class="listitem"><p>Spybot S&amp;D TeaTimer</p></li><li class="listitem"><p>AR Soft RAM Disk</p></li><li class="listitem"><p>ATI Catalyst (some versions)</p></li><li class="listitem"><p>NVIDIA GeForce (some versions)</p></li><li class="listitem"><p>Windows LiveOneCare</p></li><li class="listitem"><p>Webroot Spy Sweeper with Antivirus</p></li><li class="listitem"><p>COMODO Firewall Pro</p></li><li class="listitem"><p>PC Tools Spyware Doctor</p></li><li class="listitem"><p>Avira AntiVir</p></li><li class="listitem"><p>Panda Internet Security</p></li><li class="listitem"><p>BitDefender</p></li><li class="listitem"><p>Google Desktop</p></li><li class="listitem"><p>Sophos Anti-Virus 7</p></li><li class="listitem"><p>Bufferzone from Trustware</p></li><li class="listitem"><p>Lenovo IPS Core Service (ipssvc)</p></li><li class="listitem"><p>Lenovo RapidBoot Shield</p></li><li class="listitem"><p>Credant Guardian Shield</p></li><li class="listitem"><p>AVAST (disable FILESYSTEM and BEHAVIOR realtime shields)</p></li><li class="listitem"><p>Citrix Metaframe Presentation Server/XenApp (see <a class="ulink" href="http://support.citrix.com/article/CTX107825" target="_top">Citrix Support page</a>)</p></li><li class="listitem"><p>Lavasoft Web Companion</p></li><li class="listitem"><p>Forefront TMG</p></li><li class="listitem"><p>MacType</p></li></ul></div><p>Sometimes these problems can be worked around, by temporarily or partially
+</p><p>Among the software that has been found to cause difficulties are:</p><div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; "><li class="listitem"><p>Sonic Solutions burning software containing DLA component (when DLA disabled)</p></li><li class="listitem"><p>Norton/McAfee/Symantec antivirus or antispyware</p></li><li class="listitem"><p>Logitech webcam software with "Logitech process monitor" service</p></li><li class="listitem"><p>Kerio, Agnitum or ZoneAlarm Personal Firewall</p></li><li class="listitem"><p>Iolo System Mechanic/AntiVirus/Firewall</p></li><li class="listitem"><p>LanDesk</p></li><li class="listitem"><p>Windows Defender </p></li><li class="listitem"><p>Various programs by Wave Systems Corp using wxvault.dll, including Embassy Trust Suite and Embassy Security Center</p></li><li class="listitem"><p>NOD32 Antivirus</p></li><li class="listitem"><p>ByteMobile laptop optimization client</p></li><li class="listitem"><p>Earthlink Total-Access</p></li><li class="listitem"><p>Spybot S&amp;D TeaTimer</p></li><li class="listitem"><p>AR Soft RAM Disk</p></li><li class="listitem"><p>ATI Catalyst (some versions)</p></li><li class="listitem"><p>NVIDIA GeForce (some versions)</p></li><li class="listitem"><p>Windows LiveOneCare</p></li><li class="listitem"><p>Webroot Spy Sweeper with Antivirus</p></li><li class="listitem"><p>COMODO Firewall Pro</p></li><li class="listitem"><p>PC Tools Spyware Doctor</p></li><li class="listitem"><p>Avira AntiVir</p></li><li class="listitem"><p>Panda Internet Security</p></li><li class="listitem"><p>BitDefender</p></li><li class="listitem"><p>Google Desktop</p></li><li class="listitem"><p>Sophos Anti-Virus 7</p></li><li class="listitem"><p>Bufferzone from Trustware</p></li><li class="listitem"><p>Lenovo IPS Core Service (ipssvc)</p></li><li class="listitem"><p>Lenovo RapidBoot Shield</p></li><li class="listitem"><p>Credant Guardian Shield</p></li><li class="listitem"><p>AVAST (disable FILESYSTEM and BEHAVIOR realtime shields)</p></li><li class="listitem"><p>Citrix Metaframe Presentation Server/XenApp (see <a class="ulink" href="https://support.citrix.com/article/CTX107825" target="_top">Citrix Support page</a>)</p></li><li class="listitem"><p>Lavasoft Web Companion</p></li><li class="listitem"><p>Forefront TMG</p></li><li class="listitem"><p>MacType</p></li></ul></div><p>Sometimes these problems can be worked around, by temporarily or partially
 disabling the offending software.  For instance, it may be possible to disable
 on-access scanning in your antivirus, or configure it to ignore files under the
 Cygwin installation root.  Often, unfortunately, this is not possible; even disabling
@@ -1365,7 +1365,7 @@ such as virtual memory paging and file caching.</p></li></ul></div></td></tr><tr
     instructions there to run 'rebaseall'.</li></ul></div><p>Please note that installing new packages or updating existing
   ones undoes the effects of rebaseall and often causes fork() failures
   to reappear. If so, just run rebaseall again.
-  </p><p>See the <a class="ulink" href="https://cygwin.com/cygwin-ug-net/highlights.html#ov-hi-process" target="_top">
+  </p><p>See the <a class="ulink" href="/cygwin-ug-net/highlights.html#ov-hi-process" target="_top">
   process creation</a> section of the User's Guide for the technical reasons it is so
   difficult to make <code class="literal">fork()</code> work reliably.</p></td></tr><tr class="qandadiv"><td align="left" valign="top" colspan="2"><h3 class="title"><a name="faq.api"></a>5. Cygwin API Questions</h3></td></tr><tr class="toc"><td align="left" valign="top" colspan="2"><dl><dt>5.1. <a href="faq.html#faq.api.everything">How does everything work?</a></dt><dt>5.2. <a href="faq.html#faq.api.snapshots">Are development snapshots for the Cygwin library available?</a></dt><dt>5.3. <a href="faq.html#faq.api.cr-lf">How is the DOS/Unix CR/LF thing handled?</a></dt><dt>5.4. <a href="faq.html#faq.api.threads">Is the Cygwin library multi-thread-safe?</a></dt><dt>5.5. <a href="faq.html#faq.api.fork">How is fork() implemented?</a></dt><dt>5.6. <a href="faq.html#faq.api.globbing">How does wildcarding (globbing) work?</a></dt><dt>5.7. <a href="faq.html#faq.api.symlinks">How do symbolic links work?</a></dt><dt>5.8. <a href="faq.html#faq.api.executables">Why do some files, which are not executables have the 'x' type.</a></dt><dt>5.9. <a href="faq.html#faq.api.secure">How secure is Cygwin in a multi-user environment?</a></dt><dt>5.10. <a href="faq.html#faq.api.net-functions">How do the net-related functions work?</a></dt><dt>5.11. <a href="faq.html#faq.api.winsock">I don't want Unix sockets, how do I use normal Win32 winsock?</a></dt><dt>5.12. <a href="faq.html#faq.api.versions">What version numbers are associated with Cygwin?</a></dt><dt>5.13. <a href="faq.html#faq.api.timezone">Why isn't timezone set correctly?</a></dt><dt>5.14. <a href="faq.html#faq.api.mouse">Is there a mouse interface?</a></dt></dl></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.api.everything"></a><p><b>5.1.</b></p></td><td align="left" valign="top"><p>How does everything work?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>There's a C library which provides a POSIX-style API.  The
 applications are linked with it and voila - they run on Windows.
@@ -1383,7 +1383,7 @@ is going on).  They are only intended for those people who wish to
 contribute code to the project.  If you aren't going to be happy
 debugging problems in a buggy snapshot, avoid these and wait for a real
 release.  The snapshots are available from
-<a class="ulink" href="https://cygwin.com/snapshots/" target="_top">https://cygwin.com/snapshots/</a>.
+<a class="ulink" href="/snapshots/" target="_top">https://cygwin.com/snapshots/</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.api.cr-lf"></a><p><b>5.3.</b></p></td><td align="left" valign="top"><p>How is the DOS/Unix CR/LF thing handled?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Let's start with some background.
 </p><p>On POSIX systems, a file is a file and what the file contains is
 whatever the program/programmer/user told it to put into it.  In Windows,
@@ -1567,29 +1567,29 @@ error?</a></dt><dt>6.11. <a href="faq.html#faq.programming.winmain">Why the unde
 volunteers to prepare and maintain packages, because the priority of the
 Cygwin Team is Cygwin itself.
 </p><p>The Cygwin Package Contributor's Guide at
-<a class="ulink" href="https://cygwin.com/setup.html" target="_top">https://cygwin.com/setup.html</a> details everything you need to know
+<a class="ulink" href="/setup.html" target="_top">https://cygwin.com/setup.html</a> details everything you need to know
 about being a package maintainer. The quickest way to get started is to
 read the <span class="emphasis"><em>Initial packaging procedure, script-based</em></span> section on
 that page.  The <code class="literal">generic-build-script</code> found there works well for
 most packages. 
 </p><p>For questions about package maintenance, use the cygwin-apps mailing
-list (start at <a class="ulink" href="https://cygwin.com/lists.html" target="_top">https://cygwin.com/lists.html</a>) <span class="emphasis"><em>after</em></span>
+list (start at <a class="ulink" href="/lists.html" target="_top">https://cygwin.com/lists.html</a>) <span class="emphasis"><em>after</em></span>
 searching and browsing the cygwin-apps list archives, of course.  Be
 sure to look at the <span class="emphasis"><em>Submitting a package</em></span> checklist at
-<a class="ulink" href="https://cygwin.com/setup.html" target="_top">https://cygwin.com/setup.html</a> before sending an ITP (Intent To
+<a class="ulink" href="/setup.html" target="_top">https://cygwin.com/setup.html</a> before sending an ITP (Intent To
 Package) email to cygwin-apps.
 </p><p>You should also announce your intentions to the general cygwin list, in
 case others were thinking the same thing.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.contribute"></a><p><b>6.2.</b></p></td><td align="left" valign="top"><p>How do I contribute to Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>If you want to contribute to Cygwin itself, see
-<a class="ulink" href="https://cygwin.com/contrib.html" target="_top">https://cygwin.com/contrib.html</a>.
+<a class="ulink" href="/contrib.html" target="_top">https://cygwin.com/contrib.html</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.huge-executables"></a><p><b>6.3.</b></p></td><td align="left" valign="top"><p>Why are compiled executables so huge?!?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>By default, gcc compiles in all symbols.  You'll also find that gcc
 creates large executables on UNIX.
 </p><p>If that bothers you, just use the 'strip' program, part of the binutils
 package.  Or compile with the <code class="literal">-s</code> option to gcc.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.64bitporting"></a><p><b>6.4.</b></p></td><td align="left" valign="top"><p>What do I have to look out for when porting applications to 64 bit Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>The Cygwin x86_64 toolchain is using the
-<a class="ulink" href="http://en.wikipedia.org/wiki/LLP64#64-bit_data_models" target="_top">LP64</a>
+<a class="ulink" href="https://en.wikipedia.org/wiki/LLP64#64-bit_data_models" target="_top">LP64</a>
 data model.  That means, in contrast to Windows, which uses an
-<a class="ulink" href="http://en.wikipedia.org/wiki/LLP64#64-bit_data_models" target="_top">LLP64</a>
+<a class="ulink" href="https://en.wikipedia.org/wiki/LLP64#64-bit_data_models" target="_top">LLP64</a>
 data model, sizeof(long) != sizeof(int), just as on Linux.</p><p>For comparison:</p><pre class="screen">
                  Cygwin   Windows  Cygwin
                  Linux    x86_64   Linux
@@ -1780,7 +1780,7 @@ would be difficult.
 package; resulting binaries will depend on the <code class="literal">libobjc2</code>
 package at runtime.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.make-execvp"></a><p><b>6.9.</b></p></td><td align="left" valign="top"><p>Why does my make fail on Cygwin with an execvp error? </p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Beware of using non-portable shell features in your Makefiles (see tips
-at <a class="ulink" href="https://cygwin.com/faq/faq.html#faq.using.shell-scripts" target="_top">https://cygwin.com/faq/faq.html#faq.using.shell-scripts</a>).
+at <a class="ulink" href="/faq/faq.html#faq.using.shell-scripts" target="_top">https://cygwin.com/faq/faq.html#faq.using.shell-scripts</a>).
 </p><p>Errors of <code class="literal">make: execvp: /bin/sh: Illegal Argument</code> or 
 <code class="literal">make: execvp: /bin/sh: Argument list too long</code> are often
 caused by the command-line being to long for the Windows execution model.
@@ -1801,12 +1801,12 @@ cd /bin; for f in `find . -type f -name '*.exe'`; do
 	cygcheck $f | (fgrep -qi cygwin1.dll || echo $f)
 done
 </pre><p>
-See <a class="ulink" href="https://cygwin.com/cygwin-ug-net/using.html#mount-table" target="_top">https://cygwin.com/cygwin-ug-net/using.html#mount-table</a> 
+See <a class="ulink" href="/cygwin-ug-net/using.html#mount-table" target="_top">https://cygwin.com/cygwin-ug-net/using.html#mount-table</a> 
 for more information on using mount.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.ipc"></a><p><b>6.10.</b></p></td><td align="left" valign="top"><p>How can I use IPC, or why do I get a <code class="literal">Bad system call</code>
 error?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>
 Try running cygserver.  Read 
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using-cygserver.html" target="_top">https://cygwin.com/cygwin-ug-net/using-cygserver.html</a>. If you're
+<a class="ulink" href="/cygwin-ug-net/using-cygserver.html" target="_top">https://cygwin.com/cygwin-ug-net/using-cygserver.html</a>. If you're
 trying to use PostgreSQL, also read 
 <code class="literal">/usr/share/doc/Cygwin/postgresql-*.README</code>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.winmain"></a><p><b>6.11.</b></p></td><td align="left" valign="top"><p>Why the undefined reference to <code class="literal">WinMain@16</code>?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>If you're using <code class="literal">gcc</code>, try adding an empty main() function to one
@@ -1843,9 +1843,9 @@ including user32, gdi32 and comdlg32.
 or at least after all the object files and static libraries that reference them.
 </p><div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>There are a few restrictions for calls to the Win32 API.
 For details, see the User's Guide section
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/setup-env.html#setup-env-win32" target="_top">Restricted Win32 environment</a>,
+<a class="ulink" href="/cygwin-ug-net/setup-env.html#setup-env-win32" target="_top">Restricted Win32 environment</a>,
 as well as the User's Guide section
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/using.html#pathnames-win32-api" target="_top">Using the Win32 file API in Cygwin applications</a>.</p></div></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.win32-no-cygwin"></a><p><b>6.13.</b></p></td><td align="left" valign="top"><p>How do I compile a Win32 executable that doesn't use Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>The compilers provided by the <code class="literal">mingw-gcc</code>,
+<a class="ulink" href="/cygwin-ug-net/using.html#pathnames-win32-api" target="_top">Using the Win32 file API in Cygwin applications</a>.</p></div></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.win32-no-cygwin"></a><p><b>6.13.</b></p></td><td align="left" valign="top"><p>How do I compile a Win32 executable that doesn't use Cygwin?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>The compilers provided by the <code class="literal">mingw-gcc</code>,
 <code class="literal">mingw64-i686-gcc</code>, and <code class="literal">mingw64-x86_64-gcc</code>
 packages link against standard Microsoft DLLs instead of Cygwin. This is
 desirable for native Windows programs that don't need a UNIX emulation layer.
@@ -1858,7 +1858,7 @@ statically link with a Cygwin library to obtain an independent,
 self-contained executable.
 </p><p>If this is an issue because you intend to distribute your Cygwin
 application, then you had better read and understand
-<a class="ulink" href="https://cygwin.com/licensing.html" target="_top">https://cygwin.com/licensing.html</a>, which explains the licensing
+<a class="ulink" href="/licensing.html" target="_top">https://cygwin.com/licensing.html</a>, which explains the licensing
 options.  Unless you purchase a special commercial license from Red
 Hat, then your Cygwin application must be Open Source.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.msvcrt-and-cygwin"></a><p><b>6.15.</b></p></td><td align="left" valign="top"><p>Can I link with both MSVCRT*.DLL and cygwin1.dll?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>No, you must use one or the other, they are mutually exclusive.
@@ -1881,7 +1881,7 @@ code links against the Cygwin dll (and if your program is calling
 functions from Cygwin, it must, as a matter of fact, be linked against
 it), you must apply the GPL to your source as well.  Of course, this
 only matters if you plan to distribute your program in binary form.  For
-more information, see <a class="ulink" href="http://gnu.org/licenses/gpl-faq.html" target="_top">http://gnu.org/licenses/gpl-faq.html</a>.  If
+more information, see <a class="ulink" href="https://www.gnu.org/licenses/gpl-faq.html" target="_top">https://www.gnu.org/licenses/gpl-faq.html</a>.  If
 that is not a problem, read on.
 </p><p>If you want to load the DLL dynamically, read
 <code class="literal">winsup/cygwin/how-cygtls-works.txt</code> and the sample code in
@@ -1971,7 +1971,7 @@ which requires the <code class="literal">dblatex</code>,
 <code class="literal">xmlto</code> packages.  For more information on building the
 documentation, see the README included in the <code class="literal">cygwin-doc</code> package.
 </p><p>Next, get the Cygwin source.  Ideally, you should check out what you
-need from GIT (<a class="ulink" href="https://cygwin.com/git.html" target="_top">https://cygwin.com/git.html</a>).  This is the
+need from GIT (<a class="ulink" href="/git.html" target="_top">https://cygwin.com/git.html</a>).  This is the
 <span class="emphasis"><em>preferred method</em></span> for acquiring the sources.  Otherwise,
 if you are trying to duplicate a cygwin release then you should download the
 corresponding source package
@@ -2008,9 +2008,9 @@ operation e.g. when checking a pointer is valid)
 It is also a good
 idea to use the latest code in case the bug has been fixed, so we
 recommend trying the latest snapshot from
-<a class="ulink" href="https://cygwin.com/snapshots/" target="_top">https://cygwin.com/snapshots/</a> or building the DLL from git.
+<a class="ulink" href="/snapshots/" target="_top">https://cygwin.com/snapshots/</a> or building the DLL from git.
 </p><p>To build a debugging version of the Cygwin DLL, you will need to follow
-the instructions at <a class="ulink" href="https://cygwin.com/faq/faq.html#faq.programming.building-cygwin" target="_top">https://cygwin.com/faq/faq.html#faq.programming.building-cygwin</a>.
+the instructions at <a class="ulink" href="/faq/faq.html#faq.programming.building-cygwin" target="_top">https://cygwin.com/faq/faq.html#faq.programming.building-cygwin</a>.
 </p><p>
 You can also contact the mailing list for pointers (a simple test case that 
 demonstrates the bug is always welcome).  
@@ -2019,7 +2019,7 @@ support semantics and args have been designed for x86 so you would need
 to write specific support for your platform.  We don't know of any other
 incompatibilities. Please send us patches if you do this work!
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.adjusting-heap"></a><p><b>6.24.</b></p></td><td align="left" valign="top"><p>How can I adjust the heap/stack size of an application?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>If you need to change the maximum amount of memory available to Cygwin, see
-<a class="ulink" href="https://cygwin.com/cygwin-ug-net/setup-maxmem.html" target="_top">https://cygwin.com/cygwin-ug-net/setup-maxmem.html</a>. Otherwise,
+<a class="ulink" href="/cygwin-ug-net/setup-maxmem.html" target="_top">https://cygwin.com/cygwin-ug-net/setup-maxmem.html</a>. Otherwise,
 just pass heap/stack linker arguments to gcc.  To create foo.exe with
 a heap size of 200MB and a stack size of 8MB, you would invoke
 gcc as:
@@ -2028,7 +2028,7 @@ gcc as:
 </p><p><code class="literal">cygcheck</code> will do this much more concisely, and operates
 recursively, provided the command is in your path.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.dll-building"></a><p><b>6.26.</b></p></td><td align="left" valign="top"><p>How do I build a DLL?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>There's documentation that explains the process in the Cygwin User's
-Guide here: <a class="ulink" href="https://cygwin.com/cygwin-ug-net/dll.html" target="_top">https://cygwin.com/cygwin-ug-net/dll.html</a>.
+Guide here: <a class="ulink" href="/cygwin-ug-net/dll.html" target="_top">https://cygwin.com/cygwin-ug-net/dll.html</a>.
 </p></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.programming.breakpoint"></a><p><b>6.27.</b></p></td><td align="left" valign="top"><p>How can I set a breakpoint at MainCRTStartup?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p><span class="bold"><strong>(Please note: This section has not yet been updated for the latest net release.)</strong></span>
 </p><p>Set a breakpoint at *0x401000 in gdb and then run the program in
 question.
@@ -2128,5 +2128,5 @@ command for the plugins.</p><p>For other build systems, the following steps are
 <code class="literal">-Wl,--export-all-symbols,--out-implib,libfoo.exe.a</code>
 linker flag, where <code class="literal">foo</code> represents the name of the
 executable.</p></li><li class="listitem"><p>The plugins must be linked with a <code class="literal">-Wl,/path/to/libfoo.exe.a</code>
-linker flag.</p></li></ol></div></li></ol></div></td></tr><tr class="qandadiv"><td align="left" valign="top" colspan="2"><h3 class="title"><a name="faq.copyright"></a>7. Copyright</h3></td></tr><tr class="toc"><td align="left" valign="top" colspan="2"><dl><dt>7.1. <a href="faq.html#faq.what.copyright">What are the copyrights?</a></dt></dl></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.what.copyright"></a><p><b>7.1.</b></p></td><td align="left" valign="top"><p>What are the copyrights?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Please see <a class="ulink" href="https://cygwin.com/licensing.html" target="_top">https://cygwin.com/licensing.html</a>
+linker flag.</p></li></ol></div></li></ol></div></td></tr><tr class="qandadiv"><td align="left" valign="top" colspan="2"><h3 class="title"><a name="faq.copyright"></a>7. Copyright</h3></td></tr><tr class="toc"><td align="left" valign="top" colspan="2"><dl><dt>7.1. <a href="faq.html#faq.what.copyright">What are the copyrights?</a></dt></dl></td></tr><tr class="question"><td align="left" valign="top"><a name="faq.what.copyright"></a><p><b>7.1.</b></p></td><td align="left" valign="top"><p>What are the copyrights?</p></td></tr><tr class="answer"><td align="left" valign="top"></td><td align="left" valign="top"><p>Please see <a class="ulink" href="/licensing.html" target="_top">https://cygwin.com/licensing.html</a>
       for more information about Cygwin copyright and licensing.</p></td></tr></tbody></table></div></div><div class="navfooter"><hr></div></body></html>
diff --git a/git.html b/git.html
index 7fee05d..2678b40 100755
--- a/git.html
+++ b/git.html
@@ -13,7 +13,7 @@
 
 <p>The sources to the core Cygwin libraries and utilities (Cygwin and
 Newlib) are available via anonymous GIT access.  If you don't know
-what GIT is, visit the <a href="http://git-scm.com/">GIT home page</a>.
+what GIT is, visit the <a href="https://git-scm.com/">GIT home page</a>.
 Coincidentally enough, GIT comes with the Cygwin net release.</p>
 
 <p>To access the repository from your system, use one of the following
diff --git a/goldstars/index.html b/goldstars/index.html
index 1fe9a4f..162ae1c 100644
--- a/goldstars/index.html
+++ b/goldstars/index.html
@@ -27,613 +27,613 @@ circumstances in which it was awarded.
 
 <ul>
 <li><a name="MA" href="mailto:marco_atzeri_at_yahoo_dot_it">Marco Atzeri</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-01/msg00093.html" class="award" title="For adopting the orphaned plotutils package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2011-07/msg00162.html" class="award" title="For adopting the orphaned mc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-02/msg00130.html" class="award" title="For adopting the orphaned gnupg package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-03/msg00225.html" class="award" title="For adopting the orphaned TeXmacs package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-03/msg00235.html" class="award" title="For adopting the orphaned ccrypt package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-01/msg00120.html" class="award" title="For adopting the orphaned postgresql package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-05/msg00015.html" class="award" title="For adopting the orphaned ping package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-08/msg00029.html" class="award" title="For showing initiative wrt Cygwin infrastructure at this juncture."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-08/msg00134.html" class="award" title="For adopting the orphaned ed package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-01/msg00061.html" class="award" title="For rebuilding pure-ftpd, to allow dropping libopenssl098."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-02/msg00155.html" class="award" title="For adopting the orphaned less package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2015-04/msg00421.html" class="award" title="For adopting the orphaned lilypond package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-05/msg00025.html" class="award" title="For adopting and rebuilding the orphaned singular package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00024.html" class="award" title="For taking over YA orphaned, non-64 bit package."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Jul 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2016-03/msg00070.html" class="award" title="For adopting the orphaned wtf package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2016)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2016-04/msg00007.html" class="award" title="For adopting the orphaned xgraph package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2016)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2016-05/msg00088.html" class="award" title="For adopting the orphaned flex package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2016)</span></a>
+<a href="/ml/cygwin-apps/2010-01/msg00093.html" class="award" title="For adopting the orphaned plotutils package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2010)</span></a>
+<a href="/ml/cygwin-apps/2011-07/msg00162.html" class="award" title="For adopting the orphaned mc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2011)</span></a>
+<a href="/ml/cygwin-apps/2012-02/msg00130.html" class="award" title="For adopting the orphaned gnupg package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-03/msg00225.html" class="award" title="For adopting the orphaned TeXmacs package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-03/msg00235.html" class="award" title="For adopting the orphaned ccrypt package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin-apps/2013-01/msg00120.html" class="award" title="For adopting the orphaned postgresql package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2013)</span></a>
+<a href="/ml/cygwin-apps/2014-05/msg00015.html" class="award" title="For adopting the orphaned ping package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2014)</span></a>
+<a href="/ml/cygwin-apps/2014-08/msg00029.html" class="award" title="For showing initiative wrt Cygwin infrastructure at this juncture."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
+<a href="/ml/cygwin-apps/2014-08/msg00134.html" class="award" title="For adopting the orphaned ed package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-01/msg00061.html" class="award" title="For rebuilding pure-ftpd, to allow dropping libopenssl098."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-02/msg00155.html" class="award" title="For adopting the orphaned less package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin/2015-04/msg00421.html" class="award" title="For adopting the orphaned lilypond package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-05/msg00025.html" class="award" title="For adopting and rebuilding the orphaned singular package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00024.html" class="award" title="For taking over YA orphaned, non-64 bit package."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2016-03/msg00070.html" class="award" title="For adopting the orphaned wtf package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2016)</span></a>
+<a href="/ml/cygwin-apps/2016-04/msg00007.html" class="award" title="For adopting the orphaned xgraph package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2016)</span></a>
+<a href="/ml/cygwin-apps/2016-05/msg00088.html" class="award" title="For adopting the orphaned flex package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2016)</span></a>
 &ndash; For adopting the orphaned <tt>flex</tt> package.
 
 </li>
 <li><a name="JTy" href="mailto:jon_dot_turney_at_dronecode_dot_org_dot_uk">Jon Turney</a>
-<a href="https://cygwin.com/ml/cygwin/2009-07/msg00451.html" class="award" title="For taking over maintainership of Cygwin/X after years of neglect."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-07/msg00190.html" class="award" title="For taking over maintainership of setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-12/msg00031.html" class="award" title="For dramatically improving the speed of setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2011-11/msg00057.html" class="award" title="For adopting the orphaned ddd package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2011-11/msg00088.html" class="award" title="For integrating Mintty shortcuts into setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-08/msg00100.html" class="award" title="For adopting the orphaned xmon package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00132.html" class="award" title="For adopting the orphaned cygwin-doc package."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2015-07/msg00101.html" class="award" title="For creating a modern, spec-compliant solution in xwin-xdg-menu."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-09/msg00017.html" class="award" title="For adopting the orphaned dmalloc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-10/msg00023.html" class="award" title="For spontaneously fixing a bug in upset."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2016-01/msg00039.html" class="award" title="For coding a replacement for incver_ifdep in setup. No, I don't know what that does but people seem to be very happy about it. Inquiring Minds will have to read the thread."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2016)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2016-03/msg00050.html" class="award" title="For developing calm as a replacement for upset."><img src="img/plush_hippo.jpg" alt="@" /><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2016)</span></a>
+<a href="/ml/cygwin/2009-07/msg00451.html" class="award" title="For taking over maintainership of Cygwin/X after years of neglect."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
+<a href="/ml/cygwin-apps/2010-07/msg00190.html" class="award" title="For taking over maintainership of setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2010)</span></a>
+<a href="/ml/cygwin-apps/2010-12/msg00031.html" class="award" title="For dramatically improving the speed of setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2010)</span></a>
+<a href="/ml/cygwin-apps/2011-11/msg00057.html" class="award" title="For adopting the orphaned ddd package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
+<a href="/ml/cygwin-apps/2011-11/msg00088.html" class="award" title="For integrating Mintty shortcuts into setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
+<a href="/ml/cygwin-apps/2013-08/msg00100.html" class="award" title="For adopting the orphaned xmon package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
+<a href="/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00132.html" class="award" title="For adopting the orphaned cygwin-doc package."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin/2015-07/msg00101.html" class="award" title="For creating a modern, spec-compliant solution in xwin-xdg-menu."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-09/msg00017.html" class="award" title="For adopting the orphaned dmalloc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-10/msg00023.html" class="award" title="For spontaneously fixing a bug in upset."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2015)</span></a>
+<a href="/ml/cygwin-apps/2016-01/msg00039.html" class="award" title="For coding a replacement for incver_ifdep in setup. No, I don't know what that does but people seem to be very happy about it. Inquiring Minds will have to read the thread."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2016)</span></a>
+<a href="/ml/cygwin-apps/2016-03/msg00050.html" class="award" title="For developing calm as a replacement for upset."><img src="img/plush_hippo.jpg" alt="@" /><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2016)</span></a>
 &ndash; For developing <tt>calm</tt> as a replacement for <tt>upset</tt>.
 
 </li>
 <li><a name="CS" href="mailto:ir0nh34d_at_gmail_dot_com">Chris Sutcliffe</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-11/msg00092.html" class="award" title="For adopting the orphaned astyle package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-04/msg00030.html" class="award" title="For cleaning up the mingw-runtime package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-07/msg00171.html" class="award" title="For adopting the orphaned hexedit package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-08/msg00029.html" class="award" title="For maintaining the w32api package for 9 years."><img src="img/goldwatch.png" alt="$" /><span class="date">(Aug 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-09/msg00291.html" class="award" title="For maintaining lots of packages over the years."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2016-02/msg00043.html" class="award" title="For adopting the orphaned mksh package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2016)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2016-02/msg00075.html" class="award" title="For adopting the orphaned astyle package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2016)</span></a>
+<a href="/ml/cygwin-apps/2006-11/msg00092.html" class="award" title="For adopting the orphaned astyle package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
+<a href="/ml/cygwin-apps/2007-04/msg00030.html" class="award" title="For cleaning up the mingw-runtime package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-07/msg00171.html" class="award" title="For adopting the orphaned hexedit package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin-apps/2012-08/msg00029.html" class="award" title="For maintaining the w32api package for 9 years."><img src="img/goldwatch.png" alt="$" /><span class="date">(Aug 2012)</span></a>
+<a href="/ml/cygwin/2014-09/msg00291.html" class="award" title="For maintaining lots of packages over the years."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2014)</span></a>
+<a href="/ml/cygwin-apps/2016-02/msg00043.html" class="award" title="For adopting the orphaned mksh package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2016)</span></a>
+<a href="/ml/cygwin-apps/2016-02/msg00075.html" class="award" title="For adopting the orphaned astyle package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2016)</span></a>
 &ndash; For adopting the orphaned <tt>astyle</tt> package.
 
 </li>
 <li><a name="AS" href="mailto:schulman_dot_andrew_at_epa_dot_gov">Andrew Schulman</a>
-<a href="https://cygwin.com/ml/cygwin/2005-08/msg01182.html" class="award" title="For patience, bravery, manliness, etc. in maintaining the unison* packages."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-07/msg00064.html" class="award" title="For adopting the orphaned lftp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-02/msg00045.html" class="award" title="For adopting the orphaced stunnel package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2007-07/msg00282.html" class="award" title="For packaging screen for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-07/msg00451.html" class="award" title="For volunteering to maintain the gold star page."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2011-12/msg00302.html" class="award" title="For responsiveness in maintaining the gold star page."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-10/msg00074.html" class="award" title="For inventing the stinkbomb award."><img src="img/dungbomb.png" alt="&" /><span class="date">(Oct 2015)</span></a>
+<a href="/ml/cygwin/2005-08/msg01182.html" class="award" title="For patience, bravery, manliness, etc. in maintaining the unison* packages."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2005)</span></a>
+<a href="/ml/cygwin-apps/2006-07/msg00064.html" class="award" title="For adopting the orphaned lftp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2006)</span></a>
+<a href="/ml/cygwin-apps/2007-02/msg00045.html" class="award" title="For adopting the orphaced stunnel package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2007)</span></a>
+<a href="/ml/cygwin/2007-07/msg00282.html" class="award" title="For packaging screen for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin/2009-07/msg00451.html" class="award" title="For volunteering to maintain the gold star page."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
+<a href="/ml/cygwin/2011-12/msg00302.html" class="award" title="For responsiveness in maintaining the gold star page."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2011)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-10/msg00074.html" class="award" title="For inventing the stinkbomb award."><img src="img/dungbomb.png" alt="&" /><span class="date">(Oct 2015)</span></a>
 &ndash; For inventing the stinkbomb award.
 
 </li>
 <li><a name="MG" href="mailto:mark_at_maxrnd_dot_com">Mark Geisert</a>
-<a href="https://cygwin.com/ml/cygwin/2013-09/msg00098.html" class="award" title="For being observant."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2015-08/msg00327.html" class="award" title="For finding a 13-year-old bug in getservent."><img src="img/silverstar.png" alt="*" /><span class="date">(Aug 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-10/msg00067.html" class="award" title="For adopting the orphaned cygutils package."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2015)</span></a>
+<a href="/ml/cygwin/2013-09/msg00098.html" class="award" title="For being observant."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2013)</span></a>
+<a href="/ml/cygwin/2015-08/msg00327.html" class="award" title="For finding a 13-year-old bug in getservent."><img src="img/silverstar.png" alt="*" /><span class="date">(Aug 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-10/msg00067.html" class="award" title="For adopting the orphaned cygutils package."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2015)</span></a>
 &ndash; For adopting the orphaned <tt>cygutils</tt> package.
 
 </li>
 <li><a name="KB" href="mailto:kbrown_at_cornell_dot_edu">Ken Brown</a>
-<a href="https://cygwin.com/ml/cygwin/2011-12/msg00290.html" class="award" title="For improving the project documentation on his own initiative."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-02/msg00219.html" class="award" title="For adopting the orphaned icu package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-02/msg00238.html" class="award" title="For adopting the orphaned fcgi package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00069.html" class="award" title="For reviving the abandoned clisp package."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2015-09/msg00309.html" class="award" title="For getting a luajit patch in upstream."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2015)</span></a>
+<a href="/ml/cygwin/2011-12/msg00290.html" class="award" title="For improving the project documentation on his own initiative."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2011)</span></a>
+<a href="/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-02/msg00219.html" class="award" title="For adopting the orphaned icu package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-02/msg00238.html" class="award" title="For adopting the orphaned fcgi package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00069.html" class="award" title="For reviving the abandoned clisp package."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin/2015-09/msg00309.html" class="award" title="For getting a luajit patch in upstream."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2015)</span></a>
 &ndash; For getting a <tt>luajit</tt> patch in upstream.
 
 </li>
 <li><a name="AG" href="mailto:Stromeko_at_nexgo_dot_de">Achim Gratz</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-04/msg00258.html" class="award" title="For adopting the orphaned gmp, mpfr, mpclib, ppl, and cloog-ppl packages."><img src="img/goldstar.png" alt="*" /><span class="times">&times;6&nbsp;</span><span class="date">(Apr 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-04/msg00181.html" class="award" title="For adopting the essential base-files package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-06/msg00036.html" class="award" title="For adopting the orphaned run package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-07/msg00035.html" class="award" title="For adopting and fixing a longstanding problem in the rcs package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-01/msg00069.html" class="award" title="For overhauling autorebase in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-02/msg00248.html" class="award" title="For adopting the orphaned groff package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-02/msg00293.html" class="award" title="For adopting a whole pile of orphaned perl packages."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Feb 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00069.html" class="award" title="For adopting the orphaned maxima package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-05/msg00023.html" class="award" title="For adopting the orphaned mosh package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00246.html" class="award" title="For organizing the Great Perl Update of 2015."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Jul 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-08/msg00015.html" class="award" title="For adopting the orphaned md5deep package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-08/msg00016.html" class="award" title="For adopting the orphaned gnucap package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2015)</span></a>
+<a href="/ml/cygwin-apps/2013-04/msg00258.html" class="award" title="For adopting the orphaned gmp, mpfr, mpclib, ppl, and cloog-ppl packages."><img src="img/goldstar.png" alt="*" /><span class="times">&times;6&nbsp;</span><span class="date">(Apr 2013)</span></a>
+<a href="/ml/cygwin/2014-04/msg00181.html" class="award" title="For adopting the essential base-files package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2014)</span></a>
+<a href="/ml/cygwin-apps/2014-06/msg00036.html" class="award" title="For adopting the orphaned run package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
+<a href="/ml/cygwin/2014-07/msg00035.html" class="award" title="For adopting and fixing a longstanding problem in the rcs package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-01/msg00069.html" class="award" title="For overhauling autorebase in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-02/msg00248.html" class="award" title="For adopting the orphaned groff package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-02/msg00293.html" class="award" title="For adopting a whole pile of orphaned perl packages."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Feb 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00069.html" class="award" title="For adopting the orphaned maxima package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-05/msg00023.html" class="award" title="For adopting the orphaned mosh package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00246.html" class="award" title="For organizing the Great Perl Update of 2015."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-08/msg00015.html" class="award" title="For adopting the orphaned md5deep package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-08/msg00016.html" class="award" title="For adopting the orphaned gnucap package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2015)</span></a>
 &ndash; For adopting the orphaned <tt>gnucap</tt> package.
 
 </li>
 <li><a name="YS" href="mailto:yselkowitz_at_users_dot_sourceforge_dot_net">Yaakov Selkowitz</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2005-09/msg00051.html" class="award" title="For adopting the orphaned libpcre package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-07/msg00155.html" class="award" title="For adopting the orphaned libexif package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-07/msg00451.html" class="award" title="For taking over maintainership of Cygwin/X after years of neglect."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2009-12/msg00039.html" class="award" title="For adopting the orphaned openbox package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-12/msg01053.html" class="award" title="For cleaning up some ugly old scripts."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-02/msg00004.html" class="award" title="For adopting the orphaned docbook package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-06/msg00078.html" class="award" title="For adopting the orphaned boost package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-06/msg00170.html" class="award" title="For adopting the orphaned cppunit package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-06/msg00175.html" class="award" title="For adopting the orphaned e2fsprogs and e2fsimage packages."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2011-03/msg00377.html" class="award" title="For creating a repository of Linux-to-Cygwin cross-compilers for Fedora."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2011-11/msg00031.html" class="award" title="For adopting the orphaned a2ps package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-03/msg00057.html" class="award" title="For adopting the orphaned robodoc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-03/msg00187.html" class="award" title="For adopting the orphaned fvwm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-03/msg00234.html" class="award" title="For adopting the orphaned fribidi package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-03/msg00239.html" class="award" title="For everything."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-07/msg00062.html" class="award" title="For adopting the orphaned dejagnu package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-01/msg00010.html" class="award" title="For adopting the orphaned grace package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2005-09/msg00051.html" class="award" title="For adopting the orphaned libpcre package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2005)</span></a>
+<a href="/ml/cygwin-apps/2007-07/msg00155.html" class="award" title="For adopting the orphaned libexif package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin/2009-07/msg00451.html" class="award" title="For taking over maintainership of Cygwin/X after years of neglect."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
+<a href="/ml/cygwin-apps/2009-12/msg00039.html" class="award" title="For adopting the orphaned openbox package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
+<a href="/ml/cygwin/2009-12/msg01053.html" class="award" title="For cleaning up some ugly old scripts."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
+<a href="/ml/cygwin-apps/2010-02/msg00004.html" class="award" title="For adopting the orphaned docbook package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2010)</span></a>
+<a href="/ml/cygwin-apps/2010-06/msg00078.html" class="award" title="For adopting the orphaned boost package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2010)</span></a>
+<a href="/ml/cygwin-apps/2010-06/msg00170.html" class="award" title="For adopting the orphaned cppunit package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2010)</span></a>
+<a href="/ml/cygwin-apps/2010-06/msg00175.html" class="award" title="For adopting the orphaned e2fsprogs and e2fsimage packages."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2010)</span></a>
+<a href="/ml/cygwin/2011-03/msg00377.html" class="award" title="For creating a repository of Linux-to-Cygwin cross-compilers for Fedora."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2011)</span></a>
+<a href="/ml/cygwin-apps/2011-11/msg00031.html" class="award" title="For adopting the orphaned a2ps package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
+<a href="/ml/cygwin-apps/2012-03/msg00057.html" class="award" title="For adopting the orphaned robodoc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-03/msg00187.html" class="award" title="For adopting the orphaned fvwm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-03/msg00234.html" class="award" title="For adopting the orphaned fribidi package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-03/msg00239.html" class="award" title="For everything."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-07/msg00062.html" class="award" title="For adopting the orphaned dejagnu package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2012)</span></a>
+<a href="/ml/cygwin-apps/2013-01/msg00010.html" class="award" title="For adopting the orphaned grace package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2013)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
 &ndash; For helping with the Great Perl Update of 2015.
 
 </li>
 <li><a name="JAa" href="mailto:jari_dot_aalto_at_cante_dot_net">Jari Aalto</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00030.html" class="award" title="For adopting the orphaned antiword package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00071.html" class="award" title="For adopting the orphaned figlet package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00076.html" class="award" title="For adopting the orphaned xmlto package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00128.html" class="award" title="For adopting the orphaned xgraph package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00171.html" class="award" title="For adopting the orphaned fvwm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00174.html" class="award" title="For adopting the orphaned xterm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00190.html" class="award" title="For adopting the orphaned splint package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00208.html" class="award" title="For adopting the orphaned chkconfig package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00229.html" class="award" title="For adopting the orphaned indent package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-12/msg00127.html" class="award" title="For adopting the orphaned editrights package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-12/msg00150.html" class="award" title="For adopting the orphaned joe package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-10/msg00133.html" class="award" title="For adopting the orphaned keychain package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-10/msg00169.html" class="award" title="For adopting the orphaned ncftp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-06/msg00062.html" class="award" title="For adopting the orphaned rsync package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-06/msg00066.html" class="award" title="For adopting the orphaned tnef package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00030.html" class="award" title="For adopting the orphaned antiword package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00071.html" class="award" title="For adopting the orphaned figlet package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00076.html" class="award" title="For adopting the orphaned xmlto package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00128.html" class="award" title="For adopting the orphaned xgraph package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00171.html" class="award" title="For adopting the orphaned fvwm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00174.html" class="award" title="For adopting the orphaned xterm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00190.html" class="award" title="For adopting the orphaned splint package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00208.html" class="award" title="For adopting the orphaned chkconfig package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00229.html" class="award" title="For adopting the orphaned indent package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-12/msg00127.html" class="award" title="For adopting the orphaned editrights package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-12/msg00150.html" class="award" title="For adopting the orphaned joe package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
+<a href="/ml/cygwin-apps/2012-10/msg00133.html" class="award" title="For adopting the orphaned keychain package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-10/msg00169.html" class="award" title="For adopting the orphaned ncftp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2012)</span></a>
+<a href="/ml/cygwin-apps/2014-06/msg00062.html" class="award" title="For adopting the orphaned rsync package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
+<a href="/ml/cygwin-apps/2014-06/msg00066.html" class="award" title="For adopting the orphaned tnef package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
 &ndash; For helping with the Great Perl Update of 2015.
 
 </li>
 <li><a name="AD" href="mailto:adam_at_dinwoodie_dot_org">Adam Dinwoodie</a>
-<a href="https://cygwin.com/ml/cygwin/2014-03/msg00207.html" class="award" title="For good reading skills."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-08/msg00133.html" class="award" title="For adopting the git package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin/2014-03/msg00207.html" class="award" title="For good reading skills."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2014)</span></a>
+<a href="/ml/cygwin-apps/2014-08/msg00133.html" class="award" title="For adopting the git package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
 &ndash; For helping with the Great Perl Update of 2015.
 
 </li>
 <li><a name="DR" href="mailto:daveroth_at_acm_dot_org">David Rothenberger</a>
-<a href="https://cygwin.com/ml/cygwin/2003-07/msg01475.html" class="award" title="For tracking down the fseeko() after fdopen() problem in source code."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2005-06/msg00417.html" class="award" title="For finding a mistake in a package upload before the announcement was even sent."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-07/msg00234.html" class="award" title="For updating the libao packages."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-07/msg00033.html" class="award" title="For taking over the orphaned cyrus-sasl package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2013-05/msg00379.html" class="award" title="For providing short, simple, easy to reproduce testcases in plain C."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-08/msg00220.html" class="award" title="For taking over the orphaned whois package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin/2003-07/msg01475.html" class="award" title="For tracking down the fseeko() after fdopen() problem in source code."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
+<a href="/ml/cygwin/2005-06/msg00417.html" class="award" title="For finding a mistake in a package upload before the announcement was even sent."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
+<a href="/ml/cygwin-apps/2007-07/msg00234.html" class="award" title="For updating the libao packages."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin-apps/2010-07/msg00033.html" class="award" title="For taking over the orphaned cyrus-sasl package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2010)</span></a>
+<a href="/ml/cygwin/2013-05/msg00379.html" class="award" title="For providing short, simple, easy to reproduce testcases in plain C."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2013)</span></a>
+<a href="/ml/cygwin-apps/2013-08/msg00220.html" class="award" title="For taking over the orphaned whois package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00253.html" class="award" title="For helping with the Great Perl Update of 2015."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
 &ndash; For helping with the Great Perl Update of 2015.
 
 </li>
 <li><a name="TW" href="mailto:towo_at_towo_dot_net">Thomas Wolff</a>
-<a href="https://cygwin.com/ml/cygwin/2015-07/msg00110.html" class="award" title="For adopting the orphaned mintty package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin/2015-07/msg00110.html" class="award" title="For adopting the orphaned mintty package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
 &ndash; For adopting the orphaned <tt>mintty</tt> package.
 
 </li>
 <li><a name="JJ" href="mailto:mrjoel_at_lixil_dot_net">Joel Johnson</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-07/msg00061.html" class="award" title="For adopting the orphaned iperf package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-07/msg00061.html" class="award" title="For adopting the orphaned iperf package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2015)</span></a>
 &ndash; For adopting the orphaned <tt>iperf</tt> package.
 
 </li>
 <li><a name="VZ" href="mailto:dr_dot_volker_dot_zell_at_oracle_dot_com">Volker Zell</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-11/msg00286.html" class="award" title="For packaging man for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2005-09/msg00035.html" class="award" title="For packaging texi2html for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-04/msg00030.html" class="award" title="For cleaning up the mingw-runtime package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-07/msg00068.html" class="award" title="For adopting the orphaned db package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-12/msg00081.html" class="award" title="For adopting the orphaned enscript package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-12/msg00092.html" class="award" title="For adopting the orphaned squid package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-12/msg00100.html" class="award" title="For adopting the orphaned rcs package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2008-03/msg00122.html" class="award" title="For being the go-to guy (GTG) for GTG."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2008)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-04/msg00037.html" class="award" title="For adopting the orphaned tcm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-08/msg00239.html" class="award" title="For adopting the orphaned bsflite package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-04/msg00029.html" class="award" title="For adopting the orphaned xclip package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2015)</span></a>
+<a href="/ml/cygwin-apps/2003-11/msg00286.html" class="award" title="For packaging man for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin-apps/2005-09/msg00035.html" class="award" title="For packaging texi2html for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2005)</span></a>
+<a href="/ml/cygwin-apps/2007-04/msg00030.html" class="award" title="For cleaning up the mingw-runtime package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-07/msg00068.html" class="award" title="For adopting the orphaned db package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-12/msg00081.html" class="award" title="For adopting the orphaned enscript package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-12/msg00092.html" class="award" title="For adopting the orphaned squid package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-12/msg00100.html" class="award" title="For adopting the orphaned rcs package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
+<a href="/ml/cygwin-apps/2008-03/msg00122.html" class="award" title="For being the go-to guy (GTG) for GTG."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2008)</span></a>
+<a href="/ml/cygwin-apps/2012-04/msg00037.html" class="award" title="For adopting the orphaned tcm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2012)</span></a>
+<a href="/ml/cygwin-apps/2013-08/msg00239.html" class="award" title="For adopting the orphaned bsflite package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
+<a href="/ml/cygwin-apps/2015-04/msg00029.html" class="award" title="For adopting the orphaned xclip package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2015)</span></a>
 &ndash; For adopting the orphaned <tt>xclip</tt> package.
 
 </li>
 <li><a name="DB" href="mailto:daniel_at_boland_dot_nl">Daniel Boland</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-04/msg00012.html" class="award" title="For adopting the orphaned inetutils package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-04/msg00012.html" class="award" title="For adopting the orphaned inetutils package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2015)</span></a>
 &ndash; For adopting the orphaned <tt>inetutils</tt> package.
 
 </li>
 <li><a name="CV" href="mailto:corinna-cygwin_at_cygwin_dot_com">Corinna Vinschen</a>
-<a href="https://cygwin.com/ml/cygwin/2003-07/msg00248.html" class="award" title="For adding 64-bit I/O to Cygwin 1.5."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-12/msg00727.html" class="award" title="For combining fileutils, sh-utils, and textutils into coreutils."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-12/msg00708.html" class="award" title="For releasing Cygwin 1.7."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2011-11/msg00088.html" class="award" title="For integrating Mintty shortcuts into setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2012-03/msg00706.html" class="award" title="For getting autorebase working in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00037.html" class="award" title="For inventing the plush hippo award."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin/2003-07/msg00248.html" class="award" title="For adding 64-bit I/O to Cygwin 1.5."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
+<a href="/ml/cygwin/2004-12/msg00727.html" class="award" title="For combining fileutils, sh-utils, and textutils into coreutils."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2004)</span></a>
+<a href="/ml/cygwin/2009-12/msg00708.html" class="award" title="For releasing Cygwin 1.7."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
+<a href="/ml/cygwin-apps/2011-11/msg00088.html" class="award" title="For integrating Mintty shortcuts into setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
+<a href="/ml/cygwin/2012-03/msg00706.html" class="award" title="For getting autorebase working in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00037.html" class="award" title="For inventing the plush hippo award."><img src="img/plush_hippo.jpg" alt="@" /><span class="date">(Mar 2015)</span></a>
 &ndash; For inventing the plush hippo award.
 
 </li>
 <li><a name="DSt" href="mailto:drstacey_at_tiscali_dot_co_dot_uk">David Stacey</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-09/msg00195.html" class="award" title="For adopting the orphaned doxygen package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-08/msg00049.html" class="award" title="For adopting the orphaned ninvaders package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2013-11/msg00484.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-06/msg00079.html" class="award" title="For adopting the orphaned xloadimage package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-02/msg00244.html" class="award" title="For adopting the orphaned mscgen package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
+<a href="/ml/cygwin-apps/2012-09/msg00195.html" class="award" title="For adopting the orphaned doxygen package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2012)</span></a>
+<a href="/ml/cygwin-apps/2013-08/msg00049.html" class="award" title="For adopting the orphaned ninvaders package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
+<a href="/ml/cygwin/2013-11/msg00484.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2013)</span></a>
+<a href="/ml/cygwin-apps/2014-06/msg00079.html" class="award" title="For adopting the orphaned xloadimage package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-02/msg00244.html" class="award" title="For adopting the orphaned mscgen package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
+<a href="/ml/cygwin-apps/2015-03/msg00001.html" class="award" title="For helping to clean obsolete packages from the distro."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2015)</span></a>
 &ndash; For helping to clean obsolete packages from the distro.
 
 </li>
 <li><a name="TK" href="mailto:tony_at_kelman_dot_net">Tony Kelman</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2014-08/msg00011.html" class="award" title="For adopting the orphaned p7zip package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-02/msg00044.html" class="award" title="For adopting the orphaned cmake package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
+<a href="/ml/cygwin-apps/2014-08/msg00011.html" class="award" title="For adopting the orphaned p7zip package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2014)</span></a>
+<a href="/ml/cygwin-apps/2015-02/msg00044.html" class="award" title="For adopting the orphaned cmake package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2015)</span></a>
 &ndash; For adopting the orphaned <tt>cmake</tt> package.
 
 </li>
 <li><a name="PF" href="mailto:p_dot_fedin_at_samsung_dot_com">Pavel Fedin</a>
-<a href="https://cygwin.com/ml/cygwin/2013-06/msg00250.html" class="award" title="For offering a simple solution to a long-standing problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-01/msg00089.html" class="award" title="For adopting the orphaned rpm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2015)</span></a>
+<a href="/ml/cygwin/2013-06/msg00250.html" class="award" title="For offering a simple solution to a long-standing problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2013)</span></a>
+<a href="/ml/cygwin-apps/2015-01/msg00089.html" class="award" title="For adopting the orphaned rpm package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2015)</span></a>
 &ndash; For adopting the orphaned <tt>rpm</tt> package.
 
 </li>
 <li><a name="JT" href="mailto:jason_at_tishler_dot_net">Jason Tishler</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2004-10/msg00050.html" class="award" title="For years of supporting postgres, and for just being a long time contributor to Cygwin."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2015-01/msg00086.html" class="award" title="For 14 years of contributions to Cygwin."><img src="img/goldwatch.png" alt="$" /><span class="date">(Jan 2015)</span></a>
+<a href="/ml/cygwin-apps/2004-10/msg00050.html" class="award" title="For years of supporting postgres, and for just being a long time contributor to Cygwin."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
+<a href="/ml/cygwin-apps/2015-01/msg00086.html" class="award" title="For 14 years of contributions to Cygwin."><img src="img/goldwatch.png" alt="$" /><span class="date">(Jan 2015)</span></a>
 &ndash; For 14 years of contributions to Cygwin.
 
 </li>
 <li><a name="KT" href="mailto:ktietz70_at_googlemail_dot_com">Kai Tietz</a>
-<a href="https://cygwin.com/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
 &ndash; For finding and fixing a nasty CPU register corruption bug.
 
 </li>
 <li><a name="EZ" href="mailto:eliz_at_gnu_dot_org">Eli Zaretskii</a>
-<a href="https://cygwin.com/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin/2014-10/msg00495.html" class="award" title="For finding and fixing a nasty CPU register corruption bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
 &ndash; For finding and fixing a nasty CPU register corruption bug.
 
 </li>
 <li><a name="EB" href="mailto:eblake_at_redhat_dot_com">Eric Blake</a>
-<a href="https://cygwin.com/ml/cygwin/2005-01/msg00727.html" class="award" title="For adopting and updating the orphaned coreutils package."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2005-05/msg00270.html" class="award" title="For packaging bash for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2006-02/msg00088.html" class="award" title="For offering a nice summation of the problems with mismatched dlls, along with a cogent suggestion for dealing with the problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-11/msg00069.html" class="award" title="For adopting the orphaned wget package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-07/msg00455.html" class="award" title="For obsoleting ash with its attendant stone-age code."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-announce/2014-09/msg00042.html" class="award" title="For adopting the orphaned diffutils package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-announce/2014-10/msg00003.html" class="award" title="For adopting the orphaned bison package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-announce/2014-10/msg00021.html" class="award" title="For adopting the orphaned gzip package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-announce/2014-10/msg00025.html" class="award" title="For adopting the orphaned grep package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
-<a href="https://cygwin.com/ml/cygwin-announce/2014-10/msg00029.html" class="award" title="For adopting the orphaned gperf package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin/2005-01/msg00727.html" class="award" title="For adopting and updating the orphaned coreutils package."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2005)</span></a>
+<a href="/ml/cygwin-apps/2005-05/msg00270.html" class="award" title="For packaging bash for Cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2005)</span></a>
+<a href="/ml/cygwin/2006-02/msg00088.html" class="award" title="For offering a nice summation of the problems with mismatched dlls, along with a cogent suggestion for dealing with the problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2006)</span></a>
+<a href="/ml/cygwin-apps/2006-11/msg00069.html" class="award" title="For adopting the orphaned wget package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
+<a href="/ml/cygwin/2009-07/msg00455.html" class="award" title="For obsoleting ash with its attendant stone-age code."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
+<a href="/ml/cygwin-announce/2014-09/msg00042.html" class="award" title="For adopting the orphaned diffutils package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2014)</span></a>
+<a href="/ml/cygwin-announce/2014-10/msg00003.html" class="award" title="For adopting the orphaned bison package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin-announce/2014-10/msg00021.html" class="award" title="For adopting the orphaned gzip package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin-announce/2014-10/msg00025.html" class="award" title="For adopting the orphaned grep package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
+<a href="/ml/cygwin-announce/2014-10/msg00029.html" class="award" title="For adopting the orphaned gperf package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2014)</span></a>
 &ndash; For adopting the orphaned <tt>gperf</tt> package.
 
 </li>
 <li><a name="CGF" href="mailto:cgf-no-personal-reply-please_at_cygwin_dot_com">Christopher G. Faylor</a>
-<a href="https://cygwin.com/ml/cygwin/2004-04/msg00008.html" class="award" title="For good work on Cygwin for the past 7 years and being mean only when it's absolutely necessary."><img src="img/goldstar.png" alt="*" /><span class="times">&times;20&nbsp;</span><span class="date">(Apr 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2005-02/msg00156.html" class="award" title="For fixing hyperthreading."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2008-07/msg00396.html" class="award" title="For keeping the Cygwin list on topic."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2008)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-12/msg00708.html" class="award" title="For releasing Cygwin 1.7."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-08/msg00012.html" class="award" title="For lifetime achievement and contributions to the Cygwin project."><img src="img/platinumwatch.jpg" alt="$$$" /><span class="date">(Aug 2014)</span></a>
+<a href="/ml/cygwin/2004-04/msg00008.html" class="award" title="For good work on Cygwin for the past 7 years and being mean only when it's absolutely necessary."><img src="img/goldstar.png" alt="*" /><span class="times">&times;20&nbsp;</span><span class="date">(Apr 2004)</span></a>
+<a href="/ml/cygwin/2005-02/msg00156.html" class="award" title="For fixing hyperthreading."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2005)</span></a>
+<a href="/ml/cygwin/2008-07/msg00396.html" class="award" title="For keeping the Cygwin list on topic."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2008)</span></a>
+<a href="/ml/cygwin/2009-12/msg00708.html" class="award" title="For releasing Cygwin 1.7."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2009)</span></a>
+<a href="/ml/cygwin/2014-08/msg00012.html" class="award" title="For lifetime achievement and contributions to the Cygwin project."><img src="img/platinumwatch.jpg" alt="$$$" /><span class="date">(Aug 2014)</span></a>
 &ndash; For lifetime achievement and contributions to the Cygwin project.
 
 </li>
 <li><a name="CB" href="mailto:chris_ml_at_breisch_dot_org">Chris J. Breisch</a>
-<a href="https://cygwin.com/ml/cygwin/2014-06/msg00295.html" class="award" title="For packaging man-db."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
+<a href="/ml/cygwin/2014-06/msg00295.html" class="award" title="For packaging man-db."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2014)</span></a>
 &ndash; For packaging <tt>man-db</tt>.
 
 </li>
 <li><a name="SB" href="mailto:helium_at_shaddybaddah_dot_name">Shaddy Baddah</a>
-<a href="https://cygwin.com/ml/cygwin/2009-09/msg00395.html" class="award" title="For explaining why we need C:\cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-11/msg00026.html" class="award" title="For patching setup to allow it to run as non-admin."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2013)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2014-05/msg00320.html" class="award" title="For tracking down and fixing a screen corruption bug in screen."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2014)</span></a>
+<a href="/ml/cygwin/2009-09/msg00395.html" class="award" title="For explaining why we need C:\cygwin."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2009)</span></a>
+<a href="/ml/cygwin-apps/2013-11/msg00026.html" class="award" title="For patching setup to allow it to run as non-admin."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2013)</span></a>
+<a href="/ml/cygwin/2014-05/msg00320.html" class="award" title="For tracking down and fixing a screen corruption bug in screen."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2014)</span></a>
 &ndash; For tracking down and fixing a screen corruption bug in <tt>screen</tt>.
 
 </li>
 <li><a name="DL" href="mailto:levinedl_at_acm_dot_org">David Levine</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-08/msg00101.html" class="award" title="For adopting the orphaned par package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
+<a href="/ml/cygwin-apps/2013-08/msg00101.html" class="award" title="For adopting the orphaned par package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2013)</span></a>
 &ndash; For adopting the orphaned <tt>par</tt> package.
 
 </li>
 <li><a name="FF" href="mailto:ffes_at_users_dot_sourceforge_dot_net">Frank Fesevur</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2013-06/msg00081.html" class="award" title="For adopting the orphaned shutdown package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2013)</span></a>
+<a href="/ml/cygwin-apps/2013-06/msg00081.html" class="award" title="For adopting the orphaned shutdown package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2013)</span></a>
 &ndash; For adopting the orphaned <tt>shutdown</tt> package.
 
 </li>
 <li><a name="JY" href="mailto:jon_y_at_users_dot_sourceforge_dot_net">JonY</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-08/msg00029.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2012)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-10/msg00199.html" class="award" title="For adopting the w32api package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-08/msg00029.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2012)</span></a>
+<a href="/ml/cygwin-apps/2012-10/msg00199.html" class="award" title="For adopting the w32api package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2012)</span></a>
 &ndash; For adopting the <tt>w32api</tt> package.
 
 </li>
 <li><a name="WY" href="mailto:warren_at_etr-usa_dot_com">Warren Young</a>
-<a href="https://cygwin.com/ml/cygwin/2007-09/msg00525.html" class="award" title="For clearly explaining why security is hard."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2012-03/msg00222.html" class="award" title="For redesigning the Cygwin logo in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
+<a href="/ml/cygwin/2007-09/msg00525.html" class="award" title="For clearly explaining why security is hard."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2007)</span></a>
+<a href="/ml/cygwin-apps/2012-03/msg00222.html" class="award" title="For redesigning the Cygwin logo in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2012)</span></a>
 &ndash; For redesigning the Cygwin logo in setup.
 
 </li>
 <li><a name="AK" href="mailto:andy_dot_koppe_at_gmail_dot_com">Andy Koppe</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-07/msg00177.html" class="award" title="For overhauling automatic dependency selection in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2011-11/msg00088.html" class="award" title="For integrating Mintty shortcuts into setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
+<a href="/ml/cygwin-apps/2010-07/msg00177.html" class="award" title="For overhauling automatic dependency selection in setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2010)</span></a>
+<a href="/ml/cygwin-apps/2011-11/msg00088.html" class="award" title="For integrating Mintty shortcuts into setup."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2011)</span></a>
 &ndash; For integrating Mintty shortcuts into setup.
 
 </li>
 <li><a name="CW" href="mailto:cwilson_at_fastmail_dot_fm">Charles (Chuck) Wilson</a>
-<a href="https://cygwin.com/ml/cygwin/2006-12/msg00506.html" class="award" title="For years of service and dedicated maintainership of important Cygwin packages."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-06/msg00018.html" class="award" title="For adopting the orphaned ssmtp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2008-04/msg00443.html" class="award" title="For creating the csih package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2008)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2008-04/msg00524.html" class="award" title="For adopting the orphaned login package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2008)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-03/msg00151.html" class="award" title="For obviating the dreaded TS hack."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-08/msg00163.html" class="award" title="For adopting the orphaned sunrpc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2010)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2011-10/msg00302.html" class="award" title="For supporting libiconv."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2011)</span></a>
+<a href="/ml/cygwin/2006-12/msg00506.html" class="award" title="For years of service and dedicated maintainership of important Cygwin packages."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2006)</span></a>
+<a href="/ml/cygwin-apps/2007-06/msg00018.html" class="award" title="For adopting the orphaned ssmtp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2007)</span></a>
+<a href="/ml/cygwin/2008-04/msg00443.html" class="award" title="For creating the csih package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2008)</span></a>
+<a href="/ml/cygwin/2008-04/msg00524.html" class="award" title="For adopting the orphaned login package."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2008)</span></a>
+<a href="/ml/cygwin/2009-03/msg00151.html" class="award" title="For obviating the dreaded TS hack."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2009)</span></a>
+<a href="/ml/cygwin-apps/2010-08/msg00163.html" class="award" title="For adopting the orphaned sunrpc package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2010)</span></a>
+<a href="/ml/cygwin/2011-10/msg00302.html" class="award" title="For supporting libiconv."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2011)</span></a>
 &ndash; For supporting <tt>libiconv</tt>.
 
 </li>
 <li><a name="DS" href="mailto:d_dot_sastre_dot_medina_at_gmail_dot_com">David Sastre</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2011-03/msg00061.html" class="award" title="For adopting and revamping the vital base-files package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2011)</span></a>
+<a href="/ml/cygwin-apps/2011-03/msg00061.html" class="award" title="For adopting and revamping the vital base-files package."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2011)</span></a>
 &ndash; For adopting and revamping the vital <tt>base-files</tt> package.
 
 </li>
 <li><a name="JC" href="mailto:aeolus_at_electric-cloud_dot_com">John Carey</a>
-<a href="https://cygwin.com/ml/cygwin-developers/2011-03/msg00010.html" class="award" title="For kicking butt on CWD handling."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2011)</span></a>
+<a href="/ml/cygwin-developers/2011-03/msg00010.html" class="award" title="For kicking butt on CWD handling."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2011)</span></a>
 &ndash; For kicking butt on CWD handling.
 
 </li>
 <li><a name="JM" href="mailto:john_at_morrison_dot_mine_dot_nu">John Morrison</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-09/msg00084.html" class="award" title="For years of service maintaining the base-files and base-passwd packages."><img src="img/goldwatch.png" alt="$" /><span class="date">(Sep 2010)</span></a>
+<a href="/ml/cygwin-apps/2010-09/msg00084.html" class="award" title="For years of service maintaining the base-files and base-passwd packages."><img src="img/goldwatch.png" alt="$" /><span class="date">(Sep 2010)</span></a>
 &ndash; For years of service maintaining the <tt>base-files</tt> and <tt>base-passwd</tt> packages.
 
 </li>
 <li><a name="DD" href="mailto:Damien_dot_Doligez_at_inria_dot_fr">Damien Doligez</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-09/msg00046.html" class="award" title="For adopting the orphaned ocaml package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2010)</span></a>
+<a href="/ml/cygwin-apps/2010-09/msg00046.html" class="award" title="For adopting the orphaned ocaml package."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2010)</span></a>
 &ndash; For adopting the orphaned <tt>ocaml</tt> package.
 
 </li>
 <li><a name="DK" href="mailto:dk_at_artimi_dot_com">Dave Korn</a>
-<a href="https://cygwin.com/ml/cygwin/2004-01/msg01000.html" class="award" title="For trenchant commentary."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-03/msg00548.html" class="award" title="For exemplary use of reasoning powers."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-09/msg00149.html" class="award" title="For giving sensible advice, non-meanly."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2005-06/msg00052.html" class="award" title="For coining a new acronym."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-talk/2006-q1/msg00201.html" class="award" title="For succinctly summarizing how to fix a bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-11/msg00071.html" class="award" title="For uploading an experimental version of gcc."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2007-03/msg00908.html" class="award" title="For fixing a broken build of gcc 4.3.0."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2009-07/msg00453.html" class="award" title="For persistence to fix the Cygwin problems which turned up by working on the new gcc4 libstdc++ and libgfortran problems."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2010-08/msg00012.html" class="award" title="For recording zero-size tarballs as successfully installed in setup, thereby de-annoying CGF."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2010)</span></a>
+<a href="/ml/cygwin/2004-01/msg01000.html" class="award" title="For trenchant commentary."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2004)</span></a>
+<a href="/ml/cygwin/2004-03/msg00548.html" class="award" title="For exemplary use of reasoning powers."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2004)</span></a>
+<a href="/ml/cygwin/2004-09/msg00149.html" class="award" title="For giving sensible advice, non-meanly."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2004)</span></a>
+<a href="/ml/cygwin/2005-06/msg00052.html" class="award" title="For coining a new acronym."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
+<a href="/ml/cygwin-talk/2006-q1/msg00201.html" class="award" title="For succinctly summarizing how to fix a bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2006)</span></a>
+<a href="/ml/cygwin-apps/2006-11/msg00071.html" class="award" title="For uploading an experimental version of gcc."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
+<a href="/ml/cygwin/2007-03/msg00908.html" class="award" title="For fixing a broken build of gcc 4.3.0."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2007)</span></a>
+<a href="/ml/cygwin/2009-07/msg00453.html" class="award" title="For persistence to fix the Cygwin problems which turned up by working on the new gcc4 libstdc++ and libgfortran problems."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
+<a href="/ml/cygwin-apps/2010-08/msg00012.html" class="award" title="For recording zero-size tarballs as successfully installed in setup, thereby de-annoying CGF."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2010)</span></a>
 &ndash; For recording zero-size tarballs as successfully installed in setup, thereby de-annoying CGF.
 
 </li>
 <li><a name="JD" href="mailto:jrdepriest_at_gmail_dot_com">Jason DePriest</a>
-<a href="https://cygwin.com/ml/cygwin/2009-11/msg00631.html" class="award" title="For reminding us of the right way to handle a FAQ."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2009)</span></a>
+<a href="/ml/cygwin/2009-11/msg00631.html" class="award" title="For reminding us of the right way to handle a FAQ."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2009)</span></a>
 &ndash; For reminding us of the right way to handle a FAQ.
 
 </li>
 <li><a name="RH" href="mailto:rhempel_at_bmts_dot_com">Ralph Hempel</a>
-<a href="https://cygwin.com/ml/cygwin/2009-07/msg00579.html" class="award" title="For tireless support of the setup command line."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
+<a href="/ml/cygwin/2009-07/msg00579.html" class="award" title="For tireless support of the setup command line."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2009)</span></a>
 &ndash; For tireless support of the setup command line.
 
 </li>
 <li><a name="AP" href="mailto:andrew_at_magneticbooks_dot_com_dot_au">Andrew Punch</a>
-<a href="https://cygwin.com/ml/cygwin/2009-05/msg00180.html" class="award" title="For adding the package search feature in setup (hear, hear)."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2009)</span></a>
+<a href="/ml/cygwin/2009-05/msg00180.html" class="award" title="For adding the package search feature in setup (hear, hear)."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2009)</span></a>
 &ndash; For adding the package search feature in setup (hear, hear).
 
 </li>
 <li><a name="BD" href="mailto:brian_at_dessent_dot_net">Brian Dessent</a>
-<a href="https://cygwin.com/ml/cygwin/2004-05/msg00871.html" class="award" title="For adopting the orphaned apache package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-09/msg00463.html" class="award" title="For solving an Apache startup failure."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2005-04/msg00363.html" class="award" title="For good advice and determination to help on the Cygwin list."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2006-06/msg00536.html" class="award" title="For explaining why we all need to test Cygwin snapshots."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2008-12/msg00193.html" class="award" title="For patience, insight, and helpfulness on the mailing lists."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2008)</span></a>
+<a href="/ml/cygwin/2004-05/msg00871.html" class="award" title="For adopting the orphaned apache package."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2004)</span></a>
+<a href="/ml/cygwin/2004-09/msg00463.html" class="award" title="For solving an Apache startup failure."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2004)</span></a>
+<a href="/ml/cygwin/2005-04/msg00363.html" class="award" title="For good advice and determination to help on the Cygwin list."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2005)</span></a>
+<a href="/ml/cygwin/2006-06/msg00536.html" class="award" title="For explaining why we all need to test Cygwin snapshots."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2006)</span></a>
+<a href="/ml/cygwin/2008-12/msg00193.html" class="award" title="For patience, insight, and helpfulness on the mailing lists."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2008)</span></a>
 &ndash; For patience, insight, and helpfulness on the mailing lists.
 
 </li>
 <li><a name="MW" href="mailto:godlygeek_at_gmail_dot_com">Matt Wozniski</a>
-<a href="https://cygwin.com/ml/cygwin/2008-06/msg00504.html" class="award" title="For pointing out what should have been obvious."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2008)</span></a>
+<a href="/ml/cygwin/2008-06/msg00504.html" class="award" title="For pointing out what should have been obvious."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2008)</span></a>
 &ndash; For pointing out what should have been obvious.
 
 </li>
 <li><a name="MB" href="mailto:maxb_at_ukf_dot_net">Max Bowsher</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-11/msg00279.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2008-04/msg00351.html" class="award" title="For lifetime contribution to the Cygwin project."><img src="img/goldwatch.png" alt="$" /><span class="date">(Apr 2008)</span></a>
+<a href="/ml/cygwin-apps/2003-11/msg00279.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin-apps/2008-04/msg00351.html" class="award" title="For lifetime contribution to the Cygwin project."><img src="img/goldwatch.png" alt="$" /><span class="date">(Apr 2008)</span></a>
 &ndash; For lifetime contribution to the Cygwin project.
 
 </li>
 <li><a name="LL" href="mailto:lapo_at_lapo_dot_it">Lapo Luchini</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-01/msg00216.html" class="award" title="For reworking the setup.html page."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00003.html" class="award" title="For adopting the orphaned pinfo package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-12/msg00163.html" class="award" title="For adopting the orphaned nano package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
+<a href="/ml/cygwin-apps/2006-01/msg00216.html" class="award" title="For reworking the setup.html page."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2006)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00003.html" class="award" title="For adopting the orphaned pinfo package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-12/msg00163.html" class="award" title="For adopting the orphaned nano package."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2007)</span></a>
 &ndash; For adopting the orphaned <tt>nano</tt> package.
 
 </li>
 <li><a name="JA" href="mailto:jca_at_sdf_dot_lonestar_dot_org">Jon Allen</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2005-11/msg00182.html" class="award" title="For adopting the orphaned naim package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-11/msg00073.html" class="award" title="For adopting the orphaned ncftp and keychaing packages."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-08/msg00086.html" class="award" title="For adopting the orphaned tnef package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
+<a href="/ml/cygwin-apps/2005-11/msg00182.html" class="award" title="For adopting the orphaned naim package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2005)</span></a>
+<a href="/ml/cygwin-apps/2006-11/msg00073.html" class="award" title="For adopting the orphaned ncftp and keychaing packages."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
+<a href="/ml/cygwin-apps/2007-08/msg00086.html" class="award" title="For adopting the orphaned tnef package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2007)</span></a>
 &ndash; For adopting the orphaned <tt>tnef</tt> package.
 
 </li>
 <li><a name="JN" href="mailto:janneke_at_gnu_dot_org">Jan Nieuwenhuizen</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-07/msg00166.html" class="award" title="For quietly taking over the orphaned libfontconfig1 and libfontconfig-devel packages (slightly retroactive)."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-07/msg00166.html" class="award" title="For quietly taking over the orphaned libfontconfig1 and libfontconfig-devel packages (slightly retroactive)."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
 &ndash; For quietly taking over the orphaned <tt>libfontconfig1</tt> and <tt>libfontconfig-devel</tt> packages (slightly retroactive).
 
 </li>
 <li><a name="SS" href="mailto:sledz_at_zone42_dot_org">Steffen Sledz</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-07/msg00121.html" class="award" title="For efforts in adopting a tough package (emacs)."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin-apps/2007-07/msg00121.html" class="award" title="For efforts in adopting a tough package (emacs)."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
 &ndash; For efforts in adopting a tough package (<tt>emacs</tt>).
 
 </li>
 <li><a name="RU" href="mailto:rurban_at_x-ray_dot_at">Reini Urban</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2004-10/msg00050.html" class="award" title="For adopting the orphaned postgresql package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2004-10/msg00093.html" class="award" title="For adopting the orphaned mhash package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-08/msg00005.html" class="award" title="For adopting the orphaned clisp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-07/msg00090.html" class="award" title="For being mentally prepared to take over maintainership of perl."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
+<a href="/ml/cygwin-apps/2004-10/msg00050.html" class="award" title="For adopting the orphaned postgresql package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
+<a href="/ml/cygwin-apps/2004-10/msg00093.html" class="award" title="For adopting the orphaned mhash package."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
+<a href="/ml/cygwin-apps/2006-08/msg00005.html" class="award" title="For adopting the orphaned clisp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2006)</span></a>
+<a href="/ml/cygwin-apps/2007-07/msg00090.html" class="award" title="For being mentally prepared to take over maintainership of perl."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2007)</span></a>
 &ndash; For being mentally prepared to take over maintainership of <tt>perl</tt>.
 
 </li>
 <li><a name="PAH" href="mailto:Pierre_dot_Humblet_at_ieee_dot_org">Pierre A. Humblet</a>
-<a href="https://cygwin.com/ml/cygwin/2003-06/msg00344.html" class="award" title="For providing data to help track down a bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-05/msg00502.html" class="award" title="For high quality contributions that touched many parts of the Cygwin DLL."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(May 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2007-04/msg00055.html" class="award" title="For taking over cron."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2007)</span></a>
+<a href="/ml/cygwin/2003-06/msg00344.html" class="award" title="For providing data to help track down a bug."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2003)</span></a>
+<a href="/ml/cygwin/2004-05/msg00502.html" class="award" title="For high quality contributions that touched many parts of the Cygwin DLL."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(May 2004)</span></a>
+<a href="/ml/cygwin-apps/2007-04/msg00055.html" class="award" title="For taking over cron."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2007)</span></a>
 &ndash; For taking over <tt>cron</tt>.
 
 </li>
 <li><a name="PB" href="mailto:Phil_dot_Betts_at_ascribe_dot_com">Phil Betts</a>
-<a href="https://cygwin.com/ml/cygwin/2007-03/msg00863.html" class="award" title="For not being afraid to climb on that ol' soapbox re: 3PPs."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2007)</span></a>
+<a href="/ml/cygwin/2007-03/msg00863.html" class="award" title="For not being afraid to climb on that ol' soapbox re: 3PPs."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2007)</span></a>
 &ndash; For not being afraid to climb on that ol' soapbox re: <a href='https://cygwin.com/acronyms/#3PP'>3PPs</a>.
 
 </li>
 <li><a name="JDF" href="mailto:joshuadfranklin_at_yahoo_dot_com">Joshua Daniel Franklin</a>
-<a href="https://cygwin.com/ml/cygwin/2003-03/msg01935.html" class="award" title="For improving Cygwin documentation."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-12/msg00011.html" class="award" title="For improving Cygwin documentation."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-12/msg00019.html" class="award" title="For his highly appreciated commitment to maintaining Cygwin documentation over the last couple of years."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2006)</span></a>
+<a href="/ml/cygwin/2003-03/msg01935.html" class="award" title="For improving Cygwin documentation."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2003)</span></a>
+<a href="/ml/cygwin-apps/2006-12/msg00011.html" class="award" title="For improving Cygwin documentation."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2006)</span></a>
+<a href="/ml/cygwin-apps/2006-12/msg00019.html" class="award" title="For his highly appreciated commitment to maintaining Cygwin documentation over the last couple of years."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2006)</span></a>
 &ndash; For his highly appreciated commitment to maintaining Cygwin documentation over the last couple of years.
 
 </li>
 <li><a name="VQ" href="mailto:quetschke_at_scytek_dot_de">Volker Quetschke</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-11/msg00029.html" class="award" title="For picking up the problematic ImageMagick package and making it functional."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
+<a href="/ml/cygwin-apps/2006-11/msg00029.html" class="award" title="For picking up the problematic ImageMagick package and making it functional."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2006)</span></a>
 &ndash; For picking up the problematic <tt>ImageMagick</tt> package and making it functional.
 
 </li>
 <li><a name="MWe" href="mailto:mwoehlke_at_tibco_dot_com">Matthew Woehlke</a>
-<a href="https://cygwin.com/ml/cygwin/2006-07/msg00741.html" class="award" title="For explaining things."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2006)</span></a>
-<a href="https://cygwin.com/ml/cygwin-talk/2006-q3/msg00348.html" class="award" title="For wisely redirecting what could have been an HTML email flame war into the hippo zone."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2006)</span></a>
+<a href="/ml/cygwin/2006-07/msg00741.html" class="award" title="For explaining things."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2006)</span></a>
+<a href="/ml/cygwin-talk/2006-q3/msg00348.html" class="award" title="For wisely redirecting what could have been an HTML email flame war into the hippo zone."><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2006)</span></a>
 &ndash; For wisely redirecting what could have been an HTML email flame war into the <a href='https://cygwin.com/ml/cygwin-talk/'>hippo zone</a>.
 
 </li>
 <li><a name="our_wives"><a href='mailto:eblake_at_redhat_dot_com?subject=For%20Tanya'>Tanya Blake</a>, <a href='mailto:joshuadfranklin_at_yahoo_dot_com?subject=For%20Molly'>Molly Franklin</a>, and all of our wives</a>
-<a href="https://cygwin.com/ml/cygwin-patches/2005-q3/msg00029.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin-talk/2006-q1/msg00228.html" class="award" title="For their invaluable efforts in bringing future cygwin users into the world."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2006)</span></a>
+<a href="/ml/cygwin-patches/2005-q3/msg00029.html" class="award"><img src="img/goldstar.png" alt="*" /><span class="date">(Sep 2005)</span></a>
+<a href="/ml/cygwin-talk/2006-q1/msg00228.html" class="award" title="For their invaluable efforts in bringing future cygwin users into the world."><img src="img/goldstar.png" alt="*" /><span class="date">(Mar 2006)</span></a>
 &ndash; For their invaluable efforts in bringing <a href='https://people.redhat.com/eblake/Evelyn_Joyce_Blake.jpg'>future cygwin users</a> into the world.
 
 </li>
 <li><a name="JRP" href="mailto:antiskid56-cygwin_at_yahoo_dot_com">James R. Phillips</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2006-02/msg00119.html" class="award" title="For taking over the orphaned ghostscript package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2006)</span></a>
+<a href="/ml/cygwin-apps/2006-02/msg00119.html" class="award" title="For taking over the orphaned ghostscript package."><img src="img/goldstar.png" alt="*" /><span class="date">(Feb 2006)</span></a>
 &ndash; For taking over the orphaned <tt>ghostscript</tt> package.
 
 </li>
 <li><a name="YST" href="mailto:sthoenna_at_efn_dot_org">Yitzchak Scott-Thoennes</a>
-<a href="https://cygwin.com/ml/cygwin/2004-07/msg00671.html" class="award" title="For a clever use of utilities."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2005-01/msg00083.html" class="award" title="For adopting the orphaned fortune package."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2006-01/msg01193.html" class="award" title="For pointing out that package maintainers should use snapshots."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2006)</span></a>
+<a href="/ml/cygwin/2004-07/msg00671.html" class="award" title="For a clever use of utilities."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2004)</span></a>
+<a href="/ml/cygwin-apps/2005-01/msg00083.html" class="award" title="For adopting the orphaned fortune package."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2005)</span></a>
+<a href="/ml/cygwin/2006-01/msg01193.html" class="award" title="For pointing out that package maintainers should use snapshots."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2006)</span></a>
 &ndash; For pointing out that package maintainers should use snapshots.
 
 </li>
 <li><a name="IP" href="mailto:pechtcha_at_cs_dot_nyu_dot_edu">Igor Peshansky (n&eacute; Pechtchanski)</a>
-<a href="https://cygwin.com/ml/cygwin/2003-04/msg00170.html" class="award" title="For conspicuous service on behalf of the Cygwin community."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-07/msg00057.html" class="award" title="For I can't really tell what."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-11/msg00305.html" class="award" title="For adopting the orphaned pdksh package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2006-01/msg00225.html" class="award" title="For tracking down incorrect identification of non-Cygwin processes and sticking by it."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2006)</span></a>
+<a href="/ml/cygwin/2003-04/msg00170.html" class="award" title="For conspicuous service on behalf of the Cygwin community."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-07/msg00057.html" class="award" title="For I can't really tell what."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-11/msg00305.html" class="award" title="For adopting the orphaned pdksh package."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin/2006-01/msg00225.html" class="award" title="For tracking down incorrect identification of non-Cygwin processes and sticking by it."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2006)</span></a>
 &ndash; For tracking down incorrect identification of <i>non-</i>Cygwin processes and sticking by it.
 
 </li>
 <li><a name="AB" href="mailto:antony_underscore_baxter_at_yahoo_dot_co_dot_uk">Antony Baxter</a>
-<a href="https://cygwin.com/ml/cygwin/2005-10/msg00416.html" class="award" title="For &quot;a nice comeback&quot; (a.k.a. seeing that fiddler crab)."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2005)</span></a>
+<a href="/ml/cygwin/2005-10/msg00416.html" class="award" title="For &quot;a nice comeback&quot; (a.k.a. seeing that fiddler crab)."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2005)</span></a>
 &ndash; For &quot;a nice comeback&quot; (<i>a.k.a.</i> seeing that <i>fiddler crab</i>).
 
 </li>
 <li><a name="AH" href="mailto:alanh_at_fairlite_dot_demon_dot_co_dot_uk">Alan Hourihane</a>
-<a href="https://cygwin.com/ml/cygwin-xfree/2005-08/msg00081.html" class="award" title="For the offer to take over Cygwin/X maintainership."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2005)</span></a>
+<a href="/ml/cygwin-xfree/2005-08/msg00081.html" class="award" title="For the offer to take over Cygwin/X maintainership."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2005)</span></a>
 &ndash; For the offer to take over Cygwin/X maintainership.
 
 </li>
 <li><a name="LH" href="mailto:lhall_at_rfk_dot_com">Larry Hall</a>
-<a href="https://cygwin.com/ml/cygwin/2005-04/msg00372.html" class="award" title="For long service, good advice, and a determination to help."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2005)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2005-06/msg00767.html" class="award" title="For the most on-topic and painful pun."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
+<a href="/ml/cygwin/2005-04/msg00372.html" class="award" title="For long service, good advice, and a determination to help."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2005)</span></a>
+<a href="/ml/cygwin/2005-06/msg00767.html" class="award" title="For the most on-topic and painful pun."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
 &ndash; For the most on-topic and painful pun.
 
 </li>
 <li><a name="MK" href="mailto:slothman_at_electric-cloud_dot_com">Max Kaehn</a>
-<a href="https://cygwin.com/ml/cygwin-patches/2005-q2/msg00109.html" class="award" title="For the truly heroic effort of understanding and documenting how cygtls works."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
+<a href="/ml/cygwin-patches/2005-q2/msg00109.html" class="award" title="For the truly heroic effort of understanding and documenting how cygtls works."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
 &ndash; For the truly heroic effort of understanding and documenting how <tt>cygtls</tt> works.
 
 </li>
 <li><a name="KM" href="mailto:karlm30_at_hotmail_dot_com">Karl M.</a>
-<a href="https://cygwin.com/ml/cygwin/2003-05/msg00182.html" class="award" title="For creating new mean slogans for CGF to use."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2005-06/msg00052.html" class="award" title="For the &quot;Cygwin night at the OSCAs&quot; concept (need I say more?)."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
+<a href="/ml/cygwin/2003-05/msg00182.html" class="award" title="For creating new mean slogans for CGF to use."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2003)</span></a>
+<a href="/ml/cygwin/2005-06/msg00052.html" class="award" title="For the &quot;Cygwin night at the OSCAs&quot; concept (need I say more?)."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2005)</span></a>
 &ndash; For the &quot;Cygwin night at the OSCAs&quot; concept (need I say more?).
 
 </li>
 <li><a name="BF" href="mailto:ford_at_vss_dot_fsi_dot_com">Brian Ford</a>
-<a href="https://cygwin.com/ml/cygwin/2003-11/msg00601.html" class="award" title="For explaining why people should help out."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-06/msg00847.html" class="award" title="For fixing a mailing list gateway breakage."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-11/msg00830.html" class="award" title="For spearheading the dwarf-2 effort for Cygwin."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2004)</span></a>
+<a href="/ml/cygwin/2003-11/msg00601.html" class="award" title="For explaining why people should help out."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin/2004-06/msg00847.html" class="award" title="For fixing a mailing list gateway breakage."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2004)</span></a>
+<a href="/ml/cygwin/2004-11/msg00830.html" class="award" title="For spearheading the dwarf-2 effort for Cygwin."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2004)</span></a>
 &ndash; For spearheading the dwarf-2 effort for Cygwin.
 
 </li>
 <li><a name="DK1" href="mailto:d_underscore_inabox_at_yahoo_dot_com">Dave Kilroy</a>
-<a href="https://cygwin.com/ml/cygwin/2004-10/msg00622.html" class="award" title="For going above and beyond the expected volunteer effort (with the chere package)."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
+<a href="/ml/cygwin/2004-10/msg00622.html" class="award" title="For going above and beyond the expected volunteer effort (with the chere package)."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
 &ndash; For going above and beyond the expected volunteer effort (with the <tt>chere</tt> package).
 
 </li>
 <li><a name="RRSMC" href="mailto:schneck_at_math_dot_berkeley_dot_edu">Robert R. Schneck-McConnell</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2004-01/msg00041.html" class="award" title="For adopting the orphaned ssmtp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2004)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2004-10/msg00512.html" class="award" title="For an attempt to apply a creative solution to a problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
+<a href="/ml/cygwin-apps/2004-01/msg00041.html" class="award" title="For adopting the orphaned ssmtp package."><img src="img/goldstar.png" alt="*" /><span class="date">(Jan 2004)</span></a>
+<a href="/ml/cygwin/2004-10/msg00512.html" class="award" title="For an attempt to apply a creative solution to a problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2004)</span></a>
 &ndash; For an attempt to apply a creative solution to a problem.
 
 </li>
 <li><a name="JH" href="mailto:jxh_at_despammed_dot_com">James Hu</a>
-<a href="https://cygwin.com/ml/cygwin/2004-06/msg00115.html" class="award" title="For volunteering to take over cURL."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2004)</span></a>
+<a href="/ml/cygwin/2004-06/msg00115.html" class="award" title="For volunteering to take over cURL."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2004)</span></a>
 &ndash; For volunteering to take over <tt>cURL</tt>.
 
 </li>
 <li><a name="KPR" href="mailto:kproth_at_mapllc_dot_com">Kevin P. Roth</a>
-<a href="https://cygwin.com/ml/cygwin/2004-06/msg00115.html" class="award" title="For years of cURL service (retroactive)."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2004)</span></a>
+<a href="/ml/cygwin/2004-06/msg00115.html" class="award" title="For years of cURL service (retroactive)."><img src="img/goldstar.png" alt="*" /><span class="date">(Jun 2004)</span></a>
 &ndash; For years of <tt>cURL</tt> service (<i>retroactive</i>).
 
 </li>
 <li><a name="MOP" href="mailto:matthew_dot_persico_at_verizon_dot_net">Matthew O. Persico</a>
-<a href="https://cygwin.com/ml/cygwin/2004-04/msg00947.html" class="award" title="For &quot;sheer cleverness&quot; (a.k.a. saying it with sheet music)."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2004)</span></a>
+<a href="/ml/cygwin/2004-04/msg00947.html" class="award" title="For &quot;sheer cleverness&quot; (a.k.a. saying it with sheet music)."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2004)</span></a>
 &ndash; For &quot;sheer cleverness&quot; (<i>a.k.a.</i> saying it with sheet music).
 
 </li>
 <li><a name="anonymous">Anonymous contributor</a>
-<a href="https://cygwin.com/ml/cygwin/2004-04/msg00321.html" class="award" title="For contributing a brand new 64-bit Windows system."><img src="img/goldstar.png" alt="*" /><span class="times">&times;10&nbsp;</span><span class="date">(Apr 2004)</span></a>
+<a href="/ml/cygwin/2004-04/msg00321.html" class="award" title="For contributing a brand new 64-bit Windows system."><img src="img/goldstar.png" alt="*" /><span class="times">&times;10&nbsp;</span><span class="date">(Apr 2004)</span></a>
 &ndash; For contributing a brand new 64-bit Windows system.
 
 </li>
 <li><a name="PR" href="mailto:phr_at_cdm_dot_smis_dot_ch">Philippe Ritter</a>
-<a href="https://cygwin.com/ml/cygwin/2003-12/msg00411.html" class="award" title="For actually testing a snapshot unbidden and reporting that it fixed a problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2003)</span></a>
+<a href="/ml/cygwin/2003-12/msg00411.html" class="award" title="For actually testing a snapshot unbidden and reporting that it fixed a problem."><img src="img/goldstar.png" alt="*" /><span class="date">(Dec 2003)</span></a>
 &ndash; For actually testing a snapshot unbidden and reporting that it fixed a problem.
 
 </li>
 <li><a name="RLC" href="mailto:blytkerchan_at_users_dot_sourceforge_dot_net">Ronald Landheer-Cieslak</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-11/msg00314.html" class="award" title="For taking over splint."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-11/msg00314.html" class="award" title="For taking over splint."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
 &ndash; For taking over <tt>splint</tt>.
 
 </li>
 <li><a name="HLH" href="mailto:huntharo_at_msu_dot_edu">Harold L. Hunt II</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-11/msg00314.html" class="award" title="For taking over links."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-11/msg00314.html" class="award" title="For taking over links."><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
 &ndash; For taking over <tt>links</tt>.
 
 </li>
 <li><a name="GRVS" href="mailto:g_dot_r_dot_vansickle_at_worldnet_dot_att_dot_net">Gary R. Van Sickle</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-11/msg00044.html" class="award" title="For numerous Cygwin setup contributions leading to resizeability."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-11/msg00044.html" class="award" title="For numerous Cygwin setup contributions leading to resizeability."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Nov 2003)</span></a>
 &ndash; For numerous Cygwin <tt>setup</tt> contributions leading to resizeability.
 
 </li>
 <li><a name="FR" href="mailto:frichter_at_gmx_dot_li">Frank Richter</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-11/msg00044.html" class="award" title="For making Cygwin setup resizeable."><img src="img/goldstar.png" alt="*" /><span class="times">&times;7&nbsp;</span><span class="date">(Nov 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-11/msg00044.html" class="award" title="For making Cygwin setup resizeable."><img src="img/goldstar.png" alt="*" /><span class="times">&times;7&nbsp;</span><span class="date">(Nov 2003)</span></a>
 &ndash; For making Cygwin <tt>setup</tt> resizeable.
 
 </li>
 <li><a name="DR1" href="mailto:nmlorg_at_cygwin_dot_com">Daniel Reed</a>
-<a href="https://cygwin.com/ml/cygwin/2003-10/msg01311.html" class="award" title="For being a great package coordinator on cygwin-apps."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2003)</span></a>
+<a href="/ml/cygwin/2003-10/msg01311.html" class="award" title="For being a great package coordinator on cygwin-apps."><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2003)</span></a>
 &ndash; For being a great package coordinator on <tt>cygwin-apps</tt>.
 
 </li>
 <li><a name="GPH" href="mailto:gp_at_familiehaase_dot_de">Gerrit P. Haase</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-10/msg00413.html" class="award" title="For heroically taking over gcc."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-10/msg00413.html" class="award" title="For heroically taking over gcc."><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><img src="img/goldstar.png" alt="*" /><span class="date">(Oct 2003)</span></a>
 &ndash; For heroically taking over <tt>gcc</tt>.
 
 </li>
 <li><a name="MB1" href="mailto:marklist_at_fangorn_dot_ca">Mark Blackburn</a>
-<a href="https://cygwin.com/ml/cygwin/2003-08/msg01237.html" class="award" title="For volunteering to maintain lftp."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2003)</span></a>
+<a href="/ml/cygwin/2003-08/msg01237.html" class="award" title="For volunteering to maintain lftp."><img src="img/goldstar.png" alt="*" /><span class="date">(Aug 2003)</span></a>
 &ndash; For volunteering to maintain <tt>lftp</tt>.
 
 </li>
 <li><a name="AB1" href="mailto:abraham_at_backus_dot_com">Abraham Backus</a>
-<a href="https://cygwin.com/ml/cygwin-apps/2003-07/msg00053.html" class="award" title="For being the first to recompile his package for Cygwin 1.5.0."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
+<a href="/ml/cygwin-apps/2003-07/msg00053.html" class="award" title="For being the first to recompile his package for Cygwin 1.5.0."><img src="img/goldstar.png" alt="*" /><span class="date">(Jul 2003)</span></a>
 &ndash; For being the first to recompile his package for Cygwin 1.5.0.
 
 </li>
 <li><a name="DA" href="mailto:alcocer_at_helixdigital_dot_com">Dario Alcocer</a>
-<a href="https://cygwin.com/ml/cygwin/2003-05/msg01117.html" class="award" title="For being an example of reasonable discussion on the list."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2003)</span></a>
+<a href="/ml/cygwin/2003-05/msg01117.html" class="award" title="For being an example of reasonable discussion on the list."><img src="img/goldstar.png" alt="*" /><span class="date">(May 2003)</span></a>
 &ndash; For being an example of reasonable discussion on the list.
 
 </li>
 <li><a name="GP" href="mailto:tilps_at_hotmail_dot_com">Gareth Pearce</a>
-<a href="https://cygwin.com/ml/cygwin/2003-04/msg02305.html" class="award" title="For educating the community on gcc versioning."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
+<a href="/ml/cygwin/2003-04/msg02305.html" class="award" title="For educating the community on gcc versioning."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
 &ndash; For educating the community on <tt>gcc</tt> versioning.
 
 </li>
 <li><a name="RRS" href="mailto:rrschulz_at_cris_dot_com">Randall Roy Schulz</a>
-<a href="https://cygwin.com/ml/cygwin/2003-04/msg00170.html" class="award" title="For conspicuous service to the Cygwin community."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2003-04/msg00915.html" class="award" title="For suggesting &quot;cygcheck as an attachment&quot;."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
+<a href="/ml/cygwin/2003-04/msg00170.html" class="award" title="For conspicuous service to the Cygwin community."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
+<a href="/ml/cygwin/2003-04/msg00915.html" class="award" title="For suggesting &quot;cygcheck as an attachment&quot;."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2003)</span></a>
 &ndash; For suggesting &quot;<tt>cygcheck</tt> as an attachment&quot;.
 
 </li>
-<li><a name="EMB"><a href='mailto:elfyn_at_exposure_dot_org_dot_uk'>Elfyn McBratney</a> (who <a href='http://cygwin.com/ml/cygwin/2003-03/msg02033.html'>prefers</a> self-made stars)</a>
-<a href="https://cygwin.com/ml/cygwin/2003-03/msg01907.html" class="award"><img src="img/elfyns_star.png" alt="+" /><span class="date">(Mar 2003)</span></a>
-<a href="https://cygwin.com/ml/cygwin/2003-03/msg01932.html" class="award" title="For standing up and enforcing the GPL."><img src="img/elfyns_star.png" alt="+" /><span class="date">(Mar 2003)</span></a>
+<li><a name="EMB"><a href='mailto:elfyn_at_exposure_dot_org_dot_uk'>Elfyn McBratney</a> (who <a href='https://cygwin.com/ml/cygwin/2003-03/msg02033.html'>prefers</a> self-made stars)</a>
+<a href="/ml/cygwin/2003-03/msg01907.html" class="award"><img src="img/elfyns_star.png" alt="+" /><span class="date">(Mar 2003)</span></a>
+<a href="/ml/cygwin/2003-03/msg01932.html" class="award" title="For standing up and enforcing the GPL."><img src="img/elfyns_star.png" alt="+" /><span class="date">(Mar 2003)</span></a>
 &ndash; For standing up and enforcing the GPL.
 
 </li>
 <li><a name="EF" href="mailto:EFifer_at_sanwaint_dot_com">Eric Fifer</a>
-<a href="https://cygwin.com/ml/cygwin/2000-04/msg00261.html" class="award" title="For enlightening people on the properties of /cygdrive."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2000)</span></a>
+<a href="/ml/cygwin/2000-04/msg00261.html" class="award" title="For enlightening people on the properties of /cygdrive."><img src="img/goldstar.png" alt="*" /><span class="date">(Apr 2000)</span></a>
 &ndash; For enlightening people on the properties of <tt>/cygdrive</tt>.
 
 </li>
diff --git a/goldstars/src/awardees.csv b/goldstars/src/awardees.csv
index 5d6ad87..bccc3c2 100644
--- a/goldstars/src/awardees.csv
+++ b/goldstars/src/awardees.csv
@@ -32,7 +32,7 @@ DS,David Sastre,d_dot_sastre_dot_medina_at_gmail_dot_com
 DSt,David Stacey,drstacey_at_tiscali_dot_co_dot_uk
 EB,Eric Blake,eblake_at_redhat_dot_com
 EF,Eric Fifer,EFifer_at_sanwaint_dot_com
-EMB,"<a href='mailto:elfyn_at_exposure_dot_org_dot_uk'>Elfyn McBratney</a> (who <a href='http://cygwin.com/ml/cygwin/2003-03/msg02033.html'>prefers</a> self-made stars)"
+EMB,"<a href='mailto:elfyn_at_exposure_dot_org_dot_uk'>Elfyn McBratney</a> (who <a href='https://cygwin.com/ml/cygwin/2003-03/msg02033.html'>prefers</a> self-made stars)"
 EZ,Eli Zaretskii,eliz_at_gnu_dot_org
 FF,Frank Fesevur,ffes_at_users_dot_sourceforge_dot_net
 FR,Frank Richter,frichter_at_gmx_dot_li
diff --git a/index.html b/index.html
index dfeb4d5..12283d2 100755
--- a/index.html
+++ b/index.html
@@ -21,7 +21,7 @@
 <h4></h4>
 <p>Cygwin is:
 <ul>
-<li>a large collection of GNU and Open Source tools which provide functionality similar to a <a href="http://en.wikipedia.org/wiki/Linux_distribution">Linux distribution</a> on Windows.
+<li>a large collection of GNU and Open Source tools which provide functionality similar to a <a href="https://en.wikipedia.org/wiki/Linux_distribution">Linux distribution</a> on Windows.
 <li>a DLL (cygwin1.dll) which provides substantial POSIX API functionality.
 </ul>
 </div>
@@ -49,7 +49,7 @@ x86 32 bit and 64 bit versions of Windows, starting with Windows XP SP3.
 <b class="rbottom"><b class="r4"></b><b class="r3"></b><b class="r2"></b><b class="r1"></b></b>
 </div>
 <br><p>The most recent version of the Cygwin DLL is
-<a href="https://cygwin.com/ml/cygwin-announce/2016-04/msg00063.html">2.5.1</a>.
+<a href="/ml/cygwin-announce/2016-04/msg00063.html">2.5.1</a>.
 Install it by running <a href="setup-x86.exe">setup-x86.exe</a> (32-bit installation) or <a href="setup-x86_64.exe">setup-x86_64.exe</a> (64-bit installation).</p>
 <p>Use the setup program to perform a <a href="install.html">fresh install</a> or to <a href="install.html">update</a> an existing installation.</p>
 <p>Note that individual packages in the distribution are updated separately from the DLL so the Cygwin DLL version is not useful as a general Cygwin release number.</p>
@@ -59,7 +59,7 @@ Install it by running <a href="setup-x86.exe">setup-x86.exe</a> (32-bit installa
 <b class="rbottom"><b class="r4"></b><b class="r3"></b><b class="r2"></b><b class="r1"></b></b>
 </div>
 <br><p>For Cygwin licensing or commercial support, please visit
-the <a href="http://www.redhat.com/software/cygwin/">Red Hat
+the <a href="https://www.redhat.com/services/custom/cygwin/">Red Hat
 Cygwin Product</a> site.
 <div id="background">
 <b class="rtop"><b class="r1"></b><b class="r2"></b><b class="r3"></b><b class="r4"></b></b>
diff --git a/licensing.html b/licensing.html
index 9c1ec21..ef70173 100755
--- a/licensing.html
+++ b/licensing.html
@@ -17,7 +17,7 @@ and others have a X11 style license.  To cover the GNU GPL
 requirements, the basic rule is if you give out any binaries, you must
 also make the source available.  For the full details, be sure to read
 the text of the <a href="COPYING">GNU General Public License (GPL)</a>.
-For more information on the GPL see the <a href="http://gnu.org/licenses/gpl-faq.html">GPL FAQ</a>.
+For more information on the GPL see the <a href="https://gnu.org/licenses/gpl-faq.html">GPL FAQ</a>.
 </p>
 
 <p>
@@ -52,7 +52,7 @@ the implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the GNU General Public License for more details.</p>
 <p>You should have received a copy of the GNU General Public License along
 with this program.  If not, see
-&lt;<a href="http://gnu.org/licenses/">http://gnu.org/licenses/</a>&gt;.</p>
+&lt;<a href="https://gnu.org/licenses/">https://gnu.org/licenses/</a>&gt;.</p>
 </tt>
 
 <div id="background">
@@ -75,7 +75,7 @@ version of the Cygwin&trade; DLL, you must adhere to the terms of the GPLv3+,
 including the requirement to provide sources for the Cygwin&trade; DLL,
 unless you have obtained a special Cygwin&trade; license to distribute the
 Cygwin&trade; DLL in only its binary form (see below).</p>
-<p>See <a href="http://opensource.org/docs/osd/">http://opensource.org/docs/osd/</a>
+<p>See <a href="https://opensource.org/docs/osd/">https://opensource.org/docs/osd/</a>
 for the precise Open Source Definition referenced above.</p>
 </tt>
 
@@ -89,11 +89,11 @@ for the precise Open Source Definition referenced above.</p>
 <p>Red Hat sells a special Cygwin&trade; License for customers who are unable to
 provide their application in open source code form.  For more information,
 please see:
-<a href="http://www.redhat.com/software/cygwin/">http://www.redhat.com/software/cygwin/</a>,
+<a href="https://www.redhat.com/services/custom/cygwin/">https://www.redhat.com/services/custom/cygwin/</a>,
 or call +1-866-2REDHAT ext.&nbsp;45300 (toll-free in the US).</p>
 
 <p>Outside the US call your
-<a href="http://www.redhat.com/about/contact/ww/">regional Red Hat office</a>.
+<a href="https://www.redhat.com/en/about/office-locations">regional Red Hat office</a>.
 </p>
 </tt>
 
diff --git a/links.html b/links.html
index b9d9763..5e0cfef 100755
--- a/links.html
+++ b/links.html
@@ -13,7 +13,7 @@
 
 <h2>Cygwin Ports</h2>
 
-<ul>The <A HREF="http://sourceware.org/cygwinports/">Cygwin Ports</A> collection contains ports of many useful
+<ul>The <a href="https://sourceware.org/cygwinports/">Cygwin Ports</A> collection contains ports of many useful
 utilities which are not available in the standard <a href="packages">Cygwin distribution</a>.</ul>
 
 <h2>MinGW-w64</h2>
diff --git a/lists.html b/lists.html
index 978787d..adabeb3 100755
--- a/lists.html
+++ b/lists.html
@@ -28,7 +28,7 @@ a new project.  It has been around for many years.  That means that almost any
 question has probably already been asked.  Places to check for information
 would be the <a href="faq.html">Cygwin FAQ</a>, the
 <a href="docs.html">Cygwin documentation</a>, the
-<a href="http://google.com/">web</a>, and the mailing list archives (click
+<a href="https://www.google.com/">web</a>, and the mailing list archives (click
 on a mailing list name <a href="#available-lists">below</a> to search
 the archive).</p>
 
@@ -50,9 +50,9 @@ answer.</p>
 <ul>
 <tr><td><b><font size=-1>
 
-<br><li>None of the below lists accept <a href="http://sourceware.org/lists.html#html-mail">html mail</a>.  Use plain text only.</li>
+<br><li>None of the below lists accept <a href="https://sourceware.org/lists.html#html-mail">html mail</a>.  Use plain text only.</li>
 
-<br><li>Please read the general <a href="http://sourceware.org/lists.html#faq">mailing list FAQ</a> for sourceware.org (the host of this site).</li>
+<br><li>Please read the general <a href="https://sourceware.org/lists.html#faq">mailing list FAQ</a> for sourceware.org (the host of this site).</li>
 
 <br><li>Please do not feed the spammers by <a href="acronyms/#PCYMTNQREAIYR">including raw email addresses</a> in the body of your message.</li>
 
@@ -91,7 +91,7 @@ viruses.  This means that your information will be viewable by posterity, so
       <li>Questions about Cygwin licensing, copyright, and GPL issues should
       go to the moderated cygwin-licensing list  (see below).</li>
       <li>Questions about other Cygwin releases not downloaded from
-      <a href="http://cygwin.com/">the Cygwin website</a> or its mirrors are
+      <a href="/">the Cygwin website</a> or its mirrors are
       strongly discouraged.  In theory, there should be better forums for
       discussing this kind of unsponsored software than the Cygwin mailing list.
       <br><em>This caveat applies to all of the mailing lists at this site.</em></li>
@@ -161,7 +161,7 @@ viruses.  This means that your information will be viewable by posterity, so
   <p><li><a name="cygwin-licensing"><a href="/ml/cygwin-licensing/"><b>cygwin-licensing</b></a></a>: a low volume, moderated
       list set up to provide answers and limited discussion about Cygwin licensing.  Please ask questions
       here if you are unclear about Red Hat licensing or Cygwin's standard GPL licensing.  The
-     <a href="http://gnu.org/licenses/gpl-faq.html">GPL FAQ</a> and the
+     <a href="https://gnu.org/licenses/gpl-faq.html">GPL FAQ</a> and the
      <a href="licensing.html">Cygwin Licensing Page</a> are <em>mandatory</em>
      reading before posting here.  First time posters should indicate that they have read both of
      these before sending a question or risk having their message rejected.</a>
@@ -213,12 +213,12 @@ viruses.  This means that your information will be viewable by posterity, so
 </a>
 
 <p>If you have <b>any</b> questions or problems with the mailing lists,
-see the <a href="http://sourceware.org/lists.html#faqs"><b>Sourceware mailing list FAQs</b></a>.
+see the <a href="https://sourceware.org/lists.html#faqs"><b>Sourceware mailing list FAQs</b></a>.
 
 
 <P>Before you send any mail to one of these lists, you need to read
 the relevant Cygwin documentation, especially the <a href="faq.html">Cygwin FAQ</a>,
-and the <a href="http://cygwin.com/ml/cygwin/">mailing list archives</a>
+and the <a href="/ml/cygwin/">mailing list archives</a>
 so that you don't ask a question that someone has already asked or report
 a bug that has already been reported.
 
diff --git a/navbar.html b/navbar.html
index f869b92..3136012 100644
--- a/navbar.html
+++ b/navbar.html
@@ -1,41 +1,41 @@
 <div id="navbar">
 <b class="rtop"><b class="r1"></b><b class="r2"></b><b class="r3"></b><b class="r4"></b></b>
 <ul>
-<li><a href="http://cygwin.com/index.html">Cygwin</a></li>
-<li><a href="http://cygwin.com/install.html">&nbsp;&nbsp;&nbsp;Install Cygwin</a></li>
-<li><a href="http://cygwin.com/install.html">&nbsp;&nbsp;&nbsp;Update Cygwin</a></li>
-<li><a href="http://cygwin.com/packages/">&nbsp;&nbsp;&nbsp;Search Packages</a></li>
-<li><a href="http://cygwin.com/licensing.html">&nbsp;&nbsp;&nbsp;Licensing Terms</a></li>
+<li><a href="/index.html">Cygwin</a></li>
+<li><a href="/install.html">&nbsp;&nbsp;&nbsp;Install Cygwin</a></li>
+<li><a href="/install.html">&nbsp;&nbsp;&nbsp;Update Cygwin</a></li>
+<li><a href="/packages/">&nbsp;&nbsp;&nbsp;Search Packages</a></li>
+<li><a href="/licensing.html">&nbsp;&nbsp;&nbsp;Licensing Terms</a></li>
 </ul>
 <ul>
 <li><a href="http://x.cygwin.com/">Cygwin/X</a></li>
 </ul>
 <ul>
-<li><a href="http://cygwin.com/who.html">Community</a></li>
-<li><a href="http://cygwin.com/problems.html">&nbsp;&nbsp;&nbsp;Reporting Problems</a></li>
-<li><a href="http://cygwin.com/lists.html">&nbsp;&nbsp;&nbsp;Mailing Lists</a></li>
+<li><a href="/who.html">Community</a></li>
+<li><a href="/problems.html">&nbsp;&nbsp;&nbsp;Reporting Problems</a></li>
+<li><a href="/lists.html">&nbsp;&nbsp;&nbsp;Mailing Lists</a></li>
 <li><a href="http://gmane.org/find.php?list=cygwin">&nbsp;&nbsp;&nbsp;Newsgroups</a></li>
-<li><a href="http://cygwin.com/irc.html">&nbsp;&nbsp;&nbsp;IRC channels</a></li>
-<li><a href="http://cygwin.com/goldstars/" style=color:gold>&nbsp;&nbsp;&nbsp;Gold Stars</a></li>
-<li><a href="http://cygwin.com/mirrors.html">&nbsp;&nbsp;&nbsp;Mirror Sites</a></li>
-<li><a href="http://cygwin.com/donations.html">&nbsp;&nbsp;&nbsp;Donations</a></li>
+<li><a href="/irc.html">&nbsp;&nbsp;&nbsp;IRC channels</a></li>
+<li><a href="/goldstars/" class="gold">&nbsp;&nbsp;&nbsp;Gold Stars</a></li>
+<li><a href="/mirrors.html">&nbsp;&nbsp;&nbsp;Mirror Sites</a></li>
+<li><a href="/donations.html">&nbsp;&nbsp;&nbsp;Donations</a></li>
 </ul>
 <ul>
-<li><a href="http://cygwin.com/docs.html">Documentation</a></li>
-<li><a href="http://cygwin.com/faq.html">&nbsp;&nbsp;&nbsp;FAQ</a></li>
-<li><a href="http://cygwin.com/cygwin-ug-net.html">&nbsp;&nbsp;&nbsp;User's Guide</a></li>
-<li><a href="http://cygwin.com/cygwin-api/">&nbsp;&nbsp;&nbsp;API Reference</a></li>
-<li><a href="http://cygwin.com/acronyms/">&nbsp;&nbsp;&nbsp;Acronyms</a></li>
+<li><a href="/docs.html">Documentation</a></li>
+<li><a href="/faq.html">&nbsp;&nbsp;&nbsp;FAQ</a></li>
+<li><a href="/cygwin-ug-net.html">&nbsp;&nbsp;&nbsp;User's Guide</a></li>
+<li><a href="/cygwin-api/">&nbsp;&nbsp;&nbsp;API Reference</a></li>
+<li><a href="/acronyms/">&nbsp;&nbsp;&nbsp;Acronyms</a></li>
 </ul>
 <ul>
-<li><a href="http://cygwin.com/contrib.html">Contributing</a></li>
-<li><a href="http://cygwin.com/snapshots/">&nbsp;&nbsp;&nbsp;Snapshots</a></li>
-<li><a href="http://cygwin.com/git.html">&nbsp;&nbsp;&nbsp;Source in GIT</a></li>
-<li><a href="http://cygwin.com/setup.html">&nbsp;&nbsp;&nbsp;Cygwin Packages</a></li>
+<li><a href="/contrib.html">Contributing</a></li>
+<li><a href="/snapshots/">&nbsp;&nbsp;&nbsp;Snapshots</a></li>
+<li><a href="/git.html">&nbsp;&nbsp;&nbsp;Source in GIT</a></li>
+<li><a href="/setup.html">&nbsp;&nbsp;&nbsp;Cygwin Packages</a></li>
 </ul>
 <ul>
-<li><a href="http://cygwin.com/links.html">Related Sites</a></li>
-<li><a href="http://www.redhat.com/software/cygwin/">Red Hat Cygwin Product</a></li>
+<li><a href="/links.html">Related Sites</a></li>
+<li><a href="https://www.redhat.com/services/custom/cygwin/">Red Hat Cygwin Product</a></li>
 </ul>
 <b class="rbottom"><b class="r4"></b><b class="r3"></b><b class="r2"></b><b class="r1"></b></b>
 </div>
diff --git a/news-full.html b/news-full.html
index 7e6681f..33cc0e4 100644
--- a/news-full.html
+++ b/news-full.html
@@ -1,74 +1,74 @@
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2010-08/msg00035.html"><b>New Cygwin DLL 1.7.7-1 release</b></a> - <small>Aug 31 2010, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2010-08/msg00019.html"><b>New Cygwin DLL 1.7.6-1 release</b></a> - <small>Aug 17 2010, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2010-04/msg00021.html"><b>New Cygwin DLL 1.7.5-1 release</b></a> - <small>Apr 12 2010, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2010-04/msg00005.html"><b>New Cygwin DLL 1.7.4-1 release</b></a> - <small>Apr 7 2010, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2010-04/msg00002.html"><b>New Cygwin DLL 1.7.3-1 release</b></a> - <small>Apr 4 2010, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2010-03/msg00016.html"><b>New Cygwin DLL 1.7.2-1 release</b></a> - <small>Mar 24 2010, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2010-03/msg00018.html"><b>New Cygwin DLL 1.7.2-2 release</b></a> - <small>Mar 24 2010, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2009-12/msg00027.html"><b>New Cygwin DLL 1.7.1-1 release</b></a> - <small>Dec 23 2009, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>A major update release for the Cygwin DLL and its accompanying utilities. Cygwin 1.7.1 comes with a lot of new functionality and some behavioural changes compared to the 1.5 series. Mount points in /etc/fstab instead of in the registry, IPv6 support, advisory file locking, just to name a few.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2008-06/msg00014.html"><b>New Cygwin DLL 1.5.25-15 release</b></a> - <small>Jun 14 2008, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin/2008-05/threads.html#00513"><b>New Cygwin DLL 1.5.25-14 release</b></a> - <small>May 27 2008, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2008-03/msg00031.html"><b>New Cygwin DLL 1.5.25-11 release</b></a> - <small>Mar 9 2008, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2007-12/msg00036.html"><b>New Cygwin DLL 1.5.25-7 release</b></a> - <small>Dec 17 2007, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2007-12/msg00023.html"><b>New Cygwin DLL 1.5.25-5 release</b></a> - <small>Dec 9 2007, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2007-01/msg00016.html"><b>New Cygwin DLL 1.5.24-2 release</b></a> - <small>Jan 31 2007, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2007-01/msg00013.html"><b>New Cygwin DLL 1.5.24-1 release</b></a> - <small>Jan 26 2007, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-12/msg00028.html"><b>New Cygwin DLL 1.5.23-2 release</b></a> - <small>Dec 20 2006, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-12/msg00025.html"><b>New Cygwin DLL 1.5.23-1 release</b></a> - <small>Dec 19 2006, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-11/msg00034.html"><b>New Cygwin DLL 1.5.22-1 release</b></a> - <small>Nov 14 2006, <a href="mailto:http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-07/msg00024.html"><b>New Cygwin DLL 1.5.21-1 release</b></a> - <small>Jul 23 2006, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-07/msg00000.html"><b>New Cygwin DLL 1.5.20-1 release</b></a> - <small>Jul 2 2006, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-01/msg00032.html"><b>New Cygwin DLL 1.5.19-4 release</b></a> - <small>Jan 20 2006, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-01/msg00030.html"><b>New Cygwin DLL 1.5.19-3 release</b></a> - <small>Jan 19 2006, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2006-01/msg00016.html"><b>New Cygwin DLL 1.5.19-1 release</b></a> - <small>Jan 16 2006, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://sources.redhat.com/ml/cygwin-announce/2005-07/msg00001.html"><b>New Cygwin DLL 1.5.18-1 release</b></a> - <small>Jul 2 2005, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2005-05/msg00029.html"><b>New Cygwin DLL 1.5.17-1 release</b></a> - <small>May 26 2005, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2005-04/msg00035.html"><b>New Cygwin DLL 1.5.16-1 release</b></a> - <small>Apr 26 2005, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2005-04/msg00022.html"><b>New Cygwin DLL 1.5.15-1 release</b></a> - <small>Apr 18 2005, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://sources.redhat.com/ml/cygwin-announce/2005-04/msg00000.html"><b>New Cygwin DLL 1.5.14-1 release</b></a> - <small>Apr 2 2005, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2005-03/msg00000.html"><b>New Cygwin DLL 1.5.13-1 release</b></a> - <small>Mar 1 2005, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2004-11/msg00014.html"><b>New Cygwin DLL 1.5.12-1 release</b></a> - <small>Nov 11 2004, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2004-09/msg00002.html"><b>New Cygwin DLL 1.5.11-1 release</b></a> - <small>Sep 5 2004, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2004-05/"><b>New Cygwin DLL 1.5.10-1 release</b></a> - <small>May 25 2004, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2004-03/msg00014.html"><b>New Cygwin DLL 1.5.9-1 release</b></a> - <small>Mar 19 2004, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2004-03/msg00009.html"><b>New Cygwin DLL 1.5.8-1 release</b></a> - <small>Mar 17 2004, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2004-01/msg00020.html"><b>New Cygwin DLL 1.5.7-1 release</b></a> - <small>Jan 31 2004, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2004-01/msg00010.html"><b>New Cygwin DLL 1.5.6-1 release</b></a> - <small>Jan 19 2004, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-09/msg00100.html"><b>New Cygwin DLL 1.5.5-1 release</b></a> - <small>Sep 20 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-09/msg00085.html"><b>New Cygwin DLL 1.5.4-1 release</b></a> - <small>Sep 13 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-09/msg00001.html"><b>New Cygwin DLL 1.5.3-1 release</b></a> - <small>Sep 1 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-08/msg00003.html"><b>New Cygwin DLL 1.5.2-1 <em>test</em> release</b></a> - <small>Aug 8 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A testing release of the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-07/msg00019.html"><b>New Cygwin DLL 1.5.1-1 <em>test</em> release</b></a> - <small>Jul 28 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A testing release of the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-07/msg00003.html"><b>New Cygwin DLL 1.5.0-1 <em>test</em> release</b></a> - <small>Jul 10 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A testing release of the Cygwin DLL and its accompanying utilities<br>complete with <a href="http://cygwin.com/ml/cygwin-announce/2003-07/msg00003.html">exciting new features!</a>. Will become current release soon!<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-03/msg00025.html"><b>New Cygwin DLL 1.3.22-1 release</b></a> - <small>Mar 18 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-03/msg00018.html"><b>New Cygwin DLL 1.3.21-1 release</b></a> - <small>Mar 12 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-02/msg00012.html"><b>New Cygwin DLL 1.3.20-1 release</b></a> - <small>Feb 9 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2003-01/msg00021.html"><b>New Cygwin DLL 1.3.19-1 release</b></a> - <small>Jan 23 2003, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-12/msg00031.html"><b>New Cygwin DLL 1.3.18-1 release</b></a> - <small>Dec 25 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-11/msg00037.html"><b>New Cygwin DLL 1.3.17-1 release</b></a> - <small>Nov 27 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-11/msg00034.html"><b>New Cygwin DLL 1.3.16-1 release</b></a> - <small>Nov 23 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-11/msg00004.html"><b>New Cygwin DLL 1.3.15-1 release</b></a> - <small>Nov 6 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-10/msg00013.html"><b>New Cygwin DLL 1.3.14-1 release</b></a> - <small>Oct 24 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-10/msg00004.html"><b>New Cygwin DLL 1.3.13-1 release</b></a> - <small>Oct 13 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002-07/msg00008.html"><b>New Cygwin DLL 1.3.12-2 release</b></a> - <small>Jul 8 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-07/msg00002.html"><b>New Cygwin DLL 1.3.12 release</b></a> - <small>Jul 3 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002-06/msg00012.html"><b>New Cygwin DLL 1.3.11 release</b></a> - <small>Jun 23 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2010-08/msg00035.html"><b>New Cygwin DLL 1.7.7-1 release</b></a> - <small>Aug 31 2010, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2010-08/msg00019.html"><b>New Cygwin DLL 1.7.6-1 release</b></a> - <small>Aug 17 2010, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2010-04/msg00021.html"><b>New Cygwin DLL 1.7.5-1 release</b></a> - <small>Apr 12 2010, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2010-04/msg00005.html"><b>New Cygwin DLL 1.7.4-1 release</b></a> - <small>Apr 7 2010, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2010-04/msg00002.html"><b>New Cygwin DLL 1.7.3-1 release</b></a> - <small>Apr 4 2010, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2010-03/msg00016.html"><b>New Cygwin DLL 1.7.2-1 release</b></a> - <small>Mar 24 2010, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2010-03/msg00018.html"><b>New Cygwin DLL 1.7.2-2 release</b></a> - <small>Mar 24 2010, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2009-12/msg00027.html"><b>New Cygwin DLL 1.7.1-1 release</b></a> - <small>Dec 23 2009, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>A major update release for the Cygwin DLL and its accompanying utilities. Cygwin 1.7.1 comes with a lot of new functionality and some behavioural changes compared to the 1.5 series. Mount points in /etc/fstab instead of in the registry, IPv6 support, advisory file locking, just to name a few.<br>
+<dt><a href="/ml/cygwin-announce/2008-06/msg00014.html"><b>New Cygwin DLL 1.5.25-15 release</b></a> - <small>Jun 14 2008, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin/2008-05/threads.html#00513"><b>New Cygwin DLL 1.5.25-14 release</b></a> - <small>May 27 2008, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2008-03/msg00031.html"><b>New Cygwin DLL 1.5.25-11 release</b></a> - <small>Mar 9 2008, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2007-12/msg00036.html"><b>New Cygwin DLL 1.5.25-7 release</b></a> - <small>Dec 17 2007, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2007-12/msg00023.html"><b>New Cygwin DLL 1.5.25-5 release</b></a> - <small>Dec 9 2007, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2007-01/msg00016.html"><b>New Cygwin DLL 1.5.24-2 release</b></a> - <small>Jan 31 2007, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2007-01/msg00013.html"><b>New Cygwin DLL 1.5.24-1 release</b></a> - <small>Jan 26 2007, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-12/msg00028.html"><b>New Cygwin DLL 1.5.23-2 release</b></a> - <small>Dec 20 2006, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-12/msg00025.html"><b>New Cygwin DLL 1.5.23-1 release</b></a> - <small>Dec 19 2006, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-11/msg00034.html"><b>New Cygwin DLL 1.5.22-1 release</b></a> - <small>Nov 14 2006, <a href="mailto:https://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-07/msg00024.html"><b>New Cygwin DLL 1.5.21-1 release</b></a> - <small>Jul 23 2006, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-07/msg00000.html"><b>New Cygwin DLL 1.5.20-1 release</b></a> - <small>Jul 2 2006, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-01/msg00032.html"><b>New Cygwin DLL 1.5.19-4 release</b></a> - <small>Jan 20 2006, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-01/msg00030.html"><b>New Cygwin DLL 1.5.19-3 release</b></a> - <small>Jan 19 2006, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2006-01/msg00016.html"><b>New Cygwin DLL 1.5.19-1 release</b></a> - <small>Jan 16 2006, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="http://sources.redhat.com/ml/cygwin-announce/2005-07/msg00001.html"><b>New Cygwin DLL 1.5.18-1 release</b></a> - <small>Jul 2 2005, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2005-05/msg00029.html"><b>New Cygwin DLL 1.5.17-1 release</b></a> - <small>May 26 2005, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2005-04/msg00035.html"><b>New Cygwin DLL 1.5.16-1 release</b></a> - <small>Apr 26 2005, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2005-04/msg00022.html"><b>New Cygwin DLL 1.5.15-1 release</b></a> - <small>Apr 18 2005, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="http://sources.redhat.com/ml/cygwin-announce/2005-04/msg00000.html"><b>New Cygwin DLL 1.5.14-1 release</b></a> - <small>Apr 2 2005, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2005-03/msg00000.html"><b>New Cygwin DLL 1.5.13-1 release</b></a> - <small>Mar 1 2005, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2004-11/msg00014.html"><b>New Cygwin DLL 1.5.12-1 release</b></a> - <small>Nov 11 2004, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2004-09/msg00002.html"><b>New Cygwin DLL 1.5.11-1 release</b></a> - <small>Sep 5 2004, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2004-05/"><b>New Cygwin DLL 1.5.10-1 release</b></a> - <small>May 25 2004, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2004-03/msg00014.html"><b>New Cygwin DLL 1.5.9-1 release</b></a> - <small>Mar 19 2004, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2004-03/msg00009.html"><b>New Cygwin DLL 1.5.8-1 release</b></a> - <small>Mar 17 2004, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor (Project Leader)</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2004-01/msg00020.html"><b>New Cygwin DLL 1.5.7-1 release</b></a> - <small>Jan 31 2004, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2004-01/msg00010.html"><b>New Cygwin DLL 1.5.6-1 release</b></a> - <small>Jan 19 2004, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-09/msg00100.html"><b>New Cygwin DLL 1.5.5-1 release</b></a> - <small>Sep 20 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-09/msg00085.html"><b>New Cygwin DLL 1.5.4-1 release</b></a> - <small>Sep 13 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-09/msg00001.html"><b>New Cygwin DLL 1.5.3-1 release</b></a> - <small>Sep 1 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-08/msg00003.html"><b>New Cygwin DLL 1.5.2-1 <em>test</em> release</b></a> - <small>Aug 8 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A testing release of the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-07/msg00019.html"><b>New Cygwin DLL 1.5.1-1 <em>test</em> release</b></a> - <small>Jul 28 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A testing release of the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-07/msg00003.html"><b>New Cygwin DLL 1.5.0-1 <em>test</em> release</b></a> - <small>Jul 10 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A testing release of the Cygwin DLL and its accompanying utilities<br>complete with <a href="/ml/cygwin-announce/2003-07/msg00003.html">exciting new features!</a>. Will become current release soon!<br>
+<dt><a href="/ml/cygwin-announce/2003-03/msg00025.html"><b>New Cygwin DLL 1.3.22-1 release</b></a> - <small>Mar 18 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-03/msg00018.html"><b>New Cygwin DLL 1.3.21-1 release</b></a> - <small>Mar 12 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-02/msg00012.html"><b>New Cygwin DLL 1.3.20-1 release</b></a> - <small>Feb 9 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2003-01/msg00021.html"><b>New Cygwin DLL 1.3.19-1 release</b></a> - <small>Jan 23 2003, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-12/msg00031.html"><b>New Cygwin DLL 1.3.18-1 release</b></a> - <small>Dec 25 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-11/msg00037.html"><b>New Cygwin DLL 1.3.17-1 release</b></a> - <small>Nov 27 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-11/msg00034.html"><b>New Cygwin DLL 1.3.16-1 release</b></a> - <small>Nov 23 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-11/msg00004.html"><b>New Cygwin DLL 1.3.15-1 release</b></a> - <small>Nov 6 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-10/msg00013.html"><b>New Cygwin DLL 1.3.14-1 release</b></a> - <small>Oct 24 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-10/msg00004.html"><b>New Cygwin DLL 1.3.13-1 release</b></a> - <small>Oct 13 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002-07/msg00008.html"><b>New Cygwin DLL 1.3.12-2 release</b></a> - <small>Jul 8 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-07/msg00002.html"><b>New Cygwin DLL 1.3.12 release</b></a> - <small>Jul 3 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
+<dt><a href="/ml/cygwin-announce/2002-06/msg00012.html"><b>New Cygwin DLL 1.3.11 release</b></a> - <small>Jun 23 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and its accompanying utilities.<br>
 <dt><a href="http://gmane.org"><b><em>Unofficial</em> Off-site Cygwin News Server</b></a> - <small>Mar 2 2002, <a href="mailto:mailto:danpadams@infomagic.net">Daniel Adams</a></small><dd>A news server for the cygwin mailing list has been available for a little while now. it is available at news://news.gmane.org/gmane.os.cygwin To me and many others this is a great rescource. While I am not the person who may have started the news server, I am an advocate of it. This server is run by an external service and is not <b>officially</b> associated with the Cygwin project. Problems or questions should go to the gmane.org site <b>not</b> the cygwin mailing list.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2002/msg00063.html"><b>New Cygwin DLL 1.3.10 release</b></a> - <small>Feb 27 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002/msg00030.html"><b>New Cygwin DLL 1.3.9 release</b></a> - <small>Jan 21 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002/msg00026.html"><b>New Cygwin DLL 1.3.8 release</b></a> - <small>Jan 20 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002/msg00023.html"><b>New Cygwin DLL 1.3.7 release</b></a> - <small>Jan 19 2002, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2001/msg00169.html"><b>New Cygwin DLL 1.3.6 release</b></a> - <small>Dec 2 2001, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2001/msg00140.html"><b>New Cygwin DLL 1.3.5 release</b></a> - <small>Nov 11 2001, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2001/msg00136.html"><b>New Cygwin DLL 1.3.4 release</b></a> - <small>Nov 6 2001, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2001/msg00112.html"><b>New Cygwin DLL 1.3.3 release</b></a> - <small>Sep 12 2001, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2001/msg00063.html"><b>New Cygwin DLL 1.3.2 release</b></a> - <small>May 21 2001, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL (and utilities),<br> and W32API.
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2001/msg00040.html"><b>New Cygwin DLL 1.3.1 release</b></a> - <small>Apr 24 2001, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL(and utilities),<br> MinGW, and W32API.
+<dt><a href="/ml/cygwin-announce/2002/msg00063.html"><b>New Cygwin DLL 1.3.10 release</b></a> - <small>Feb 27 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002/msg00030.html"><b>New Cygwin DLL 1.3.9 release</b></a> - <small>Jan 21 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002/msg00026.html"><b>New Cygwin DLL 1.3.8 release</b></a> - <small>Jan 20 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2002/msg00023.html"><b>New Cygwin DLL 1.3.7 release</b></a> - <small>Jan 19 2002, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="/ml/cygwin-announce/2001/msg00169.html"><b>New Cygwin DLL 1.3.6 release</b></a> - <small>Dec 2 2001, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="/ml/cygwin-announce/2001/msg00140.html"><b>New Cygwin DLL 1.3.5 release</b></a> - <small>Nov 11 2001, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="/ml/cygwin-announce/2001/msg00136.html"><b>New Cygwin DLL 1.3.4 release</b></a> - <small>Nov 6 2001, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="/ml/cygwin-announce/2001/msg00112.html"><b>New Cygwin DLL 1.3.3 release</b></a> - <small>Sep 12 2001, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL and cygwin-specific utilities.<br>
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2001/msg00063.html"><b>New Cygwin DLL 1.3.2 release</b></a> - <small>May 21 2001, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL (and utilities),<br> and W32API.
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2001/msg00040.html"><b>New Cygwin DLL 1.3.1 release</b></a> - <small>Apr 24 2001, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL(and utilities),<br> MinGW, and W32API.
 <dt><a href="ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/"><b>Franken Archives Moved</b></a> - <small>Apr 19 2001, <a href="mailto:mailto:mh@mike.franken.de">Michael Hirmke</a></small><dd>The archives at franken.de have been moved to ftp.uni-erlangen.de<br> to support the increase in download traffic from the Cygwin areas.<br> ftp.uni-erlangen.de has a 155Mbit connection so the change should<br> be a good thing for all users. Please check all your links and<br> make sure they reflect the new name. The upload of ported packages<br> is still allowed to the upload directory on ftp.franken.de as<br> described in my <a href="http://www.hirmke.de/software/develop/gnuwin32/cygwin/porters/Hirmke_Michael/GNUWin32-contents.html#How to upload to German GNUWin32 site">package report</a>.
-<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2001/msg00009.html"><b>New Cygwin DLL 1.1.8 release</b></a> - <small>Jan 31 2001, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2000/msg00103.html"><b>New Cygwin DLL 1.1.7 release</b></a> - <small>Dec 28 2000, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
+<dt><a href="http://www.cygwin.com/ml/cygwin-announce/2001/msg00009.html"><b>New Cygwin DLL 1.1.8 release</b></a> - <small>Jan 31 2001, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
+<dt><a href="/ml/cygwin-announce/2000/msg00103.html"><b>New Cygwin DLL 1.1.7 release</b></a> - <small>Dec 28 2000, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
 <dt><a href="http://www.icarus.com/eda/verilog/"><b>Icarus Verilog updated</b></a> - <small>Dec 16 2000, <a href="mailto:mailto:steve@icarus.com">Stephen Williams</a></small><dd>Icarus Verilog was uncompilable by the last few binutils releases. The latest snapshot (20001216)<br> of Icarus Verilog fixes this problem. If you are one of the multitudes that had troubles, get a<br> snapshot update.
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2000/msg00094.html"><b>New Cygwin DLL 1.1.6 release</b></a> - <small>Nov 22 2000, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2000/msg00086.html"><b>New Cygwin DLL 1.1.5 release</b></a> - <small>Nov 11 2000, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2000/msg00056.html"><b>New Cygwin DLL 1.1.4 release</b></a> - <small>Aug 6 2000, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A bug fix release for the Cygwin DLL <b>only</b>.
-<dt><a href="http://cygwin.com/ml/cygwin-announce/2000/msg00023.html"><b>New Cygwin DLL 1.1.2 release</b></a> - <small>Jun 14 2000, <a href="mailto:http://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A bug fix release for the Cygwin DLL <b>only</b>.
+<dt><a href="/ml/cygwin-announce/2000/msg00094.html"><b>New Cygwin DLL 1.1.6 release</b></a> - <small>Nov 22 2000, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
+<dt><a href="/ml/cygwin-announce/2000/msg00086.html"><b>New Cygwin DLL 1.1.5 release</b></a> - <small>Nov 11 2000, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>An update release for the Cygwin DLL <b>only</b>.
+<dt><a href="/ml/cygwin-announce/2000/msg00056.html"><b>New Cygwin DLL 1.1.4 release</b></a> - <small>Aug 6 2000, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A bug fix release for the Cygwin DLL <b>only</b>.
+<dt><a href="/ml/cygwin-announce/2000/msg00023.html"><b>New Cygwin DLL 1.1.2 release</b></a> - <small>Jun 14 2000, <a href="mailto:https://cygwin.com/lists.html">Christopher Faylor</a></small><dd>A bug fix release for the Cygwin DLL <b>only</b>.
diff --git a/news-new.html b/news-new.html
index 497c47c..c1b4bca 100644
--- a/news-new.html
+++ b/news-new.html
@@ -1,10 +1,10 @@
-<p><a href="http://cygwin.com/ml/cygwin-announce/2010-08/msg00035.html"><b>New Cygwin DLL 1.7.7-1 release</b></a><small><br>An update release for the Cygwin DLL and its accompanying utilities.<br> <i>Aug 31 2010, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2010-08/msg00019.html"><b>New Cygwin DLL 1.7.6-1 release</b></a><small><br>An update release for the Cygwin DLL and its accompanying utilities.<br> <i>Aug 17 2010, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2010-04/msg00021.html"><b>New Cygwin DLL 1.7.5-1 release</b></a><small><i><br>Apr 12 2010, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2010-04/msg00005.html"><b>New Cygwin DLL 1.7.4-1 release</b></a><small><i><br>Apr 7 2010, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2010-04/msg00002.html"><b>New Cygwin DLL 1.7.3-1 release</b></a><small><i><br>Apr 4 2010, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2010-03/msg00016.html"><b>New Cygwin DLL 1.7.2-1 release</b></a><small><i><br>Mar 24 2010, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2010-03/msg00018.html"><b>New Cygwin DLL 1.7.2-2 release</b></a><small><i><br>Mar 24 2010, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2009-12/msg00027.html"><b>New Cygwin DLL 1.7.1-1 release</b></a><small><i><br>Dec 23 2009, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin-announce/2008-06/msg00014.html"><b>New Cygwin DLL 1.5.25-15 release</b></a><small><i><br>Jun 14 2008, <a href="http://cygwin.com/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
-<p><a href="http://cygwin.com/ml/cygwin/2008-05/threads.html#00513"><b>New Cygwin DLL 1.5.25-14 release</b></a><small><i><br>May 27 2008, <a href="http://cygwin.com/lists.html">Christopher Faylor (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2010-08/msg00035.html"><b>New Cygwin DLL 1.7.7-1 release</b></a><small><br>An update release for the Cygwin DLL and its accompanying utilities.<br> <i>Aug 31 2010, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2010-08/msg00019.html"><b>New Cygwin DLL 1.7.6-1 release</b></a><small><br>An update release for the Cygwin DLL and its accompanying utilities.<br> <i>Aug 17 2010, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2010-04/msg00021.html"><b>New Cygwin DLL 1.7.5-1 release</b></a><small><i><br>Apr 12 2010, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2010-04/msg00005.html"><b>New Cygwin DLL 1.7.4-1 release</b></a><small><i><br>Apr 7 2010, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2010-04/msg00002.html"><b>New Cygwin DLL 1.7.3-1 release</b></a><small><i><br>Apr 4 2010, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2010-03/msg00016.html"><b>New Cygwin DLL 1.7.2-1 release</b></a><small><i><br>Mar 24 2010, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2010-03/msg00018.html"><b>New Cygwin DLL 1.7.2-2 release</b></a><small><i><br>Mar 24 2010, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2009-12/msg00027.html"><b>New Cygwin DLL 1.7.1-1 release</b></a><small><i><br>Dec 23 2009, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin-announce/2008-06/msg00014.html"><b>New Cygwin DLL 1.5.25-15 release</b></a><small><i><br>Jun 14 2008, <a href="/lists.html">Corinna Vinschen (Co-Project Leader)</a></i></small></p>
+<p><a href="/ml/cygwin/2008-05/threads.html#00513"><b>New Cygwin DLL 1.5.25-14 release</b></a><small><i><br>May 27 2008, <a href="/lists.html">Christopher Faylor (Co-Project Leader)</a></i></small></p>
diff --git a/packages/.htaccess b/packages/.htaccess
index d83d3ec..14beef6 100644
--- a/packages/.htaccess
+++ b/packages/.htaccess
@@ -1 +1 @@
-Redirect temp /packages/index.html http://cygwin.com/cgi-bin2/package-grep.cgi
+Redirect temp /packages/index.html https://cygwin.com/cgi-bin2/package-grep.cgi
diff --git a/problems.html b/problems.html
index 5bb5737..4605385 100755
--- a/problems.html
+++ b/problems.html
@@ -18,7 +18,7 @@ in your best interests to do some initial research.
 
 <p>First, you need to verify that your potential problem hasn't already been
 reported by reading the <a href="faq.html">Cygwin FAQ</a> and the <a
-href="http://cygwin.com/ml/cygwin/">mailing list archives</a>.  If your
+href="/ml/cygwin/">mailing list archives</a>.  If your
 issue is still unresolved, feel free to write to the cygwin list with
 your problem.
 
diff --git a/setup.html b/setup.html
index 87a695f..04edec9 100755
--- a/setup.html
+++ b/setup.html
@@ -17,11 +17,11 @@
   related policies to ensure good behaviour from the setup program.
 </p>
 
-<p><a href="http://sourceware.org/cygwin-apps/setup.html">Setup</a> depends on
+<p><a href="https://sourceware.org/cygwin-apps/setup.html">Setup</a> depends on
   certain conventions being followed. If they are not followed, bad things may
   happen to the users of the setup program. Where a convention can be ignored,
   should circumstances warrant, this document will specify that. Setup has it's
-  own <a href="http://sourceware.org/cygwin-apps/setup.html">homepage</a>. If you
+  own <a href="https://sourceware.org/cygwin-apps/setup.html">homepage</a>. If you
   are interested in adding features to setup, you should consult the setup
   homepage.
 
@@ -511,7 +511,7 @@ etc...
      cygport script that drives the packaging process.</p>
   </li>
   <li>In your binary package, you may choose to include a file /usr/share/doc/Cygwin/foo-vendor-suffix.README containing (at a minimum) the information needed for an end user to recreate the package. This includes CFLAGS settings, configure parameters, etc.
-    (You can adapt <a href="http://sourceware.org/viewvc/cygwin-apps/packaging/templates/generic-readme?view=co">this generic README</a>.)
+    (You can adapt <a href="https://sourceware.org/viewvc/cygwin-apps/packaging/templates/generic-readme?view=co">this generic README</a>.)
   </li>
   <li>In your binary package include a directory /usr/share/doc/foo/ that includes any binary-relevant upstream documentation, such as ChangeLogs, copyright licences, READMEs etc. </li>
   <li>If you are not creating your package from an installed virtual root, be sure to check that the file permissions are appropriate. </li>
@@ -589,7 +589,7 @@ and sample .cygport files.</p>
       <li><b>Include a complete <tt>setup.hint</tt> file as part of your proposal</b>. Include this file in the text of your message so that it can be commented on. Do not submit it as an attachment.</li>
       <li>If the new package is a well-known program already included in a major Linux distribution (e.g. Debian, Fedora, SuSE) please <b>include the URL</b> of the package page.  Note that "development", "test", and "unstable" packages are <b>not eligible</b> for this rule.</li>
       <li>If the package is not included in any major Linux distro it must receive <b>five positive votes</b> from other package maintainers in order to be accepted.</li>
-      <li>It's helpful to mention which <a href="http://opensource.org/licenses">open source license</a> applies to the source.</li>
+      <li>It's helpful to mention which <a href="https://opensource.org/licenses">open source license</a> applies to the source.</li>
     </ul>
   </li>
   <li>
@@ -618,7 +618,7 @@ and sample .cygport files.</p>
 <h2><a id="acceptance" name="acceptance">Uploading an accepted package</a></h2>
 <ol>
   <li>Once you have your GTG,
-      follow <a href="http://sourceware.org/cygwin-apps/package-upload.html">these
+      follow <a href="https://sourceware.org/cygwin-apps/package-upload.html">these
       instructions</a> for submitting a ssh key and uploading your package files.</li>
   <li>Announce via the <tt>cygwin-announce</tt> mailing list that the new package is available. Use the <a href="#announcement">announce message example</a> listed later in this page as a template for your announcement.<br />
     Be sure the unsubscribe instructions are included at the end of the email, since cygwin-announce does not add any.<br />
@@ -629,7 +629,7 @@ and sample .cygport files.</p>
 <p>So you've got an updated package you want to submit. You should
   already have upload privileges, and should be able to do the entire
   process yourself, by
-  following <a href="http://sourceware.org/cygwin-apps/package-upload.html">these
+  following <a href="https://sourceware.org/cygwin-apps/package-upload.html">these
   instructions</a>.  If you encounter any problems, email
   the <tt>cygwin-apps</tt> mailing list.
 <ol>
diff --git a/snapshots/build-page b/snapshots/build-page
index 0690b6b..4922a12 100755
--- a/snapshots/build-page
+++ b/snapshots/build-page
@@ -26,7 +26,7 @@ $| = 1;
 
 my $TMP = File::Temp->newdir();
 my $wwwdir = getcwd;
-my $http = "https://cygwin.com/snapshots";
+my $http = "/snapshots";
 
 our ($master, $perday);
 for my $t (qw'master perday') {
diff --git a/snapshots/master.template b/snapshots/master.template
index fc7427f..e0a1c2b 100644
--- a/snapshots/master.template
+++ b/snapshots/master.template
@@ -63,8 +63,8 @@ source tree</a>.
 bug fixes in the Cygwin sources.</p>
 
 <p>Snapshots are provided as an advance look at the next
-version of Cygwin.  Users are encouraged to <a href="http://cygwin.com/faq-nochunks.html#faq.setup.snapshots">try them</a> and report problems
-to the <a href="http://cygwin.com/lists.html">Cygwin mailing list</a>.
+version of Cygwin.  Users are encouraged to <a href="/faq-nochunks.html#faq.setup.snapshots">try them</a> and report problems
+to the <a href="/lists.html">Cygwin mailing list</a>.
 Testing snapshots helps ensure good Cygwin DLL releases.</p>
 </div>
 </body>
diff --git a/software-full.html b/software-full.html
index 55772d8..4ddeab5 100644
--- a/software-full.html
+++ b/software-full.html
@@ -1,6 +1,6 @@
 <a href="http://entropy.stop1984.com/en/index.html"><b>Entropy RSA P2P network</b></a><br>
 <a href="http://cygwinports.dotsrc.org/"><b>New home for Cygwin Ports</b></a><br>
-<a href="http://cygwin.com/ml/cygwin-xfree-announce/2008-11/msg00000.html"><b>New release of X.org software</b></a><br>
+<a href="/ml/cygwin-xfree-announce/2008-11/msg00000.html"><b>New release of X.org software</b></a><br>
 <a href="http://savi.sourceforge.net/"><b>SaVi 1.2.8</b></a><br>
 <a href="http://www.ee.surrey.ac.uk/Personal/L.Wood/software/SaVi/"><b>SaVi satellite constellation visualization</b></a><br>
 <a href="http://www.physionet.org/physiotools/xview/"><b>XView libraries</b></a><br>
diff --git a/software-new.html b/software-new.html
index 8750e90..1432acf 100644
--- a/software-new.html
+++ b/software-new.html
@@ -1,4 +1,4 @@
-<p><a href="http://cygwin.com/ml/cygwin-xfree-announce/2008-11/msg00000.html"><b>New release of X.org software</b></a><small><i><br>Nov 16 2008, <a href="mailto:cygwin-xfree@cygwin.com">Yaakov Selkowitz</a></i></small></p>
+<p><a href="/ml/cygwin-xfree-announce/2008-11/msg00000.html"><b>New release of X.org software</b></a><small><i><br>Nov 16 2008, <a href="mailto:cygwin-xfree@cygwin.com">Yaakov Selkowitz</a></i></small></p>
 <p><a href="http://savi.sourceforge.net/"><b>SaVi 1.2.8</b></a><small><i><br>Jan 5 2006, <a href="mailto:L.Wood@eim.surrey.ac.uk">Lloyd Wood</a></i></small></p>
 <p><a href="http://cygwinports.dotsrc.org/"><b>New home for Cygwin Ports</b></a><small><i><br>Aug 31 2005, <a href="http://cygwinports.dotsrc.org/">Yaakov Selkowitz</a></i></small></p>
 <p><a href="http://entropy.stop1984.com/en/index.html"><b>Entropy RSA P2P network</b></a><small><i><br>Jun 27 2005, <a href="http://entropy.stop1984.com/en/index.html">Juergen Buchmueller</a></i></small></p>
diff --git a/style.css b/style.css
index c7d9798..877b3eb 100644
--- a/style.css
+++ b/style.css
@@ -63,6 +63,11 @@ text-decoration: none;
 font-family: "arial";
 }
 
+#navbar a.gold
+{
+color:gold;
+}
+
 #navbar h4
 {
 font-style: normal;
diff --git a/who.html b/who.html
index 04c4d06..3b0a708 100755
--- a/who.html
+++ b/who.html
@@ -12,7 +12,7 @@
 <h1>Who are we?*</h1>
 <ul>
 <br><br><li>Corinna Vinschen (corinna) is the project lead.
-Corinna is a senior <a href="http://redhat.com/">Red Hat</a> engineer.
+Corinna is a senior <a href="https://redhat.com/">Red Hat</a> engineer.
 Corinna is responsible for such important subsystems as security,
 networking, and internationalization.
 
@@ -36,7 +36,7 @@ Inc.) but the majority of package maintainership and a significant
 percentage of Cygwin development is handled by non-Red Hat
 volunteers.
 
-<br><br><li>Like many <a href="http://sourceware.org/sourcecode.html">free software projects</a> on
+<br><br><li>Like many <a href="https://sourceware.org/projects.html">free software projects</a> on
 sourceware.org, contributions from net people are especially
 important.  Cygwin benefits from thousands of testers and dozens of
 contributors, including some incredible people like Sergey Okhapkin,
diff --git a/xfree/.htaccess b/xfree/.htaccess
index 6c1b82b..b39e35b 100644
--- a/xfree/.htaccess
+++ b/xfree/.htaccess
@@ -1,4 +1,4 @@
 Redirect permanent /links.html http://x.cygwin.com/
 Redirect permanent /chat.html http://x.cygwin.com/
 Redirect permanent /faq.html http://x.cygwin.com/docs/faq/
-Redirect permanent /donations.html http://cygwin.com/donations.html
+Redirect permanent /donations.html https://cygwin.com/donations.html
diff --git a/xfree/contributors.html b/xfree/contributors.html
index 6f81f09..18c6564 100755
--- a/xfree/contributors.html
+++ b/xfree/contributors.html
@@ -28,7 +28,7 @@
         <tbody>
 
             <tr>
-                <td><a href="http://cygwin.com/">Christopher
+                <td><a href="/">Christopher
                 Faylor</a> (gave Cygwin/X a home on the web, a
                 binary distribution network, and works on Cygwin
                 proper)</td>
diff --git a/xfree/cygx-leftbar.html b/xfree/cygx-leftbar.html
index 4c73873..85dfe56 100644
--- a/xfree/cygx-leftbar.html
+++ b/xfree/cygx-leftbar.html
@@ -6,7 +6,7 @@
 <div id="navbar">
 <b class="rtop"><b class="r1"></b><b class="r2"></b><b class="r3"></b><b class="r4"></b></b>
 <ul>
-<li><a href="http://cygwin.com/index.html">Cygwin</a></li>
+<li><a href="/index.html">Cygwin</a></li>
 </ul>
 <ul>
 <li><a href="http://x.cygwin.com/">Cygwin/X</a></li>
@@ -21,7 +21,7 @@
 <li><a href="http://x.cygwin.com/docs/cg/">&nbsp;&nbsp;&nbsp;Contributor's Guide</a></li>
 </ul>
 <ul>
-<li><a href="http://cygwin.com/problems.html">Support</a></li>
+<li><a href="/problems.html">Support</a></li>
 <li><a href="http://x.cygwin.com/devel/backtrace.html">&nbsp;&nbsp;&nbsp;Reporting crashes</a></li>
 </ul>
 <ul>
diff --git a/xfree/cygx-news-new.html b/xfree/cygx-news-new.html
index eac3c8b..f65f3a6 100644
--- a/xfree/cygx-news-new.html
+++ b/xfree/cygx-news-new.html
@@ -5,9 +5,9 @@ X server 1.18</a> and
 X.Org X11 Release 7.7</a>
 are now included in Cygwin.
 Details are available in the announcements
-<a href="https://cygwin.com/ml/cygwin-announce/2015-11/msg00048.html">
+<a href="/ml/cygwin-announce/2015-11/msg00048.html">
 here</a> and
-<a href="http://cygwin.com/ml/cygwin-xfree-announce/2012-07/msg00001.html">
+<a href="/ml/cygwin-xfree-announce/2012-07/msg00001.html">
 here</a>.
 </p>
 
@@ -21,7 +21,7 @@ this FAQ</a> for more details.
 <p>
 Users upgrading from monolithic X (Release 6.9 and earlier, available via setup before November 2008)
 should also see the
-<a href="http://cygwin.com/ml/cygwin-xfree-announce/2008-11/msg00000.html">
+<a href="/ml/cygwin-xfree-announce/2008-11/msg00000.html">
 announcement about modular X</a>.
 <i>2016-Feb-15</i>
 </p>
diff --git a/xfree/devel/server/entries-200.html b/xfree/devel/server/entries-200.html
index 142799c..0ef38d5 100644
--- a/xfree/devel/server/entries-200.html
+++ b/xfree/devel/server/entries-200.html
@@ -57,10 +57,10 @@ We would appreciate if anyone previously having such issues would report if this
 </li>
 <li>Clipboard integration is now enabled by default, with a '-noclipboard' option for disabling it.  The '-clipboard' option, although no longer necessary, is still accepted<li>
 <li>Fixed the 20-second startup delay caused by inet6 listener failure
-<a href="http://cygwin.com/ml/cygwin-xfree/2009-06/msg00075.html">(bug report)</a>
+<a href="/ml/cygwin-xfree/2009-06/msg00075.html">(bug report)</a>
 </li>
 <li>Fixed a crash caused by network interfaces with no broadcast address
-<a href="http://cygwin.com/ml/cygwin-xfree/2009-06/msg00071.html">(bug report)</a>
+<a href="/ml/cygwin-xfree/2009-06/msg00071.html">(bug report)</a>
 </ul>
 </td>
 </tr>
@@ -103,7 +103,7 @@ We would appreciate if anyone previously having such issues would report if this
 <ul>
 <li>
 <li>Added Xinerama support in some modes
-(<a href="http://cygwin.com/ml/cygwin-xfree-announce/2009-02/msg00007.html">more details here</a>)</li>
+(<a href="/ml/cygwin-xfree-announce/2009-02/msg00007.html">more details here</a>)</li>
 <li>Fixed Latin American keyboard layout detection</li>
 <li>Remainder of Xming clipboard patches</li>
 <li>Additional clipboard debugging messages</li>
diff --git a/xfree/devel/server/index.html b/xfree/devel/server/index.html
index 70f515e..c6903ed 100755
--- a/xfree/devel/server/index.html
+++ b/xfree/devel/server/index.html
@@ -79,7 +79,7 @@
         e.g. DirectDraw, etc.</li>
 
         <li>Read the
-        <a href="http://cygwin.com/ml/cygwin/">cygwin mailing list</a> and post
+        <a href="/ml/cygwin/">cygwin mailing list</a> and post
         your contributions.</li>
     </ul>
 
diff --git a/xfree/devel/todo.html b/xfree/devel/todo.html
index 543d80e..183de54 100755
--- a/xfree/devel/todo.html
+++ b/xfree/devel/todo.html
@@ -126,7 +126,7 @@
 
                 <td><p>Testing of the implementation of indirect OpenGL acceleration using native WGL.
 		Additional information is in the
-		<a href="http://cygwin.com/ml/cygwin-xfree/2009-06/msg00088.html">email asking for testing</a>.
+		<a href="/ml/cygwin-xfree/2009-06/msg00088.html">email asking for testing</a>.
                 <a href="http://sourceware.org/bugzilla/show_bug.cgi?id=10472">Bug #10472</a>
                 </p>
                 <p>
diff --git a/xfree/devel/xwinclip/changelog.html b/xfree/devel/xwinclip/changelog.html
index 7a0a161..547382f 100755
--- a/xfree/devel/xwinclip/changelog.html
+++ b/xfree/devel/xwinclip/changelog.html
@@ -31,10 +31,10 @@
 
     <p>xwinclip binary and source code releases are available via
     the sources.redhat.com ftp
-    <a href="http://cygwin.com/mirrors.html">mirror network</a> in
+    <a href="/mirrors.html">mirror network</a> in
     the pub/cygwin/xfree/devel/xwinclip/ directory. You may wish to
     note the desired filename in the links below, then download
-    from your <a href="http://cygwin.com/mirrors.html">closest
+    from your <a href="/mirrors.html">closest
     mirror</a>.</p><!-- Change log entry template -->
     <!--
         <h4></h4>
diff --git a/xfree/devel/xwinclip/index.html b/xfree/devel/xwinclip/index.html
index e01adbf..39daef7 100755
--- a/xfree/devel/xwinclip/index.html
+++ b/xfree/devel/xwinclip/index.html
@@ -66,7 +66,7 @@
     <h4>Downloading and Installing an xwinclip Binary</h4>
 
     <p>To update your installation, click on the "Install Cygwin
-    now" link on the http://cygwin.com/ web page. This downloads
+    now" link on the https://cygwin.com/ web page. This downloads
     setup.exe to your system. Once you've downloaded setup.exe, run
     it and select "XFree86" and then click on the appropriate field
     until the above announced version number appears if it is not
diff --git a/xfree/docs/cg/cross.html b/xfree/docs/cg/cross.html
index 1ff7ffa..d464f79 100644
--- a/xfree/docs/cg/cross.html
+++ b/xfree/docs/cg/cross.html
@@ -135,7 +135,7 @@ hardly anything uses HOST_EXEEXT correctly, etc.
 ></DIV
 ><P
 >&#13;This <A
-HREF="http://cygwin.com/ml/cygwin/2010-09/msg00194.html"
+HREF="/ml/cygwin/2010-09/msg00194.html"
 TARGET="_top"
 >mailing list thread</A
 >
@@ -177,7 +177,7 @@ These may contain patches against the stock upstream release required to
 build or function correctly on Cygwin,
 therefore, it is highly recommended that you obtain the binutils and
 GCC sources from the <A
-HREF="http://cygwin.com/mirrors.html"
+HREF="/mirrors.html"
 TARGET="_top"
 >Cygwin
 mirror network</A
diff --git a/xfree/docs/faq/cygwin-x-faq.html b/xfree/docs/faq/cygwin-x-faq.html
index 93a0162..e373ee2 100644
--- a/xfree/docs/faq/cygwin-x-faq.html
+++ b/xfree/docs/faq/cygwin-x-faq.html
@@ -978,7 +978,7 @@ CLASS="answer"
 > </B
 >Cygwin tools are, in the words of the
 <A
-HREF="http://cygwin.com/faq.html#faq.what"
+HREF="/faq.html#faq.what"
 TARGET="_top"
 >Cygwin FAQ</A
 >,
@@ -1299,7 +1299,7 @@ CLASS="answer"
 >Yes, Cygwin/X is on-topic for the cygwin@cygwin.com mailing list.
 Non-subscribers may post to this list.
 Visit the <A
-HREF="http://cygwin.com/lists.html"
+HREF="/lists.html"
 TARGET="_top"
 >Cygwin Mailing Lists</A
 >
@@ -1632,7 +1632,7 @@ CLASS="answer"
 >The upgrade from X.Org R6.8 to modular X.Org R7.4 made a lot of changes.
 Please
 <A
-HREF="http://cygwin.com/ml/cygwin-xfree-announce/2008-11/msg00000.html"
+HREF="/ml/cygwin-xfree-announce/2008-11/msg00000.html"
 TARGET="_top"
 >&#13;read the announce email</A
 >
@@ -1990,7 +1990,7 @@ CLASS="answer"
 HREF="cygwin-x-faq.html#q-ssh-no-x11forwarding"
 >Q: 6.1.</A
 > and following.  See <A
-HREF="http://cygwin.com/ml/cygwin-xfree/2008-11/msg00154.html"
+HREF="/ml/cygwin-xfree/2008-11/msg00154.html"
 TARGET="_top"
 >point 3 in this mail</A
 >.  Use ssh -Y.</P
@@ -2265,7 +2265,7 @@ CLASS="command"
 </P
 ><P
 >&#13;See <A
-HREF="https://cygwin.com/ml/cygwin-xfree-announce/2014-11/msg00004.html"
+HREF="/ml/cygwin-xfree-announce/2014-11/msg00004.html"
 TARGET="_top"
 >&#13;the announce mail</A
 > for more details.
@@ -3182,7 +3182,7 @@ CLASS="replaceable"
 from a cygwin shell after connecting.</P
 ><P
 >&#13;See this <A
-HREF="http://cygwin.com/ml/cygwin-xfree/2011-07/msg00011.html"
+HREF="/ml/cygwin-xfree/2011-07/msg00011.html"
 TARGET="_top"
 >&#13;mailing list thread</A
 > for more discussion and a possible workaround.
@@ -3439,7 +3439,7 @@ HREF="cygwin-x-faq.html#q-bash-extended-chars"
 </P
 ><P
 >&#13;See also <A
-HREF="http://cygwin.com/faq/faq.html#faq.using.unicode"
+HREF="/faq/faq.html#faq.using.unicode"
 TARGET="_top"
 >the main Cygwin FAQ question on unicode
 support in Cygwin</A
@@ -3917,7 +3917,7 @@ extension uses an arbitrary and limited access control policy, which
 results in a lot of applications not working correctly (e.g. not being
 able to cut and paste) and what is really a false sense of security.
 See this mail <A
-HREF="http://cygwin.com/ml/cygwin-xfree/2008-11/msg00154.html"
+HREF="/ml/cygwin-xfree/2008-11/msg00154.html"
 TARGET="_top"
 >for more on the subject</A
 >.
@@ -4892,7 +4892,7 @@ CLASS="answer"
 ><B
 > </B
 >Search the <A
-HREF="http://cygwin.com/ml/cygwin/"
+HREF="/ml/cygwin/"
 TARGET="_top"
 >Cygwin/X
 mailing list archives</A
@@ -4931,7 +4931,7 @@ CLASS="answer"
 > </B
 >Some bug reports are deliberately ignored by project members if
 the bug in question was recently dealt with; did you <A
-HREF="http://cygwin.com/ml/cygwin/"
+HREF="/ml/cygwin/"
 TARGET="_top"
 >search the mailing list archives</A
 >
@@ -5796,7 +5796,7 @@ system.</P
 ><LI
 ><P
 >&#13;See also <A
-HREF="http://cygwin.com/faq.html#faq.setup.setup-fails-on-ts"
+HREF="/faq.html#faq.setup.setup-fails-on-ts"
 TARGET="_top"
 >&#13;this main Cygwin FAQ question</A
 > for an issue which may cause this
@@ -5962,7 +5962,7 @@ software.</P
 >
 
 See <A
-HREF="http://cygwin.com/faq.html#faq.using.bloda"
+HREF="/faq.html#faq.using.bloda"
 TARGET="_top"
 >&#13;the main Cygwin FAQ question</A
 > for an up-to-date list of software
@@ -6182,7 +6182,7 @@ rebooting as advised by setup.  Reboot.
 ><P
 >&#13;This is one of the symptoms of an application interfering with Cygwin's fork() emulation.
 See <A
-HREF="http://cygwin.com/faq.html#faq.using.bloda"
+HREF="/faq.html#faq.using.bloda"
 TARGET="_top"
 >&#13;the main Cygwin FAQ question</A
 > for a list of software
@@ -6194,7 +6194,7 @@ which has been known to interfere with the correct operation of Cygwin.
 >&#13;This also caused by DLLs with conflicting base addresses preventing Cygwin's fork() emulation
 from functioning correctly.
 See <A
-HREF="http://cygwin.com/faq.html#faq.using.fixing-fork-failures"
+HREF="/faq.html#faq.using.fixing-fork-failures"
 TARGET="_top"
 >&#13;the main Cygwin FAQ question</A
 > for advice.
@@ -6829,7 +6829,7 @@ CLASS="answer"
 > </B
 >Cygwin source code is
 <A
-HREF="https://cygwin.com/licensing.html"
+HREF="/licensing.html"
 TARGET="_top"
 >&#13;licensed under a modified version of the
 <ACRONYM
diff --git a/xfree/docs/ug/cygwin-x-ug.txt b/xfree/docs/ug/cygwin-x-ug.txt
index 142b114..7deae27 100644
--- a/xfree/docs/ug/cygwin-x-ug.txt
+++ b/xfree/docs/ug/cygwin-x-ug.txt
@@ -148,7 +148,7 @@ Installing Cygwin/X
 
    Cygwin has a nice setup program that downloads and installs the
    necessary Cygwin packages for you.
-    1. Open the Cygwin, http://cygwin.com/ page in your web browser
+    1. Open the Cygwin, https://cygwin.com/ page in your web browser
     2. Click on the "setup-x86.exe" (32-bit installation) or
        "setup-x86_64.exe" (64-bit installation) link to download the
        appropriate setup program from the primary Cygwin server. Save it
diff --git a/xfree/docs/ug/setup-cygwin-x-installing.html b/xfree/docs/ug/setup-cygwin-x-installing.html
index 8734287..83077cc 100644
--- a/xfree/docs/ug/setup-cygwin-x-installing.html
+++ b/xfree/docs/ug/setup-cygwin-x-installing.html
@@ -76,9 +76,9 @@ NAME="setup-cygwin-x-installing"
 ><P
 >Cygwin tools are, in the words of the Cygwin development
 homepage, <A
-HREF="http://cygwin.com/"
+HREF="/"
 TARGET="_top"
->http://cygwin.com/</A
+>https://cygwin.com/</A
 >,
 <SPAN
 CLASS="QUOTE"
@@ -100,16 +100,16 @@ TYPE="1"
 ><LI
 ><P
 >Open the Cygwin, <A
-HREF="http://cygwin.com/"
+HREF="/"
 TARGET="_top"
->http://cygwin.com/</A
+>https://cygwin.com/</A
 > page in your web
 browser</P
 ></LI
 ><LI
 ><P
 >Click the <A
-HREF="http://cygwin.com/setup.exe"
+HREF="/setup.exe"
 TARGET="_top"
 >&#13;<SPAN
 CLASS="QUOTE"
diff --git a/xfree/docs/ug/setup.html b/xfree/docs/ug/setup.html
index bec46a4..e20a8a4 100644
--- a/xfree/docs/ug/setup.html
+++ b/xfree/docs/ug/setup.html
@@ -85,9 +85,9 @@ TYPE="1"
 ><LI
 ><P
 >Open the Cygwin, <A
-HREF="http://cygwin.com/"
+HREF="/"
 TARGET="_top"
->http://cygwin.com/</A
+>https://cygwin.com/</A
 > page in your web
 browser</P
 ></LI
@@ -95,7 +95,7 @@ browser</P
 ><P
 >Click on the
 <A
-HREF="http://cygwin.com/setup-x86.exe"
+HREF="/setup-x86.exe"
 TARGET="_top"
 ><SPAN
 CLASS="QUOTE"
@@ -103,7 +103,7 @@ CLASS="QUOTE"
 ></A
 > (32-bit installation) or
 <A
-HREF="http://cygwin.com/setup-x86_64.exe"
+HREF="/setup-x86_64.exe"
 TARGET="_top"
 ><SPAN
 CLASS="QUOTE"
diff --git a/xfree/donations.html b/xfree/donations.html
index ec5ac3f..b48d490 100644
--- a/xfree/donations.html
+++ b/xfree/donations.html
@@ -6,14 +6,14 @@
       lang="en-US">
 <head>
     <meta http-equiv="refresh"
-          content="2; url=http://cygwin.com/donations.html" />
+          content="2; url=https://cygwin.com/donations.html" />
 
     <title></title>
 </head>
 
 <body>
     Click the link if you are not redirected to
-    the <a href="http://cygwin.com/donations.html">
+    the <a href="/donations.html">
     Cygwin donations page</a> within two seconds.
 </body>
 </html>
diff --git a/xfree/index.html b/xfree/index.html
index a6fcc90..9ba6f2f 100755
--- a/xfree/index.html
+++ b/xfree/index.html
@@ -44,7 +44,7 @@
     <p>Cygwin/X consists of an X server, X libraries, and nearly
     all of the standard X clients, such as xterm, xhost, xdpyinfo,
     xclock, xeyes, etc.  Many more X programs are also
-    <a href="http://cygwin.com/packages/">packaged</a>
+    <a href="/packages/">packaged</a>
     for Cygwin.
     See also the <a href="features.html">features</a> and
     <a href="screenshots/">screenshots</a> pages.</p>
@@ -59,7 +59,7 @@
     compliant license without
     such linking requiring that those Open Source programs be
     licensed under the GNU General Public License (see the
-    <a href="http://cygwin.com/licensing.html">Cygwin licensing
+    <a href="/licensing.html">Cygwin licensing
     page</a> for more information). Source code and binaries for
     both projects are freely available.</p>
     <!-- END overview -->
@@ -74,17 +74,17 @@
     <p></p>
 
     <p>Cygwin/X is installed via Cygwin's Installer, either
-    <a href="http://cygwin.com/setup-x86.exe">setup-x86.exe</a> (for the
+    <a href="/setup-x86.exe">setup-x86.exe</a> (for the
     long available 32-bit version of Cygwin), or
-    <a href="http://cygwin.com/setup-x86_64.exe">setup-x86_64.exe</a> (for
+    <a href="/setup-x86_64.exe">setup-x86_64.exe</a> (for
     the new 64-bit version since 2013), and the installation process is
     documented in the
     <a href="docs/ug/">Cygwin/X User's Guide</a>. Whether or not
     you already have Cygwin installed, you can add Cygwin/X to your
     installation by downloading the latest
-    <a href="http://cygwin.com/setup-x86.exe">setup-x86.exe</a> (32-bit
+    <a href="/setup-x86.exe">setup-x86.exe</a> (32-bit
     installation) or
-    <a href="http://cygwin.com/setup-x86_64.exe">setup-x86_64.exe</a>
+    <a href="/setup-x86_64.exe">setup-x86_64.exe</a>
     (64-bit installation), running setup, and selecting the 'xinit' package
     from the 'X11'
     category.</p>
@@ -120,9 +120,9 @@
         resources available at this site, such as
         the <a href="docs/faq/">FAQ</a>,
         the <a href="docs/ug/">User's Guide</a> and
-        the <a href="http://cygwin.com/ml/cygwin/">mailing list archives</a>.
+        the <a href="/ml/cygwin/">mailing list archives</a>.
         If you've exhausted these resources then please read the Cygwin
-        <a href="http://cygwin.com/problems.html">problem reporting guidelines</a>
+        <a href="/problems.html">problem reporting guidelines</a>
         before sending an email to the
         <a href="mailto:cygwin@cygwin.com">cygwin</a> mailing list.
       </i>
diff --git a/xfree/screenshots/index.html b/xfree/screenshots/index.html
index 3e819a9..a2d6648 100755
--- a/xfree/screenshots/index.html
+++ b/xfree/screenshots/index.html
@@ -66,7 +66,7 @@
 
                 <td>
                     <p>Semi-transparent X client windows drawn by the
-                      <a href="http://cygwin.com/ml/cygwin-xfree-announce/2012-12/msg00003.html">XtoW</a>
+                      <a href="/ml/cygwin-xfree-announce/2012-12/msg00003.html">XtoW</a>
                       window manager over an Internet Explorer window on Windows 7</p>
                 </td>
             </tr>
